import { DefineComponent, PropType } from 'vue';
import type { RouteLocationRaw } from 'vue-router';
export declare type ButtonVariant = 'default' | 'primary' | 'success' | 'info' | 'warning' | 'danger' | 'link';
declare const _default: DefineComponent<{
    ouiaId: {
        type: StringConstructor;
        default: string;
    };
    ouiaSafe: BooleanConstructor;
    /** type of button */
    type: {
        type: StringConstructor;
        default: string;
    };
    variant: {
        type: PropType<ButtonVariant>;
        default: string;
        validator: (v: never) => boolean;
    };
    component: {
        type: PropType<string | DefineComponent<{}, {}, {}, import("vue").ComputedOptions, import("vue").MethodOptions, import("vue").ComponentOptionsMixin, import("vue").ComponentOptionsMixin, {}, string, import("vue").VNodeProps & import("vue").AllowedComponentProps & import("vue").ComponentCustomProps, Readonly<import("vue").ExtractPropTypes<{}>>, {}>>;
        default: string;
    };
    spinnerAriaValueText: {
        type: StringConstructor;
        default: string;
    };
    active: BooleanConstructor;
    block: BooleanConstructor;
    disabled: BooleanConstructor;
    loading: {
        type: BooleanConstructor;
        default: any;
    };
    /** Adds small styling to the button */
    small: BooleanConstructor;
    /** Adds extra small styling to the button */
    xSmall: BooleanConstructor;
    /** Adds small styling to the button */
    large: BooleanConstructor;
    tabindex: {
        type: (StringConstructor | NumberConstructor)[];
        default: any;
    };
    href: {
        type: StringConstructor;
        default: any;
    };
    to: {
        type: PropType<RouteLocationRaw>;
        default: any;
    };
    replace: BooleanConstructor;
    activeClass: {
        type: StringConstructor;
        default: string;
    };
    ariaCurrentValue: {
        type: StringConstructor;
        default: any;
    };
    exactActiveClass: {
        type: StringConstructor;
        default: any;
    };
}, {
    ouiaProps: {
        'data-ouia-component-type': string;
        'data-ouia-safe': boolean;
        'data-ouia-component-id': string;
    };
}, unknown, {
    buttonComponent(): string | DefineComponent<{}, {}, {}, import("vue").ComputedOptions, import("vue").MethodOptions, import("vue").ComponentOptionsMixin, import("vue").ComponentOptionsMixin, {}, string, import("vue").VNodeProps & import("vue").AllowedComponentProps & import("vue").ComponentCustomProps, Readonly<import("vue").ExtractPropTypes<{}>>, {}>;
    effectiveDisabled(): boolean;
    tabIdx(): string | number;
}, {
    onClick(e: MouseEvent, navigate: (event?: MouseEvent) => never): void;
}, import("vue").ComponentOptionsMixin, import("vue").ComponentOptionsMixin, {
    click: (event: MouseEvent) => boolean;
}, string, import("vue").VNodeProps & import("vue").AllowedComponentProps & import("vue").ComponentCustomProps, Readonly<import("vue").ExtractPropTypes<{
    ouiaId: {
        type: StringConstructor;
        default: string;
    };
    ouiaSafe: BooleanConstructor;
    /** type of button */
    type: {
        type: StringConstructor;
        default: string;
    };
    variant: {
        type: PropType<ButtonVariant>;
        default: string;
        validator: (v: never) => boolean;
    };
    component: {
        type: PropType<string | DefineComponent<{}, {}, {}, import("vue").ComputedOptions, import("vue").MethodOptions, import("vue").ComponentOptionsMixin, import("vue").ComponentOptionsMixin, {}, string, import("vue").VNodeProps & import("vue").AllowedComponentProps & import("vue").ComponentCustomProps, Readonly<import("vue").ExtractPropTypes<{}>>, {}>>;
        default: string;
    };
    spinnerAriaValueText: {
        type: StringConstructor;
        default: string;
    };
    active: BooleanConstructor;
    block: BooleanConstructor;
    disabled: BooleanConstructor;
    loading: {
        type: BooleanConstructor;
        default: any;
    };
    /** Adds small styling to the button */
    small: BooleanConstructor;
    /** Adds extra small styling to the button */
    xSmall: BooleanConstructor;
    /** Adds small styling to the button */
    large: BooleanConstructor;
    tabindex: {
        type: (StringConstructor | NumberConstructor)[];
        default: any;
    };
    href: {
        type: StringConstructor;
        default: any;
    };
    to: {
        type: PropType<RouteLocationRaw>;
        default: any;
    };
    replace: BooleanConstructor;
    activeClass: {
        type: StringConstructor;
        default: string;
    };
    ariaCurrentValue: {
        type: StringConstructor;
        default: any;
    };
    exactActiveClass: {
        type: StringConstructor;
        default: any;
    };
}>> & {
    onClick?: (event: MouseEvent) => any;
}, {
    replace: boolean;
    small: boolean;
    href: string;
    type: string;
    ouiaId: string;
    ouiaSafe: boolean;
    disabled: boolean;
    loading: boolean;
    active: boolean;
    variant: ButtonVariant;
    component: string | DefineComponent<{}, {}, {}, import("vue").ComputedOptions, import("vue").MethodOptions, import("vue").ComponentOptionsMixin, import("vue").ComponentOptionsMixin, {}, string, import("vue").VNodeProps & import("vue").AllowedComponentProps & import("vue").ComponentCustomProps, Readonly<import("vue").ExtractPropTypes<{}>>, {}>;
    spinnerAriaValueText: string;
    block: boolean;
    xSmall: boolean;
    large: boolean;
    tabindex: string | number;
    to: any;
    activeClass: string;
    ariaCurrentValue: string;
    exactActiveClass: string;
}>;
export default _default;
