import { PropType } from 'vue';
declare type Option = Record<string, never> | string | number;
interface NormalizedOption {
    option: Option;
    label: string;
    value: string | number;
}
declare const _default: import("vue").DefineComponent<{
    ouiaId: {
        type: StringConstructor;
        default: string;
    };
    ouiaSafe: BooleanConstructor;
    name: {
        type: StringConstructor;
        default: any;
    };
    modelValue: {
        type: (StringConstructor | NumberConstructor)[];
        default: any;
    };
    placeholder: {
        type: StringConstructor;
        default: any;
    };
    disabled: BooleanConstructor;
    required: BooleanConstructor;
    tabindex: {
        type: StringConstructor;
        default: any;
    };
    options: {
        type: PropType<Option[]>;
        default: () => Option[];
    };
    labelField: {
        type: StringConstructor;
        default: string;
    };
    valueField: {
        type: StringConstructor;
        default: string;
    };
    match: {
        type: FunctionConstructor;
        default: (o: NormalizedOption, q: string) => boolean;
    };
    highlight: {
        type: FunctionConstructor;
        default: (o: NormalizedOption, q: string) => string;
    };
    withCheckbox: {
        type: (StringConstructor | BooleanConstructor)[];
        default: boolean;
    };
}, {
    ouiaProps: {
        'data-ouia-component-type': string;
        'data-ouia-safe': boolean;
        'data-ouia-component-id': string;
    };
}, {
    blurTimeout: number;
    showOptions: boolean;
    filter: string;
    active: string | number;
    hasError: boolean;
    checked: boolean;
}, {
    hasValue(): boolean;
    label(): string;
    optionsMap(): Record<string | number, NormalizedOption>;
    filteredOptions(): any[];
    text: {
        get(): string;
        set(text: string): void;
    };
    dropdownOpen(): number;
    effectiveDisabled(): boolean;
}, {
    setValue(value: string | number): void;
    toggleOptions(): void;
    blur(): void;
    prev(): void;
    next(): void;
    apply(e: Event): void;
    dropdownClick(e: Event): void;
}, import("vue").ComponentOptionsMixin, import("vue").ComponentOptionsMixin, {
    update: (value: string | number) => boolean;
    'update:modelValue': (value: string | number) => boolean;
}, string, import("vue").VNodeProps & import("vue").AllowedComponentProps & import("vue").ComponentCustomProps, Readonly<import("vue").ExtractPropTypes<{
    ouiaId: {
        type: StringConstructor;
        default: string;
    };
    ouiaSafe: BooleanConstructor;
    name: {
        type: StringConstructor;
        default: any;
    };
    modelValue: {
        type: (StringConstructor | NumberConstructor)[];
        default: any;
    };
    placeholder: {
        type: StringConstructor;
        default: any;
    };
    disabled: BooleanConstructor;
    required: BooleanConstructor;
    tabindex: {
        type: StringConstructor;
        default: any;
    };
    options: {
        type: PropType<Option[]>;
        default: () => Option[];
    };
    labelField: {
        type: StringConstructor;
        default: string;
    };
    valueField: {
        type: StringConstructor;
        default: string;
    };
    match: {
        type: FunctionConstructor;
        default: (o: NormalizedOption, q: string) => boolean;
    };
    highlight: {
        type: FunctionConstructor;
        default: (o: NormalizedOption, q: string) => string;
    };
    withCheckbox: {
        type: (StringConstructor | BooleanConstructor)[];
        default: boolean;
    };
}>> & {
    "onUpdate:modelValue"?: (value: string | number) => any;
    onUpdate?: (value: string | number) => any;
}, {
    name: string;
    match: Function;
    required: boolean;
    ouiaId: string;
    ouiaSafe: boolean;
    disabled: boolean;
    tabindex: string;
    modelValue: string | number;
    placeholder: string;
    options: Option[];
    labelField: string;
    valueField: string;
    highlight: Function;
    withCheckbox: string | boolean;
}>;
export default _default;
