import { PropType } from 'vue';
export declare type SortDirection = 'asc' | 'desc';
export interface SortField {
    name: string;
    label: string;
    type?: 'alpha' | 'numeric';
}
export declare type SortFieldDefinition = Partial<SortField> | string;
declare const _default: import("vue").DefineComponent<{
    ouiaId: {
        type: StringConstructor;
        default: string;
    };
    ouiaSafe: BooleanConstructor;
    fields: {
        type: PropType<SortFieldDefinition[] | Record<string, SortFieldDefinition>>;
        default: () => SortFieldDefinition[];
    };
    sortBy: StringConstructor;
    direction: {
        type: PropType<SortDirection>;
        default: string;
        validator: (v: never) => boolean;
    };
}, {
    ouiaProps: {
        'data-ouia-component-type': string;
        'data-ouia-safe': boolean;
        'data-ouia-component-id': string;
    };
}, {
    normFields: SortField[];
    active: string;
    ascending: boolean;
}, {
    current(): SortField;
    sortIcon(): string;
}, {
    normalizeField(fieldDefinition: SortFieldDefinition, name?: string): SortField;
    select(field: SortField): void;
    invert(): void;
}, import("vue").ComponentOptionsMixin, import("vue").ComponentOptionsMixin, {
    change: (active: string, direction: SortDirection) => boolean;
}, string, import("vue").VNodeProps & import("vue").AllowedComponentProps & import("vue").ComponentCustomProps, Readonly<import("vue").ExtractPropTypes<{
    ouiaId: {
        type: StringConstructor;
        default: string;
    };
    ouiaSafe: BooleanConstructor;
    fields: {
        type: PropType<SortFieldDefinition[] | Record<string, SortFieldDefinition>>;
        default: () => SortFieldDefinition[];
    };
    sortBy: StringConstructor;
    direction: {
        type: PropType<SortDirection>;
        default: string;
        validator: (v: never) => boolean;
    };
}>> & {
    onChange?: (active: string, direction: SortDirection) => any;
}, {
    ouiaId: string;
    ouiaSafe: boolean;
    fields: SortFieldDefinition[] | Record<string, SortFieldDefinition>;
    direction: SortDirection;
}>;
export default _default;
