import { PropType } from 'vue';
export declare type ToggleSize = 'xs' | 'sm' | 'md' | 'lg';
declare const _default: import("vue").DefineComponent<{
    ouiaId: {
        type: StringConstructor;
        default: string;
    };
    ouiaSafe: BooleanConstructor;
    name: {
        type: StringConstructor;
        default: any;
    };
    modelValue: {
        type: PropType<string | number | boolean | (string | number | boolean)[]>;
        required: true;
    };
    disabled: BooleanConstructor;
    loading: BooleanConstructor;
    loose: BooleanConstructor;
    onText: {
        type: StringConstructor;
        default: string;
    };
    onValue: {
        type: (StringConstructor | BooleanConstructor | NumberConstructor)[];
        default: boolean;
    };
    onClass: {
        type: StringConstructor;
        default: string;
    };
    offText: {
        type: StringConstructor;
        default: string;
    };
    offValue: {
        type: (StringConstructor | BooleanConstructor | NumberConstructor)[];
        default: boolean;
    };
    noOff: BooleanConstructor;
    offClass: {
        type: StringConstructor;
        default: string;
    };
    size: {
        type: PropType<ToggleSize>;
        default: string;
        validator: (val: never) => boolean;
    };
}, {
    ouiaProps: {
        'data-ouia-component-type': string;
        'data-ouia-safe': boolean;
        'data-ouia-component-id': string;
    };
}, unknown, {
    on(): boolean;
    radioValue(): string | number | boolean;
    values(): (string | number | boolean)[];
}, {
    test(value: boolean | string | number | Array<boolean | string | number>): boolean;
    setOff(): void;
    set(value: boolean | string | number | Array<boolean | string | number>): void;
    toggle(): void;
}, import("vue").ComponentOptionsMixin, import("vue").ComponentOptionsMixin, {
    change: (value: boolean | string | number | Array<boolean | string | number>) => boolean;
    'update:modelValue': (value: boolean | string | number | Array<boolean | string | number>) => boolean;
}, string, import("vue").VNodeProps & import("vue").AllowedComponentProps & import("vue").ComponentCustomProps, Readonly<import("vue").ExtractPropTypes<{
    ouiaId: {
        type: StringConstructor;
        default: string;
    };
    ouiaSafe: BooleanConstructor;
    name: {
        type: StringConstructor;
        default: any;
    };
    modelValue: {
        type: PropType<string | number | boolean | (string | number | boolean)[]>;
        required: true;
    };
    disabled: BooleanConstructor;
    loading: BooleanConstructor;
    loose: BooleanConstructor;
    onText: {
        type: StringConstructor;
        default: string;
    };
    onValue: {
        type: (StringConstructor | BooleanConstructor | NumberConstructor)[];
        default: boolean;
    };
    onClass: {
        type: StringConstructor;
        default: string;
    };
    offText: {
        type: StringConstructor;
        default: string;
    };
    offValue: {
        type: (StringConstructor | BooleanConstructor | NumberConstructor)[];
        default: boolean;
    };
    noOff: BooleanConstructor;
    offClass: {
        type: StringConstructor;
        default: string;
    };
    size: {
        type: PropType<ToggleSize>;
        default: string;
        validator: (val: never) => boolean;
    };
}>> & {
    "onUpdate:modelValue"?: (value: string | number | boolean | (string | number | boolean)[]) => any;
    onChange?: (value: string | number | boolean | (string | number | boolean)[]) => any;
}, {
    name: string;
    ouiaId: string;
    ouiaSafe: boolean;
    disabled: boolean;
    loading: boolean;
    size: ToggleSize;
    loose: boolean;
    noOff: boolean;
    onText: string;
    onValue: string | number | boolean;
    onClass: string;
    offText: string;
    offValue: string | number | boolean;
    offClass: string;
}>;
export default _default;
