import { Column } from './ColumnPicker.vue';
import { SortDirection, SortFieldDefinition } from './Sort.vue';
import { DefineComponent, PropType } from 'vue';
import { Filter } from './FilterResults.vue';
import { FilterFieldDefinition } from './FilterFields.vue';
export interface ToolbarView {
    icon: string;
    title?: string;
    disabled?: boolean;
}
declare const PfToolbar: DefineComponent<{
    ouiaId: {
        type: StringConstructor;
        default: string;
    };
    ouiaSafe: BooleanConstructor;
    view: StringConstructor;
    views: {
        type: PropType<string | Record<string, ToolbarView>>;
        default: () => {};
    };
    columns: {
        type: PropType<Column[] | Record<string, Column>>;
        default: () => Column[];
    };
    pickedColumns: {
        type: PropType<string[]>;
        default: () => string[];
    };
    filterFields: {
        type: PropType<FilterFieldDefinition[] | Record<string, FilterFieldDefinition>>;
        default: () => FilterFieldDefinition[];
    };
    filters: {
        type: PropType<Filter[]>;
        default: () => Filter[];
    };
    sortBy: StringConstructor;
    sortDirection: {
        type: PropType<SortDirection>;
        default: string;
        validator: (v: never) => boolean;
    };
    sortFields: {
        type: PropType<SortFieldDefinition[] | Record<string, SortFieldDefinition>>;
        default: () => SortFieldDefinition[];
    };
    resultCount: NumberConstructor;
    attached: BooleanConstructor;
}, {
    ouiaProps: {
        'data-ouia-component-type': string;
        'data-ouia-safe': boolean;
        'data-ouia-component-id': string;
    };
}, {
    activeView: string;
    activeFilters: Filter[];
}, {
    showSorter(): number;
    showFilter(): number;
    showColumnPicker(): number;
    showCount(): boolean;
    hasFindView(): number;
    viewList(): Record<string, ToolbarView>;
    showResultFilter(): number;
}, {
    setSortBy(field: string, direction: SortDirection): void;
    clearFilter(i: number): void;
    clearAllFilters(): void;
    addFilter(filter: Filter): void;
    setPickedColumns(columns: string[]): void;
}, import("vue").ComponentOptionsMixin, import("vue").ComponentOptionsMixin, {
    'update:view': (view: string) => boolean;
    'update:pickedColumns': (columns: string[]) => boolean;
    'update:filters': (filters: Filter[]) => boolean;
    'update:sortBy': (field: string) => boolean;
    'update:sortDirection': (direction: SortDirection) => boolean;
    'sort-by': (field: string, direction: SortDirection) => boolean;
}, string, import("vue").VNodeProps & import("vue").AllowedComponentProps & import("vue").ComponentCustomProps, Readonly<import("vue").ExtractPropTypes<{
    ouiaId: {
        type: StringConstructor;
        default: string;
    };
    ouiaSafe: BooleanConstructor;
    view: StringConstructor;
    views: {
        type: PropType<string | Record<string, ToolbarView>>;
        default: () => {};
    };
    columns: {
        type: PropType<Column[] | Record<string, Column>>;
        default: () => Column[];
    };
    pickedColumns: {
        type: PropType<string[]>;
        default: () => string[];
    };
    filterFields: {
        type: PropType<FilterFieldDefinition[] | Record<string, FilterFieldDefinition>>;
        default: () => FilterFieldDefinition[];
    };
    filters: {
        type: PropType<Filter[]>;
        default: () => Filter[];
    };
    sortBy: StringConstructor;
    sortDirection: {
        type: PropType<SortDirection>;
        default: string;
        validator: (v: never) => boolean;
    };
    sortFields: {
        type: PropType<SortFieldDefinition[] | Record<string, SortFieldDefinition>>;
        default: () => SortFieldDefinition[];
    };
    resultCount: NumberConstructor;
    attached: BooleanConstructor;
}>> & {
    "onUpdate:view"?: (view: string) => any;
    "onUpdate:pickedColumns"?: (columns: string[]) => any;
    "onUpdate:filters"?: (filters: Filter[]) => any;
    "onUpdate:sortBy"?: (field: string) => any;
    "onUpdate:sortDirection"?: (direction: SortDirection) => any;
    "onSort-by"?: (field: string, direction: SortDirection) => any;
}, {
    ouiaId: string;
    ouiaSafe: boolean;
    filters: Filter[];
    columns: Column[] | Record<string, Column>;
    views: string | Record<string, ToolbarView>;
    pickedColumns: string[];
    filterFields: FilterFieldDefinition[] | Record<string, FilterFieldDefinition>;
    sortDirection: SortDirection;
    sortFields: SortFieldDefinition[] | Record<string, SortFieldDefinition>;
    attached: boolean;
}>;
export declare function isPfToolbar(component: unknown): component is InstanceType<typeof PfToolbar>;
export default PfToolbar;
