export interface OUIAProps {
    ouiaId?: string;
    ouiaSafe?: boolean;
}
export declare const ouiaProps: {
    ouiaId: {
        type: StringConstructor;
        default: string;
    };
    ouiaSafe: BooleanConstructor;
};
/**
 * @param {string} name OUIA component type
 * @param {string} variant Optional variant to add to the generated ID
 */
export declare function useOUIAProps(props: OUIAProps, name?: string | null, variant?: string | null): {
    ouiaProps: {
        'data-ouia-component-type': string;
        'data-ouia-safe': boolean;
        'data-ouia-component-id': string;
    };
};
/**
 * Returns a generated id based on the URL location
 *
 * @param {string} name OUIA component type
 * @param {string} variant Optional variant to add to the generated ID
 */
export declare function getDefaultOUIAId(name?: string | null, variant?: string | null): string;
