var __defProp = Object.defineProperty;
var __defProps = Object.defineProperties;
var __getOwnPropDescs = Object.getOwnPropertyDescriptors;
var __getOwnPropSymbols = Object.getOwnPropertySymbols;
var __hasOwnProp = Object.prototype.hasOwnProperty;
var __propIsEnum = Object.prototype.propertyIsEnumerable;
var __defNormalProp = (obj, key, value) => key in obj ? __defProp(obj, key, { enumerable: true, configurable: true, writable: true, value }) : obj[key] = value;
var __spreadValues = (a, b) => {
  for (var prop in b || (b = {}))
    if (__hasOwnProp.call(b, prop))
      __defNormalProp(a, prop, b[prop]);
  if (__getOwnPropSymbols)
    for (var prop of __getOwnPropSymbols(b)) {
      if (__propIsEnum.call(b, prop))
        __defNormalProp(a, prop, b[prop]);
    }
  return a;
};
var __spreadProps = (a, b) => __defProps(a, __getOwnPropDescs(b));
import { reactive, getCurrentInstance, defineComponent, resolveComponent, openBlock, createElementBlock, mergeProps, createElementVNode, createBlock, resolveDynamicComponent, withCtx, createVNode, toDisplayString, createCommentVNode, withDirectives, renderSlot as renderSlot$1, vShow, normalizeClass, withModifiers, createTextVNode, pushScopeId, popScopeId, Fragment, renderList, ref, vModelCheckbox, withKeys, vModelText, normalizeStyle, provide, inject, Transition, onBeforeUnmount, onMounted, nextTick, h, computed, Teleport, normalizeProps, guardReactiveProps, createSlots, TransitionGroup, watch, onUnmounted, resolveDirective, createApp } from "vue";
var index$1 = "";
let uid = 0;
const ouiaPrefix = "OUIA-Generated-";
const ouiaIdByRoute = {};
const ouiaProps = {
  ouiaId: {
    type: String,
    default: null
  },
  ouiaSafe: Boolean
};
function useOUIAProps(props, name = null, variant = null) {
  if (name === null) {
    const instance = getCurrentInstance();
    name = instance.proxy.$options.name;
  }
  return {
    ouiaProps: reactive({
      "data-ouia-component-type": name,
      "data-ouia-safe": props.ouiaSafe,
      "data-ouia-component-id": props.ouiaId || getDefaultOUIAId(name, variant)
    })
  };
}
function getDefaultOUIAId(name = null, variant = null) {
  try {
    const key = `${window.location.href}-${name}-${variant || ""}`;
    if (!ouiaIdByRoute[key]) {
      ouiaIdByRoute[key] = 0;
    }
    return `${ouiaPrefix}${name}-${variant ? `${variant}-` : ""}${++ouiaIdByRoute[key]}`;
  } catch (exception) {
    return `${ouiaPrefix}${name}-${variant ? `${variant}-` : ""}${++uid}`;
  }
}
var ouia = /* @__PURE__ */ Object.freeze({
  __proto__: null,
  [Symbol.toStringTag]: "Module",
  ouiaProps,
  useOUIAProps,
  getDefaultOUIAId
});
var AggregateStatusCard_vue_vue_type_style_index_0_lang = "";
var _export_sfc = (sfc, props) => {
  const target = sfc.__vccOpts || sfc;
  for (const [key, val] of props) {
    target[key] = val;
  }
  return target;
};
const _sfc_main$D = defineComponent({
  name: "PfAggregateStatusCard",
  props: __spreadValues({
    title: String,
    count: [String, Number],
    href: String,
    icon: String,
    layout: String,
    accented: {
      type: Boolean,
      default: true
    }
  }, ouiaProps),
  setup(props) {
    return useOUIAProps(props);
  }
});
const _hoisted_1$z = { class: "card-pf-title" };
const _hoisted_2$p = {
  key: 0,
  class: "card-pf-aggregate-status-count"
};
const _hoisted_3$l = { class: "card-pf-aggregate-status-title" };
const _hoisted_4$h = { class: "card-pf-body" };
const _hoisted_5$f = { class: "card-pf-aggregate-status-notifications" };
function _sfc_render$D(_ctx, _cache, $props, $setup, $data, $options) {
  const _component_pf_icon = resolveComponent("pf-icon");
  return openBlock(), createElementBlock("div", mergeProps(_ctx.ouiaProps, {
    class: [{
      "card-pf-accented": _ctx.accented,
      "card-pf-aggregate-status-alt": _ctx.layout === "tall",
      "card-pf-aggregate-status-mini": _ctx.layout === "mini"
    }, "card-pf card-pf-aggregate-status"]
  }), [
    createElementVNode("h2", _hoisted_1$z, [
      (openBlock(), createBlock(resolveDynamicComponent(_ctx.href ? "a" : "span"), { href: _ctx.href }, {
        default: withCtx(() => [
          createVNode(_component_pf_icon, { name: _ctx.icon }, null, 8, ["name"]),
          _ctx.count ? (openBlock(), createElementBlock("span", _hoisted_2$p, toDisplayString(_ctx.count) + toDisplayString(" "), 1)) : createCommentVNode("", true),
          createElementVNode("span", _hoisted_3$l, toDisplayString(_ctx.title), 1)
        ]),
        _: 1
      }, 8, ["href"]))
    ]),
    createElementVNode("div", _hoisted_4$h, [
      withDirectives(createElementVNode("p", _hoisted_5$f, [
        renderSlot$1(_ctx.$slots, "default")
      ], 512), [
        [vShow, _ctx.layout !== "mini" || _ctx.icon || _ctx.count]
      ])
    ])
  ], 16);
}
var AggregateStatusCard = /* @__PURE__ */ _export_sfc(_sfc_main$D, [["render", _sfc_render$D]]);
var ApplicationLauncher_vue_vue_type_style_index_0_scoped_true_lang = "";
const _sfc_main$C = defineComponent({
  name: "PfApplicationLauncher",
  props: __spreadValues({
    label: {
      type: String,
      default: "Application Launcher"
    },
    disabled: Boolean,
    list: Boolean,
    open: Boolean
  }, ouiaProps),
  emits: {
    "update:open": (open) => open !== void 0
  },
  setup(props) {
    return useOUIAProps(props);
  },
  mounted() {
    document.documentElement.addEventListener("click", this.hide);
  },
  unmounted() {
    document.documentElement.removeEventListener("click", this.hide);
  },
  methods: {
    toggle() {
      this.$emit("update:open", !this.open);
    },
    hide() {
      if (this.open) {
        this.$emit("update:open", false);
      }
    }
  }
});
const _withScopeId$1 = (n) => (pushScopeId("data-v-28442a52"), n = n(), popScopeId(), n);
const _hoisted_1$y = ["id"];
const _hoisted_2$o = { class: "applauncher-pf-title" };
const _hoisted_3$k = /* @__PURE__ */ _withScopeId$1(() => /* @__PURE__ */ createElementVNode("span", {
  class: "caret",
  "aria-hidden": "true"
}, null, -1));
const _hoisted_4$g = ["aria-labelledby"];
function _sfc_render$C(_ctx, _cache, $props, $setup, $data, $options) {
  const _component_pf_icon = resolveComponent("pf-icon");
  return openBlock(), createElementBlock("li", mergeProps(_ctx.ouiaProps, {
    class: ["applauncher-pf dropdown", { "applauncher-pf-block-list": !_ctx.list, open: _ctx.open && !_ctx.disabled }]
  }), [
    createElementVNode("a", {
      id: `pf-application-launcher-${_ctx.$.uid}`,
      class: normalizeClass(["dropdown-toggle drawer-pf-trigger-icon nav-item-iconic", { disabled: _ctx.disabled || !_ctx.$slots.default }]),
      href: "javascript:void(0)",
      onClick: _cache[0] || (_cache[0] = withModifiers((...args) => _ctx.toggle && _ctx.toggle(...args), ["prevent", "stop"]))
    }, [
      createVNode(_component_pf_icon, {
        name: "fa-th",
        class: "applauncher-pf-icon",
        "aria-hidden": "true",
        tag: "i"
      }),
      createElementVNode("span", _hoisted_2$o, [
        createTextVNode(toDisplayString(_ctx.label) + " ", 1),
        _hoisted_3$k
      ])
    ], 10, _hoisted_1$y),
    createElementVNode("ul", {
      class: "dropdown-menu dropdown-menu-right",
      role: "menu",
      "aria-labelledby": `pf-application-launcher-${_ctx.$.uid}`,
      onClick: _cache[1] || (_cache[1] = withModifiers((...args) => _ctx.hide && _ctx.hide(...args), ["stop"]))
    }, [
      renderSlot$1(_ctx.$slots, "default", {}, void 0, true)
    ], 8, _hoisted_4$g)
  ], 16);
}
var ApplicationLauncher = /* @__PURE__ */ _export_sfc(_sfc_main$C, [["render", _sfc_render$C], ["__scopeId", "data-v-28442a52"]]);
const _sfc_main$B = defineComponent({
  name: "PfSpinner",
  props: __spreadValues({
    loading: Boolean,
    size: {
      type: String,
      default: "md",
      validator: (val) => ["lg", "md", "sm", "xs"].includes(val)
    },
    inline: Boolean,
    inverse: Boolean,
    tag: {
      type: String,
      default: "div"
    },
    ariaValueText: {
      type: String,
      default: "Loading..."
    }
  }, ouiaProps),
  setup(props) {
    return useOUIAProps(props);
  }
});
const _hoisted_1$x = ["aria-valuetext"];
function _sfc_render$B(_ctx, _cache, $props, $setup, $data, $options) {
  return _ctx.loading ? (openBlock(), createElementBlock("div", mergeProps({ key: 0 }, _ctx.ouiaProps, {
    class: [[`spinner-${_ctx.size}`, {
      "spinner-inline": _ctx.inline,
      "spinner-inverse": _ctx.inverse
    }], "spinner"],
    "aria-valuetext": _ctx.ariaValueText
  }), null, 16, _hoisted_1$x)) : (openBlock(), createBlock(resolveDynamicComponent(_ctx.tag), { key: 1 }, {
    default: withCtx(() => [
      renderSlot$1(_ctx.$slots, "default")
    ]),
    _: 3
  }));
}
var PfSpinner = /* @__PURE__ */ _export_sfc(_sfc_main$B, [["render", _sfc_render$B]]);
var Void = defineComponent({
  name: "Void",
  inheritAttrs: false,
  props: {
    alter: {
      type: Function,
      default: null
    },
    useRef: {
      type: Object,
      default: null
    },
    template: Boolean
  },
  setup() {
    return {
      templateFn: null
    };
  },
  render() {
    if (this.template) {
      this.templateFn = this.$slots.default;
      return [];
    }
    if (this.useRef && this.useRef.templateFn) {
      return this.useRef.templateFn();
    }
    if (!this.$slots.default) {
      return;
    }
    if (!this.$slots.default) {
      return [];
    }
    let children = this.$slots.default();
    if (this.alter) {
      children = this.alter(children);
    }
    return children;
  }
});
const _sfc_main$A = defineComponent({
  name: "PfButton",
  components: { PfSpinner, Void },
  inheritAttrs: false,
  props: __spreadValues({
    type: {
      type: String,
      default: "button"
    },
    variant: {
      type: String,
      default: "default",
      validator: (v) => ["default", "primary", "success", "info", "warning", "danger", "link"].includes(v)
    },
    component: {
      type: [String, Object],
      default: "auto"
    },
    spinnerAriaValueText: {
      type: String,
      default: ""
    },
    active: Boolean,
    block: Boolean,
    disabled: Boolean,
    loading: {
      type: Boolean,
      default: null
    },
    small: Boolean,
    xSmall: Boolean,
    large: Boolean,
    tabindex: {
      type: [Number, String],
      default: null
    },
    href: {
      type: String,
      default: null
    },
    to: {
      type: [String, Object],
      default: null
    },
    replace: Boolean,
    activeClass: {
      type: String,
      default: "active"
    },
    ariaCurrentValue: {
      type: String,
      default: null
    },
    exactActiveClass: {
      type: String,
      default: null
    }
  }, ouiaProps),
  emits: {
    click: (event) => event !== void 0
  },
  setup(props) {
    return useOUIAProps(props);
  },
  computed: {
    buttonComponent() {
      if (this.component !== "auto") {
        return this.component;
      }
      return this.href || this.to ? "a" : "button";
    },
    effectiveDisabled() {
      return this.loading || this.disabled;
    },
    tabIdx() {
      if (this.tabindex) {
        return this.tabindex;
      }
      if (this.disabled) {
        return this.component === "button" ? null : -1;
      }
      if (this.component === "span") {
        return 0;
      }
      return null;
    }
  },
  methods: {
    onClick(e, navigate) {
      if (this.effectiveDisabled) {
        e.preventDefault();
        return;
      }
      if (navigate) {
        navigate(e);
        return;
      }
      this.$emit("click", e);
    }
  }
});
function _sfc_render$A(_ctx, _cache, $props, $setup, $data, $options) {
  const _component_pf_spinner = resolveComponent("pf-spinner");
  return openBlock(), createBlock(resolveDynamicComponent(_ctx.to ? "router-link" : "void"), {
    to: _ctx.to,
    replace: _ctx.replace,
    custom: ""
  }, {
    default: withCtx((routerCtx) => [
      (openBlock(), createBlock(resolveDynamicComponent(_ctx.buttonComponent), mergeProps(__spreadValues(__spreadValues({}, _ctx.$attrs), _ctx.ouiaProps), {
        type: _ctx.buttonComponent === "button" ? _ctx.type : null,
        disabled: _ctx.effectiveDisabled || null,
        class: ["btn", [`btn-${_ctx.variant}`, {
          [_ctx.activeClass]: routerCtx == null ? void 0 : routerCtx.isActive,
          [_ctx.exactActiveClass]: routerCtx == null ? void 0 : routerCtx.isExactActive,
          "btn-block": _ctx.block,
          "active": _ctx.active,
          "btn-sm": _ctx.small,
          "btn-xs": _ctx.xSmall,
          "btn-lg": _ctx.large
        }]],
        "aria-current": (routerCtx == null ? void 0 : routerCtx.isExactActive) ? _ctx.ariaCurrentValue : null,
        "aria-pressed": _ctx.active || null,
        tabindex: _ctx.tabIdx,
        role: _ctx.buttonComponent !== "button" ? "button" : null,
        href: _ctx.href || (_ctx.buttonComponent === "a" ? routerCtx == null ? void 0 : routerCtx.href : null),
        onClick: ($event) => _ctx.onClick($event, routerCtx == null ? void 0 : routerCtx.navigate)
      }), {
        default: withCtx(() => [
          _ctx.loading ? (openBlock(), createBlock(_component_pf_spinner, {
            key: 0,
            loading: "",
            inline: "",
            size: _ctx.large ? "sm" : "xs",
            "aria-valuetext": _ctx.spinnerAriaValueText,
            style: { "vertical-align": "middle" }
          }, null, 8, ["size", "aria-valuetext"])) : createCommentVNode("", true),
          renderSlot$1(_ctx.$slots, "default")
        ]),
        _: 2
      }, 1040, ["type", "disabled", "class", "aria-current", "aria-pressed", "tabindex", "role", "href", "onClick"]))
    ]),
    _: 3
  }, 8, ["to", "replace"]);
}
var PfButton = /* @__PURE__ */ _export_sfc(_sfc_main$A, [["render", _sfc_render$A]]);
const _sfc_main$z = defineComponent({
  name: "PfDropdown",
  props: __spreadValues({
    tag: {
      type: String,
      default: "div"
    },
    modelValue: Boolean,
    dropup: {
      type: Boolean,
      default: false
    },
    menuRight: {
      type: Boolean,
      default: false
    },
    disabled: {
      type: Boolean,
      default: false
    },
    notCloseElements: Array,
    text: {
      type: String,
      default: ""
    },
    appendTo: {
      type: HTMLElement,
      default: null
    },
    type: {
      type: String,
      default: "default"
    },
    btnClass: {
      type: String,
      default: ""
    },
    noCaret: Boolean
  }, ouiaProps),
  emits: {
    "update:modelValue": (value) => value !== void 0
  },
  setup(props) {
    return useOUIAProps(props);
  },
  data() {
    return {
      show: false
    };
  },
  watch: {
    modelValue(v) {
      this.toggle(v);
    }
  },
  mounted() {
    if (this.$refs.trigger instanceof HTMLElement) {
      this.$refs.trigger.addEventListener("click", this.toggle);
      this.$refs.trigger.addEventListener("keydown", this.onKeyPress);
    }
    if (this.$refs.dropdown instanceof HTMLElement) {
      this.$refs.dropdown.addEventListener("keydown", this.onKeyPress);
    }
    window.addEventListener("click", this.windowClicked);
    window.addEventListener("touchend", this.windowClicked);
    if (this.modelValue) {
      this.toggle(true);
    }
  },
  beforeUnmount() {
    this.removeDropdownFromBody();
    if (this.$refs.trigger instanceof HTMLElement) {
      this.$refs.trigger.removeEventListener("click", this.toggle);
      this.$refs.trigger.removeEventListener("keydown", this.onKeyPress);
    }
    if (this.$refs.dropdown instanceof HTMLElement) {
      this.$refs.dropdown.removeEventListener("keydown", this.onKeyPress);
    }
    window.removeEventListener("click", this.windowClicked);
    window.removeEventListener("touchend", this.windowClicked);
  },
  methods: {
    onKeyPress(event) {
      const dropdownEl = this.$refs.dropdown;
      if (!this.show || !(dropdownEl instanceof HTMLElement)) {
        return;
      }
      const keyCode = event.keyCode || event.which;
      if (keyCode === 27) {
        this.toggle(false);
        this.$refs.trigger instanceof HTMLElement && this.$refs.trigger.focus();
      } else if (keyCode === 13) {
        const currentFocus = dropdownEl.querySelector("li > a:focus");
        currentFocus instanceof HTMLAnchorElement && currentFocus.click();
      } else if (keyCode === 38 || keyCode === 40) {
        event.preventDefault();
        event.stopPropagation();
        const currentFocus = dropdownEl.querySelector("li > a:focus");
        const items = dropdownEl.querySelectorAll("li:not(.disabled) > a");
        let focus = null;
        if (!currentFocus) {
          focus = items[0];
        } else {
          for (let i = 0; i < items.length; i++) {
            if (currentFocus === items[i]) {
              if (keyCode === 38 && i > 0 && i < items.length) {
                focus = items[i - 1];
              } else if (keyCode === 40 && i < items.length - 1) {
                focus = items[i + 1];
              }
              break;
            }
          }
        }
        if (focus instanceof HTMLElement) {
          if (!focus.getAttribute("tabindex")) {
            focus.setAttribute("tabindex", "-1");
          }
          focus.focus();
        }
      }
    },
    appendDropdownToBody() {
      if (!(this.$refs.dropdown instanceof HTMLElement) || !this.appendTo) {
        return;
      }
      this.$refs.dropdown.style.display = "block";
      this.$refs.dropdown.style.position = "absolute";
      this.appendTo.appendChild(this.$refs.dropdown);
      this.setDropdownPosition();
    },
    setDropdownPosition() {
      if (!(this.$refs.dropdown instanceof HTMLElement) || !(this.$refs.trigger instanceof Element) || !this.appendTo) {
        return;
      }
      const rP = this.appendTo.offsetParent.getBoundingClientRect();
      const rT = this.$refs.trigger.getBoundingClientRect();
      let rD;
      if (this.menuRight || this.dropup) {
        rD = this.$refs.dropdown.getBoundingClientRect();
      }
      let top = rT.top - rP.top;
      let left = rT.left - rP.left;
      if (this.menuRight) {
        left -= rD.width - rT.width;
      }
      if (this.dropup) {
        top -= rD.height;
      } else {
        top += rT.height;
      }
      this.$refs.dropdown.style.top = `${top}px`;
      this.$refs.dropdown.style.bottom = "auto";
      this.$refs.dropdown.style.left = `${left}px`;
      this.$refs.dropdown.style.right = "auto";
    },
    toggle(show) {
      if (this.disabled) {
        return;
      }
      if (typeof show === "boolean") {
        this.show = show;
      } else {
        this.show = !this.show;
      }
      if (this.appendTo) {
        this.show ? this.appendDropdownToBody() : this.removeDropdownFromBody();
      }
      this.$emit("update:modelValue", this.show);
    },
    windowClicked(event) {
      const target = event.target;
      if (!this.show || !(target instanceof Element) || !(this.$refs.dropdown instanceof HTMLElement) || !this.$el) {
        return;
      }
      let targetInNotCloseElements = false;
      if (this.notCloseElements) {
        for (let i = 0, l = this.notCloseElements.length; i < l; i++) {
          const isTargetInElement = this.notCloseElements[i].contains(target);
          let shouldBreak = isTargetInElement;
          if (this.appendTo) {
            const isTargetInDropdown = this.$refs.dropdown.contains(target);
            const isElInElements = this.notCloseElements.indexOf(this.$el) >= 0;
            shouldBreak = isTargetInElement || isTargetInDropdown && isElInElements;
          }
          if (shouldBreak) {
            targetInNotCloseElements = true;
            break;
          }
        }
      }
      const targetInDropdownBody = this.$refs.dropdown.contains(target);
      const targetInTrigger = this.$el.contains(target) && !targetInDropdownBody;
      const targetInDropdownAndIsTouchEvent = targetInDropdownBody && event.type === "touchend";
      if (!targetInTrigger && !targetInNotCloseElements && !targetInDropdownAndIsTouchEvent) {
        this.toggle(false);
      }
    },
    removeDropdownFromBody() {
      if (!(this.$refs.dropdown instanceof HTMLElement) || !this.$el) {
        return;
      }
      this.$refs.dropdown.removeAttribute("style");
      this.$el.appendChild(this.$refs.dropdown);
    }
  }
});
const _hoisted_1$w = { class: "dropdown-title" };
const _hoisted_2$n = /* @__PURE__ */ createTextVNode();
const _hoisted_3$j = { class: "caret" };
function _sfc_render$z(_ctx, _cache, $props, $setup, $data, $options) {
  return openBlock(), createBlock(resolveDynamicComponent(_ctx.tag), mergeProps(_ctx.ouiaProps, {
    class: {
      "btn-group": _ctx.tag === "div",
      dropdown: !_ctx.dropup,
      dropup: _ctx.dropup,
      open: _ctx.show
    }
  }), {
    default: withCtx(() => [
      createElementVNode("button", {
        ref: "trigger",
        role: "button",
        "aria-haspopup": "true",
        type: "button",
        class: normalizeClass(["btn dropdown-toggle", [_ctx.type ? `btn-${_ctx.type}` : "", _ctx.btnClass]])
      }, [
        renderSlot$1(_ctx.$slots, "text", {}, () => [
          createElementVNode("span", _hoisted_1$w, toDisplayString(_ctx.text), 1)
        ]),
        _hoisted_2$n,
        withDirectives(createElementVNode("span", _hoisted_3$j, null, 512), [
          [vShow, !_ctx.noCaret]
        ])
      ], 2),
      createElementVNode("ul", {
        ref: "dropdown",
        class: normalizeClass([{ "dropdown-menu-right": _ctx.menuRight }, "dropdown-menu"])
      }, [
        renderSlot$1(_ctx.$slots, "default")
      ], 2)
    ]),
    _: 3
  }, 16, ["class"]);
}
var PfDropdown = /* @__PURE__ */ _export_sfc(_sfc_main$z, [["render", _sfc_render$z]]);
const _sfc_main$y = defineComponent({
  name: "PfCard",
  components: {
    PfDropdown
  },
  props: __spreadValues({
    title: String,
    subTitle: String,
    footNote: String,
    footHref: String,
    footIcon: String,
    filter: {
      type: Object,
      default: () => ({
        filters: [],
        position: "footer"
      }),
      validator: (v) => {
        var _a;
        return ((_a = v == null ? void 0 : v.filters) == null ? void 0 : _a.length) >= 0;
      }
    },
    accented: {
      type: Boolean,
      default: true
    },
    showTitlesSeparator: {
      type: Boolean,
      default: true
    }
  }, ouiaProps),
  emits: {
    filter: (filter) => filter !== void 0
  },
  setup(props) {
    return useOUIAProps(props);
  },
  computed: {
    currentFilter() {
      var _a, _b;
      if (!((_a = this.filter) == null ? void 0 : _a.filters)) {
        return null;
      }
      if ((_b = this.filter) == null ? void 0 : _b.defaultFilter) {
        return this.filter.filters[this.filter.defaultFilter];
      }
      return this.filter.filters[0];
    },
    showFilterInHeader() {
      var _a;
      return this.currentFilter && ((_a = this.filter) == null ? void 0 : _a.position) === "header";
    },
    showFilterInFooter() {
      var _a;
      return this.currentFilter && ((_a = this.filter) == null ? void 0 : _a.position) === "footer";
    },
    showHeader() {
      return this.$slots.header || this.title || this.showFilterInHeader;
    },
    showFooter() {
      return this.$slots.footer || this.footNote || this.footIcon;
    }
  },
  methods: {
    filterClicked(filter) {
      this.$emit("filter", filter);
    }
  }
});
const _hoisted_1$v = ["onClick"];
const _hoisted_2$m = { class: "card-pf-title" };
const _hoisted_3$i = {
  key: 1,
  class: "card-pf-subtitle"
};
const _hoisted_4$f = { class: "card-pf-body" };
const _hoisted_5$e = {
  key: 2,
  class: "card-pf-footer"
};
const _hoisted_6$a = ["onClick"];
const _hoisted_7$8 = { key: 1 };
const _hoisted_8$8 = ["href"];
const _hoisted_9$6 = {
  key: 1,
  class: "card-pf-footer-text"
};
const _hoisted_10$4 = {
  key: 1,
  class: "card-pf-footer-text"
};
function _sfc_render$y(_ctx, _cache, $props, $setup, $data, $options) {
  const _component_pf_dropdown = resolveComponent("pf-dropdown");
  const _component_pf_icon = resolveComponent("pf-icon");
  return openBlock(), createElementBlock("div", mergeProps(_ctx.ouiaProps, {
    class: ["card-pf", { "card-pf-accented": _ctx.accented }]
  }), [
    _ctx.showHeader ? (openBlock(), createElementBlock("div", {
      key: 0,
      class: normalizeClass({ "card-pf-heading": _ctx.showTitlesSeparator, "card-pf-heading-no-bottom": !_ctx.showTitlesSeparator })
    }, [
      renderSlot$1(_ctx.$slots, "header", {}, () => [
        _ctx.showFilterInHeader ? (openBlock(), createBlock(_component_pf_dropdown, {
          key: 0,
          class: "card-pf-time-frame-filter",
          text: _ctx.currentFilter.label,
          "menu-right": ""
        }, {
          default: withCtx(() => [
            (openBlock(true), createElementBlock(Fragment, null, renderList(_ctx.filter.filters, (item, i) => {
              return openBlock(), createElementBlock("li", {
                key: i,
                class: normalizeClass({ "selected": item === _ctx.currentFilter })
              }, [
                createElementVNode("a", {
                  href: "javascript:void(0)",
                  role: "menuitem",
                  tabindex: "-1",
                  onClick: withModifiers(($event) => _ctx.filterClicked(item), ["prevent"])
                }, toDisplayString(item.label), 9, _hoisted_1$v)
              ], 2);
            }), 128))
          ]),
          _: 1
        }, 8, ["text"])) : createCommentVNode("", true),
        createElementVNode("h2", _hoisted_2$m, toDisplayString(_ctx.title), 1)
      ])
    ], 2)) : createCommentVNode("", true),
    _ctx.subTitle ? (openBlock(), createElementBlock("span", _hoisted_3$i, toDisplayString(_ctx.subTitle), 1)) : createCommentVNode("", true),
    createElementVNode("div", _hoisted_4$f, [
      renderSlot$1(_ctx.$slots, "default")
    ]),
    _ctx.showFooter || _ctx.showFilterInFooter ? (openBlock(), createElementBlock("div", _hoisted_5$e, [
      _ctx.showFilterInFooter ? (openBlock(), createBlock(_component_pf_dropdown, {
        key: 0,
        class: "card-pf-time-frame-filter",
        text: _ctx.currentFilter.label,
        "menu-right": ""
      }, {
        default: withCtx(() => [
          (openBlock(true), createElementBlock(Fragment, null, renderList(_ctx.filter.filters, (item, i) => {
            return openBlock(), createElementBlock("li", {
              key: i,
              class: normalizeClass({ "selected": item === _ctx.currentFilter })
            }, [
              createElementVNode("a", {
                href: "javascript:void(0)",
                role: "menuitem",
                tabindex: "-1",
                onClick: withModifiers(($event) => _ctx.filterClicked(item), ["prevent"])
              }, toDisplayString(item.label), 9, _hoisted_6$a)
            ], 2);
          }), 128))
        ]),
        _: 1
      }, 8, ["text"])) : createCommentVNode("", true),
      _ctx.showFooter ? (openBlock(), createElementBlock("p", _hoisted_7$8, [
        renderSlot$1(_ctx.$slots, "footer", {}, () => [
          _ctx.footHref ? (openBlock(), createElementBlock("a", {
            key: 0,
            href: _ctx.footHref,
            class: normalizeClass({ "card-pf-link-with-icon": _ctx.footIcon, "card-pf-link": !_ctx.footIcon })
          }, [
            _ctx.footIcon ? (openBlock(), createBlock(_component_pf_icon, {
              key: 0,
              name: _ctx.footIcon,
              class: "cart-pf-footer-text"
            }, null, 8, ["name"])) : createCommentVNode("", true),
            _ctx.footNote ? (openBlock(), createElementBlock("span", _hoisted_9$6, toDisplayString(_ctx.footNote), 1)) : createCommentVNode("", true)
          ], 10, _hoisted_8$8)) : (openBlock(), createElementBlock(Fragment, { key: 1 }, [
            _ctx.footIcon ? (openBlock(), createBlock(_component_pf_icon, {
              key: 0,
              name: _ctx.footIcon,
              class: "cart-pf-footer-text"
            }, null, 8, ["name"])) : createCommentVNode("", true),
            _ctx.footNote ? (openBlock(), createElementBlock("span", _hoisted_10$4, toDisplayString(_ctx.footNote), 1)) : createCommentVNode("", true)
          ], 64))
        ])
      ])) : createCommentVNode("", true)
    ])) : createCommentVNode("", true)
  ], 16);
}
var Card = /* @__PURE__ */ _export_sfc(_sfc_main$y, [["render", _sfc_render$y]]);
const _sfc_main$x = defineComponent({
  name: "PfCardNotification",
  props: __spreadValues({
    count: [String, Number],
    href: String,
    icon: String
  }, ouiaProps),
  setup(props) {
    return useOUIAProps(props);
  }
});
function _sfc_render$x(_ctx, _cache, $props, $setup, $data, $options) {
  const _component_pf_icon = resolveComponent("pf-icon");
  return _ctx.icon || _ctx.count || _ctx.count === 0 ? (openBlock(), createElementBlock("span", mergeProps({ key: 0 }, _ctx.ouiaProps, { class: "card-pf-aggregate-status-notification" }), [
    (openBlock(), createBlock(resolveDynamicComponent(_ctx.href ? "a" : "span"), { href: _ctx.href }, {
      default: withCtx(() => [
        _ctx.icon ? (openBlock(), createBlock(_component_pf_icon, {
          key: 0,
          name: _ctx.icon
        }, null, 8, ["name"])) : createCommentVNode("", true),
        createTextVNode(" " + toDisplayString(_ctx.count), 1)
      ]),
      _: 1
    }, 8, ["href"]))
  ], 16)) : createCommentVNode("", true);
}
var CardNotification = /* @__PURE__ */ _export_sfc(_sfc_main$x, [["render", _sfc_render$x]]);
function getViewportSize() {
  const width = Math.max(document.documentElement.clientWidth, window.innerWidth || 0);
  const height = Math.max(document.documentElement.clientHeight, window.innerHeight || 0);
  return {
    width,
    height
  };
}
function isAvailableAtPosition(trigger, popup, placement) {
  const triggerRect = trigger.getBoundingClientRect();
  const popupRect = popup.getBoundingClientRect();
  const viewPortSize = getViewportSize();
  let top = true;
  let right = true;
  let bottom = true;
  let left = true;
  switch (placement) {
    case "top":
      top = triggerRect.top >= popupRect.height;
      left = triggerRect.left + triggerRect.width / 2 >= popupRect.width / 2;
      right = triggerRect.right - triggerRect.width / 2 + popupRect.width / 2 <= viewPortSize.width;
      break;
    case "bottom":
      bottom = triggerRect.bottom + popupRect.height <= viewPortSize.height;
      left = triggerRect.left + triggerRect.width / 2 >= popupRect.width / 2;
      right = triggerRect.right - triggerRect.width / 2 + popupRect.width / 2 <= viewPortSize.width;
      break;
    case "right":
      right = triggerRect.right + popupRect.width <= viewPortSize.width;
      top = triggerRect.top + triggerRect.height / 2 >= popupRect.height / 2;
      bottom = triggerRect.bottom - triggerRect.height / 2 + popupRect.height / 2 <= viewPortSize.height;
      break;
    case "left":
      left = triggerRect.left >= popupRect.width;
      top = triggerRect.top + triggerRect.height / 2 >= popupRect.height / 2;
      bottom = triggerRect.bottom - triggerRect.height / 2 + popupRect.height / 2 <= viewPortSize.height;
      break;
  }
  return top && right && bottom && left;
}
function setTooltipPosition(tooltip, trigger, placement, auto, appendToSelector, viewport) {
  const isPopover = tooltip && tooltip.className && tooltip.className.indexOf("popover") >= 0;
  let containerScrollTop;
  let containerScrollLeft;
  if (!appendToSelector || appendToSelector === "body") {
    const doc = document.documentElement;
    containerScrollLeft = (window.pageXOffset || doc.scrollLeft) - (doc.clientLeft || 0);
    containerScrollTop = (window.pageYOffset || doc.scrollTop) - (doc.clientTop || 0);
  } else {
    const container = document.querySelector(appendToSelector);
    containerScrollLeft = container.scrollLeft;
    containerScrollTop = container.scrollTop;
  }
  if (auto) {
    const placements = ["right", "bottom", "left", "top"];
    const changePlacementClass = (placement2) => {
      placements.forEach((placement3) => {
        tooltip.classList.remove(placement3);
      });
      tooltip.classList.add(placement2);
    };
    if (!isAvailableAtPosition(trigger, tooltip, placement)) {
      for (let i = 0, l = placements.length; i < l; i++) {
        changePlacementClass(placements[i]);
        if (isAvailableAtPosition(trigger, tooltip, placements[i])) {
          placement = placements[i];
          break;
        }
      }
      changePlacementClass(placement);
    }
  }
  const rect = trigger.getBoundingClientRect();
  const tooltipRect = tooltip.getBoundingClientRect();
  let top;
  let left;
  if (placement === "bottom") {
    top = containerScrollTop + rect.top + rect.height;
    left = containerScrollLeft + rect.left + rect.width / 2 - tooltipRect.width / 2;
  } else if (placement === "left") {
    top = containerScrollTop + rect.top + rect.height / 2 - tooltipRect.height / 2;
    left = containerScrollLeft + rect.left - tooltipRect.width;
  } else if (placement === "right") {
    top = containerScrollTop + rect.top + rect.height / 2 - tooltipRect.height / 2;
    left = containerScrollLeft + rect.left + rect.width + 1;
  } else {
    top = containerScrollTop + rect.top - tooltipRect.height;
    left = containerScrollLeft + rect.left + rect.width / 2 - tooltipRect.width / 2;
  }
  let viewportEl;
  if (typeof viewport === "string") {
    viewportEl = document.querySelector(viewport);
  } else if (typeof viewport === "function") {
    viewportEl = viewport(trigger);
  }
  if (viewportEl instanceof Element) {
    const popoverFix = isPopover ? 11 : 0;
    const viewportReact = viewportEl.getBoundingClientRect();
    const viewportTop = containerScrollTop + viewportReact.top;
    const viewportLeft = containerScrollLeft + viewportReact.left;
    const viewportBottom = viewportTop + viewportReact.height;
    const viewportRight = viewportLeft + viewportReact.width;
    if (top < viewportTop) {
      top = viewportTop;
    } else if (top + tooltipRect.height > viewportBottom) {
      top = viewportBottom - tooltipRect.height;
    }
    if (left < viewportLeft) {
      left = viewportLeft;
    } else if (left + tooltipRect.width > viewportRight) {
      left = viewportRight - tooltipRect.width;
    }
    if (placement === "bottom") {
      top -= popoverFix;
    } else if (placement === "left") {
      left += popoverFix;
    } else if (placement === "right") {
      left -= popoverFix;
    } else {
      top += popoverFix;
    }
  }
  tooltip.style.top = `${top}px`;
  tooltip.style.left = `${left}px`;
}
var popupMixin = defineComponent({
  props: {
    modelValue: {
      type: Boolean,
      default: false
    },
    tag: {
      type: String,
      default: "span"
    },
    trigger: {
      type: String,
      default: "hover-focus"
    },
    placement: {
      type: String,
      default: "top"
    },
    autoPlacement: {
      type: Boolean,
      default: true
    },
    appendTo: {
      type: String,
      default: "body"
    },
    transitionDuration: {
      type: Number,
      default: 150
    },
    hideDelay: {
      type: Number,
      default: 0
    },
    showDelay: {
      type: Number,
      default: 0
    },
    enable: {
      type: Boolean,
      default: true
    },
    enterable: {
      type: Boolean,
      default: true
    },
    target: {
      type: [Object, String],
      default: null
    },
    viewport: {
      type: [Function, String],
      default: null
    },
    customClass: String
  },
  emits: {
    "update:modelValue": (value) => value !== void 0,
    input: (value) => value !== void 0,
    show: () => true,
    hide: () => true
  },
  setup() {
    const triggerEl = ref(null);
    return {
      triggerEl
    };
  },
  data() {
    return {
      name: "",
      hideTimeoutId: 0,
      showTimeoutId: 0,
      transitionTimeoutId: 0,
      autoTimeoutId: 0
    };
  },
  watch: {
    modelValue(v) {
      v ? this.show() : this.hide();
    },
    trigger() {
      this.clearListeners();
      this.initListeners();
    },
    target(value) {
      this.clearListeners();
      this.initTriggerElByTarget(value);
      this.initListeners();
    },
    allContent() {
      if (this.isNotEmpty()) {
        this.$nextTick(() => {
          if (this.isShown()) {
            this.resetPosition();
          }
        });
      } else {
        this.hide();
      }
    },
    enable(value) {
      if (!value) {
        this.hide();
      }
    }
  },
  mounted() {
    if (this.$refs.popup instanceof HTMLElement && this.$refs.popup.parentNode) {
      this.$refs.popup.parentNode.removeChild(this.$refs.popup);
    }
    this.$nextTick(() => {
      this.initTriggerElByTarget(this.target);
      this.initListeners();
      if (this.modelValue) {
        this.show();
      }
    });
  },
  beforeUnmount() {
    this.clearListeners();
    if (this.$refs.popup instanceof HTMLElement && this.$refs.popup.parentNode) {
      this.$refs.popup.parentNode.removeChild(this.$refs.popup);
    }
  },
  methods: {
    isNotEmpty() {
      return false;
    },
    initTriggerElByTarget(target) {
      if (target) {
        if (typeof target === "string") {
          this.triggerEl = document.querySelector(target);
        } else if (target instanceof HTMLElement) {
          this.triggerEl = target;
        } else if (target.$el instanceof HTMLElement) {
          this.triggerEl = target.$el;
        }
      } else {
        const trigger = this.$el.querySelector('[data-role="trigger"]');
        if (trigger) {
          this.triggerEl = trigger;
        } else {
          const firstChild = this.$el.firstChild;
          this.triggerEl = firstChild === this.$refs.popup ? null : firstChild;
        }
      }
    },
    initListeners() {
      if (this.triggerEl) {
        if (this.trigger === "hover") {
          this.triggerEl.addEventListener("mouseenter", this.show);
          this.triggerEl.addEventListener("mouseleave", this.hide);
        } else if (this.trigger === "focus") {
          this.triggerEl.addEventListener("focus", this.show);
          this.triggerEl.addEventListener("blur", this.hide);
        } else if (this.trigger === "hover-focus") {
          this.triggerEl.addEventListener("mouseenter", this.handleAuto);
          this.triggerEl.addEventListener("mouseleave", this.handleAuto);
          this.triggerEl.addEventListener("focus", this.handleAuto);
          this.triggerEl.addEventListener("blur", this.handleAuto);
        } else if (this.trigger === "click" || this.trigger === "outside-click") {
          this.triggerEl.addEventListener("click", this.toggle);
        }
      }
      window.addEventListener("click", this.windowClicked);
    },
    clearListeners() {
      if (this.triggerEl) {
        this.triggerEl.removeEventListener("focus", this.show);
        this.triggerEl.removeEventListener("blur", this.hide);
        this.triggerEl.removeEventListener("mouseenter", this.show);
        this.triggerEl.removeEventListener("mouseleave", this.hide);
        this.triggerEl.removeEventListener("click", this.toggle);
        this.triggerEl.removeEventListener("mouseenter", this.handleAuto);
        this.triggerEl.removeEventListener("mouseleave", this.handleAuto);
        this.triggerEl.removeEventListener("focus", this.handleAuto);
        this.triggerEl.removeEventListener("blur", this.handleAuto);
      }
      window.removeEventListener("click", this.windowClicked);
      this.clearTimeouts();
    },
    clearTimeouts() {
      if (this.hideTimeoutId) {
        clearTimeout(this.hideTimeoutId);
        this.hideTimeoutId = 0;
      }
      if (this.showTimeoutId) {
        clearTimeout(this.showTimeoutId);
        this.showTimeoutId = 0;
      }
      if (this.transitionTimeoutId) {
        clearTimeout(this.transitionTimeoutId);
        this.transitionTimeoutId = 0;
      }
      if (this.autoTimeoutId) {
        clearTimeout(this.autoTimeoutId);
        this.autoTimeoutId = 0;
      }
    },
    resetPosition() {
      const popup = this.$refs.popup;
      if (!(popup instanceof HTMLElement) || !this.triggerEl) {
        return;
      }
      setTooltipPosition(popup, this.triggerEl, this.placement, this.autoPlacement, this.appendTo, this.viewport);
    },
    hideOnLeave() {
      if (this.trigger === "hover" || this.trigger === "hover-focus" && !this.triggerEl.matches(":focus")) {
        this.$hide();
      }
    },
    toggle() {
      if (this.isShown()) {
        this.hide();
      } else {
        this.show();
      }
    },
    show() {
      if (this.enable && this.triggerEl && this.isNotEmpty() && !this.isShown()) {
        const popUpAppendedContainer = this.hideTimeoutId > 0;
        if (popUpAppendedContainer) {
          clearTimeout(this.hideTimeoutId);
          this.hideTimeoutId = 0;
        }
        if (this.transitionTimeoutId > 0) {
          clearTimeout(this.transitionTimeoutId);
          this.transitionTimeoutId = 0;
        }
        clearTimeout(this.showTimeoutId);
        this.showTimeoutId = setTimeout(() => {
          this.showTimeoutId = 0;
          const popup = this.$refs.popup;
          if (popup instanceof HTMLElement) {
            const alreadyOpenModalNum = document.querySelectorAll(".modal-backdrop").length;
            if (alreadyOpenModalNum > 1) {
              const defaultZ = this.name === "popover" ? 1060 : 1070;
              const offset = (alreadyOpenModalNum - 1) * 20;
              popup.style.zIndex = `${defaultZ + offset}`;
            }
            if (!popUpAppendedContainer) {
              popup.className = `${this.name} ${this.placement} ${this.customClass ? this.customClass : ""} fade`;
              const container = document.querySelector(this.appendTo);
              container.appendChild(popup);
              this.resetPosition();
            }
            popup.classList.add("in");
            this.$emit("update:modelValue", true);
            this.$emit("input", true);
            this.$emit("show");
          }
        }, this.showDelay);
      }
    },
    hide() {
      if (this.showTimeoutId > 0) {
        clearTimeout(this.showTimeoutId);
        this.showTimeoutId = 0;
      }
      if (!this.isShown()) {
        return;
      }
      if (this.enterable && (this.trigger === "hover" || this.trigger === "hover-focus")) {
        clearTimeout(this.hideTimeoutId);
        this.hideTimeoutId = setTimeout(() => {
          this.hideTimeoutId = 0;
          const popup = this.$refs.popup;
          if (popup instanceof HTMLElement && !popup.matches(":hover")) {
            this.$hide();
          }
        }, 100);
      } else {
        this.$hide();
      }
    },
    $hide() {
      if (this.isShown()) {
        clearTimeout(this.hideTimeoutId);
        this.hideTimeoutId = setTimeout(() => {
          this.hideTimeoutId = 0;
          if (this.$refs.popup instanceof HTMLElement) {
            this.$refs.popup.classList.remove("in");
          }
          this.transitionTimeoutId = setTimeout(() => {
            this.transitionTimeoutId = 0;
            if (this.$refs.popup instanceof HTMLElement && this.$refs.popup.parentNode) {
              this.$refs.popup.parentNode.removeChild(this.$refs.popup);
            }
            this.$emit("update:modelValue", false);
            this.$emit("input", false);
            this.$emit("hide");
          }, this.transitionDuration);
        }, this.hideDelay);
      }
    },
    isShown() {
      return this.$refs.popup instanceof HTMLElement && this.$refs.popup.classList.contains("in");
    },
    windowClicked(event) {
      if (this.trigger !== "outside-click" || !(event.target instanceof Node) || !(this.triggerEl instanceof HTMLElement) || !(this.$refs.popup instanceof HTMLElement)) {
        return;
      }
      if (!this.triggerEl.contains(event.target) && !this.$refs.popup.contains(event.target) && this.isShown()) {
        this.hide();
      }
    },
    handleAuto() {
      clearTimeout(this.autoTimeoutId);
      this.autoTimeoutId = setTimeout(() => {
        this.autoTimeoutId = 0;
        if (this.triggerEl.matches(":hover, :focus")) {
          this.show();
        } else {
          this.hide();
        }
      }, 20);
    }
  }
});
const _sfc_main$w = defineComponent({
  name: "PfPopover",
  mixins: [popupMixin],
  props: __spreadValues({
    title: {
      type: String,
      default: ""
    },
    content: {
      type: String,
      default: ""
    },
    trigger: {
      type: String,
      default: "outside-click"
    }
  }, ouiaProps),
  setup(props) {
    return useOUIAProps(props);
  },
  data() {
    return {
      name: "popover"
    };
  },
  computed: {
    allContent() {
      return this.title + this.content;
    }
  },
  methods: {
    isNotEmpty() {
      return this.title || this.content || this.$slots.popover;
    }
  }
});
const _hoisted_1$u = /* @__PURE__ */ createElementVNode("div", { class: "arrow" }, null, -1);
const _hoisted_2$l = {
  key: 0,
  class: "popover-title"
};
const _hoisted_3$h = { class: "popover-content" };
function _sfc_render$w(_ctx, _cache, $props, $setup, $data, $options) {
  return openBlock(), createBlock(resolveDynamicComponent(_ctx.tag), null, {
    default: withCtx(() => [
      renderSlot$1(_ctx.$slots, "default"),
      createElementVNode("div", mergeProps(_ctx.ouiaProps, {
        ref: "popup",
        style: { "display": "block" },
        onMouseleave: _cache[0] || (_cache[0] = (...args) => _ctx.hideOnLeave && _ctx.hideOnLeave(...args))
      }), [
        _hoisted_1$u,
        _ctx.title ? (openBlock(), createElementBlock("h3", _hoisted_2$l, toDisplayString(_ctx.title), 1)) : createCommentVNode("", true),
        createElementVNode("div", _hoisted_3$h, [
          renderSlot$1(_ctx.$slots, "popover", {}, () => [
            createTextVNode(toDisplayString(_ctx.content), 1)
          ])
        ])
      ], 16)
    ]),
    _: 3
  });
}
var PfPopover = /* @__PURE__ */ _export_sfc(_sfc_main$w, [["render", _sfc_render$w]]);
var ColumnPicker_vue_vue_type_style_index_0_lang = "";
const _sfc_main$v = defineComponent({
  name: "PfColumnPicker",
  components: {
    PfPopover,
    PfButton
  },
  props: __spreadValues({
    columns: {
      type: [Array, Object],
      default: () => []
    },
    modelValue: {
      type: Array,
      default: () => []
    }
  }, ouiaProps),
  emits: {
    "update:modelValue": (value) => value !== void 0
  },
  setup(props) {
    return useOUIAProps(props);
  },
  data() {
    return {
      iValue: []
    };
  },
  watch: {
    modelValue(value) {
      if (value != this.iValue) {
        this.iValue = value.slice(0);
      }
    }
  },
  mounted() {
    this.iValue = this.modelValue;
  },
  methods: {
    columnValue(column, i) {
      let value = typeof i === "string" ? i : column;
      if (typeof value === "object") {
        value = typeof value.name === "undefined" ? value.label : value.name;
      }
      return value;
    },
    columnLabel(column) {
      return typeof column === "object" ? column.label : column;
    },
    setValue() {
      const sortedValue = [];
      const iter = Array.isArray(this.columns) ? this.columns.entries() : Object.entries(this.columns);
      for (const [i, column] of iter) {
        const value = this.columnValue(column, i);
        if (this.iValue.indexOf(value) >= 0) {
          sortedValue.push(value);
        }
      }
      this.$emit("update:modelValue", sortedValue);
    }
  }
});
const _hoisted_1$t = ["value"];
function _sfc_render$v(_ctx, _cache, $props, $setup, $data, $options) {
  const _component_pf_icon = resolveComponent("pf-icon");
  const _component_pf_button = resolveComponent("pf-button");
  const _component_pf_popover = resolveComponent("pf-popover");
  return openBlock(), createBlock(_component_pf_popover, mergeProps(_ctx.ouiaProps, {
    class: "column-picker",
    placement: "bottom"
  }), {
    popover: withCtx(() => [
      (openBlock(true), createElementBlock(Fragment, null, renderList(_ctx.columns, (column, i) => {
        return openBlock(), createElementBlock("div", {
          key: i,
          class: "column-picker checkbox"
        }, [
          createElementVNode("label", null, [
            withDirectives(createElementVNode("input", {
              "onUpdate:modelValue": _cache[0] || (_cache[0] = ($event) => _ctx.iValue = $event),
              type: "checkbox",
              value: _ctx.columnValue(column, i),
              onChange: _cache[1] || (_cache[1] = (...args) => _ctx.setValue && _ctx.setValue(...args))
            }, null, 40, _hoisted_1$t), [
              [vModelCheckbox, _ctx.iValue]
            ]),
            createTextVNode(" " + toDisplayString(_ctx.columnLabel(column)), 1)
          ])
        ]);
      }), 128))
    ]),
    default: withCtx(() => [
      createVNode(_component_pf_button, {
        "data-role": "trigger",
        variant: "link"
      }, {
        default: withCtx(() => [
          createVNode(_component_pf_icon, { name: "fa-columns" })
        ]),
        _: 1
      })
    ]),
    _: 1
  }, 16);
}
var PfColumnPicker = /* @__PURE__ */ _export_sfc(_sfc_main$v, [["render", _sfc_render$v]]);
const _sfc_main$u = defineComponent({
  name: "PfCombobox",
  props: __spreadValues({
    name: {
      type: String,
      default: null
    },
    modelValue: {
      type: [String, Number],
      default: null
    },
    placeholder: {
      type: String,
      default: null
    },
    disabled: Boolean,
    required: Boolean,
    tabindex: {
      type: String,
      default: null
    },
    options: {
      type: Array,
      default: () => []
    },
    labelField: {
      type: String,
      default: "label"
    },
    valueField: {
      type: String,
      default: "id"
    },
    match: {
      type: Function,
      default: (o, q) => o.label.toString().toLowerCase().includes(q.toLowerCase())
    },
    highlight: {
      type: Function,
      default: (o, q) => o.label.replace(new RegExp(q.replace(/[-[\]{}()*+?.,\\^$|#\s]/g, "\\$&"), "ig"), "<strong>$&</strong>")
    },
    withCheckbox: {
      type: [Boolean, String],
      default: false
    }
  }, ouiaProps),
  emits: {
    update: (value) => value !== void 0,
    "update:modelValue": (value) => value !== void 0
  },
  setup(props) {
    return useOUIAProps(props);
  },
  data() {
    return {
      blurTimeout: null,
      showOptions: false,
      filter: null,
      active: null,
      hasError: false,
      checked: false
    };
  },
  computed: {
    hasValue() {
      return this.modelValue !== null;
    },
    label() {
      if (!this.hasValue || typeof this.optionsMap[this.modelValue] === "undefined") {
        return "";
      }
      return this.optionsMap[this.modelValue].label;
    },
    optionsMap() {
      const map = {};
      for (const o of this.options) {
        const isObj = typeof o === "object";
        const value = isObj ? o[this.valueField] : o;
        const label = isObj ? o[this.labelField] : o;
        map[value] = {
          option: o,
          label: label.toString(),
          value
        };
      }
      return map;
    },
    filteredOptions() {
      if (this.filter === null) {
        return [];
      }
      return Object.values(this.optionsMap).reduce((options, o) => {
        if (this.match(o, this.filter)) {
          options.push(__spreadProps(__spreadValues({}, o), {
            highlighted: this.highlight(o, this.filter)
          }));
        }
        return options;
      }, []);
    },
    text: {
      get() {
        return this.filter === null ? this.label : this.filter;
      },
      set(text) {
        this.filter = text;
      }
    },
    dropdownOpen() {
      return this.showOptions && this.filteredOptions.length;
    },
    effectiveDisabled() {
      return this.disabled || this.withCheckbox && !this.checked;
    }
  },
  watch: {
    dropdownOpen() {
      if (this.dropdownOpen) {
        clearTimeout(this.blurTimeout);
      }
    },
    filteredOptions() {
      if (this.filteredOptions.length) {
        this.active = this.filteredOptions[0].value;
        this.showOptions = this.filter !== null;
      } else {
        this.active = null;
      }
    }
  },
  methods: {
    setValue(value) {
      this.showOptions = false;
      this.filter = null;
      if (value !== this.modelValue) {
        this.$emit("update", value);
        this.$emit("update:modelValue", value);
        this.hasError = false;
      }
      this.$refs.text.focus();
    },
    toggleOptions() {
      this.showOptions = !this.dropdownOpen;
      if (this.showOptions) {
        if (this.filter === null) {
          this.filter = "";
        }
        this.$refs.text.focus();
      }
    },
    blur() {
      clearTimeout(this.blurTimeout);
      this.blurTimeout = setTimeout(() => {
        if (this.filter) {
          this.filter = null;
        }
        this.showOptions = false;
      }, 200);
    },
    prev() {
      if (!this.filteredOptions.length) {
        this.active = null;
        return;
      }
      let activeIdx = this.filteredOptions.findIndex((o) => o.value === this.active);
      if (activeIdx < 0 || activeIdx === 0) {
        activeIdx = this.filteredOptions.length - 1;
      } else {
        activeIdx--;
      }
      this.active = this.filteredOptions[activeIdx].value;
    },
    next() {
      if (!this.dropdownOpen) {
        this.toggleOptions();
        this.active = null;
      }
      if (!this.filteredOptions.length) {
        this.active = null;
        return;
      }
      let activeIdx = this.filteredOptions.findIndex((o) => o.value === this.active);
      if (activeIdx < 0 || activeIdx >= this.filteredOptions.length - 1) {
        activeIdx = 0;
      } else {
        activeIdx++;
      }
      this.active = this.filteredOptions[activeIdx].value;
    },
    apply(e) {
      if (!this.dropdownOpen) {
        return;
      }
      e.preventDefault();
      if (this.active === null) {
        this.setValue(null);
        return;
      }
      const activeIdx = this.filteredOptions.findIndex((o) => o.value === this.active);
      if (activeIdx < 0) {
        this.setValue(null);
        return;
      }
      this.setValue(this.filteredOptions[activeIdx].value);
    },
    dropdownClick(e) {
      if (this.effectiveDisabled) {
        e.preventDefault();
        return;
      }
      if (this.hasValue) {
        this.setValue(null);
        return;
      }
      this.toggleOptions();
    }
  }
});
const _hoisted_1$s = ["name", "value", "disabled", "required"];
const _hoisted_2$k = { class: "input-group" };
const _hoisted_3$g = {
  key: 0,
  class: "input-group-addon"
};
const _hoisted_4$e = ["name"];
const _hoisted_5$d = ["placeholder", "disabled", "required", "tabindex"];
const _hoisted_6$9 = ["data-value", "aria-selected", "onClick"];
const _hoisted_7$7 = ["innerHTML"];
const _hoisted_8$7 = ["disabled"];
const _hoisted_9$5 = /* @__PURE__ */ createElementVNode("span", { class: "caret" }, null, -1);
function _sfc_render$u(_ctx, _cache, $props, $setup, $data, $options) {
  const _component_pf_icon = resolveComponent("pf-icon");
  return openBlock(), createElementBlock("div", mergeProps(_ctx.ouiaProps, {
    class: ["combobox-container", {
      "combobox-disabled": _ctx.effectiveDisabled,
      "combobox-selected": _ctx.hasValue,
      "has-error": _ctx.hasError
    }]
  }), [
    _ctx.name ? (openBlock(), createElementBlock("input", {
      key: 0,
      type: "hidden",
      name: _ctx.name,
      value: _ctx.modelValue,
      disabled: _ctx.effectiveDisabled,
      required: _ctx.required
    }, null, 8, _hoisted_1$s)) : createCommentVNode("", true),
    createElementVNode("div", _hoisted_2$k, [
      _ctx.withCheckbox ? (openBlock(), createElementBlock("label", _hoisted_3$g, [
        withDirectives(createElementVNode("input", {
          "onUpdate:modelValue": _cache[0] || (_cache[0] = ($event) => _ctx.checked = $event),
          type: "checkbox",
          name: typeof _ctx.withCheckbox === "string" ? _ctx.withCheckbox : null,
          value: "1"
        }, null, 8, _hoisted_4$e), [
          [vModelCheckbox, _ctx.checked]
        ])
      ])) : createCommentVNode("", true),
      withDirectives(createElementVNode("input", {
        ref: "text",
        "onUpdate:modelValue": _cache[1] || (_cache[1] = ($event) => _ctx.text = $event),
        type: "text",
        autocomplete: "off",
        autocorrect: "off",
        autocapitalize: "off",
        spellcheck: "false",
        placeholder: _ctx.placeholder,
        disabled: _ctx.effectiveDisabled,
        required: _ctx.required,
        tabindex: _ctx.tabindex,
        class: "combobox form-control",
        onFocus: _cache[2] || (_cache[2] = ($event) => _ctx.$refs.text.select()),
        onBlur: _cache[3] || (_cache[3] = (...args) => _ctx.blur && _ctx.blur(...args)),
        onKeydown: [
          _cache[4] || (_cache[4] = withKeys(($event) => _ctx.showOptions = false, ["esc"])),
          _cache[5] || (_cache[5] = withKeys(withModifiers((...args) => _ctx.prev && _ctx.prev(...args), ["prevent"]), ["up"])),
          _cache[6] || (_cache[6] = withKeys(withModifiers((...args) => _ctx.next && _ctx.next(...args), ["prevent"]), ["down"])),
          _cache[7] || (_cache[7] = withKeys((...args) => _ctx.apply && _ctx.apply(...args), ["enter"])),
          _cache[8] || (_cache[8] = withKeys((...args) => _ctx.apply && _ctx.apply(...args), ["tab"]))
        ],
        onInvalid: _cache[9] || (_cache[9] = ($event) => _ctx.hasError = true)
      }, null, 40, _hoisted_5$d), [
        [vModelText, _ctx.text]
      ]),
      createElementVNode("ul", {
        class: "typeahead typeahead-long dropdown-menu",
        style: normalizeStyle([{ "top": "26px", "left": "0px", "max-height": "300px" }, { display: _ctx.dropdownOpen ? "block" : "none" }]),
        role: "listbox"
      }, [
        (openBlock(true), createElementBlock(Fragment, null, renderList(_ctx.filteredOptions, (o) => {
          return openBlock(), createElementBlock("li", {
            key: o.value,
            "data-value": o.value,
            role: "option",
            "aria-selected": o.value === _ctx.active,
            class: normalizeClass({ active: o.value === _ctx.active }),
            onClick: withModifiers(($event) => _ctx.setValue(o.value), ["stop", "prevent"])
          }, [
            createElementVNode("a", {
              href: "javascript:void(0)",
              role: "presentation",
              onClick: _cache[10] || (_cache[10] = withModifiers(() => {
              }, ["prevent"]))
            }, [
              renderSlot$1(_ctx.$slots, "default", { option: o }, () => [
                createElementVNode("span", {
                  innerHTML: o.highlighted
                }, null, 8, _hoisted_7$7)
              ])
            ])
          ], 10, _hoisted_6$9);
        }), 128))
      ], 4),
      renderSlot$1(_ctx.$slots, "dropdownTrigger", {
        disabled: _ctx.effectiveDisabled,
        clickHandler: _ctx.dropdownClick
      }, () => [
        createElementVNode("a", {
          href: "javascript:void(0)",
          role: "button",
          class: normalizeClass(["input-group-addon dropdown-toggle", { disabled: _ctx.effectiveDisabled }]),
          "data-dropdown": "dropdown",
          disabled: _ctx.effectiveDisabled,
          onClick: _cache[11] || (_cache[11] = withModifiers((...args) => _ctx.dropdownClick && _ctx.dropdownClick(...args), ["prevent"]))
        }, [
          _hoisted_9$5,
          createVNode(_component_pf_icon, { name: "glyphicon-remove" })
        ], 10, _hoisted_8$7)
      ])
    ])
  ], 16);
}
var Combobox = /* @__PURE__ */ _export_sfc(_sfc_main$u, [["render", _sfc_render$u]]);
var Drawer_vue_vue_type_style_index_0_lang = "";
const _sfc_main$t = defineComponent({
  name: "PfDrawer",
  props: __spreadValues({
    hidden: {
      type: Boolean,
      default: true
    },
    allowExpand: Boolean,
    title: String
  }, ouiaProps),
  emits: {
    "update:hidden": (value) => value !== void 0
  },
  setup(props) {
    const activeGroup = ref(null);
    provide("activeGroup", activeGroup);
    const expanded = ref(false);
    provide("drawerExpanded", expanded);
    const dropdowns = ref(null);
    provide("drawerDropdowns", dropdowns);
    return __spreadValues({
      dropdowns,
      expanded
    }, useOUIAProps(props));
  },
  methods: {
    close() {
      this.$emit("update:hidden", true);
    }
  }
});
const _hoisted_1$r = {
  key: 0,
  class: "drawer-pf-title"
};
const _hoisted_2$j = { class: "text-center" };
const _hoisted_3$f = { class: "panel-group" };
const _hoisted_4$d = {
  ref: "dropdowns",
  class: "dropdown-kebab-pf"
};
function _sfc_render$t(_ctx, _cache, $props, $setup, $data, $options) {
  const _component_pf_icon = resolveComponent("pf-icon");
  return openBlock(), createElementBlock("div", mergeProps(_ctx.ouiaProps, {
    class: ["drawer-pf", {
      "hide": _ctx.hidden,
      "drawer-pf-expanded": _ctx.allowExpand && _ctx.expanded
    }]
  }), [
    renderSlot$1(_ctx.$slots, "title", {}, () => [
      _ctx.title ? (openBlock(), createElementBlock("div", _hoisted_1$r, [
        _ctx.allowExpand ? (openBlock(), createElementBlock("a", {
          key: 0,
          class: "drawer-pf-toggle-expand",
          onClick: _cache[0] || (_cache[0] = ($event) => _ctx.expanded = !_ctx.expanded)
        })) : createCommentVNode("", true),
        createElementVNode("a", {
          class: "drawer-pf-close",
          onClick: _cache[1] || (_cache[1] = (...args) => _ctx.close && _ctx.close(...args))
        }, [
          createVNode(_component_pf_icon, { name: "fa-close" })
        ]),
        createElementVNode("h3", _hoisted_2$j, toDisplayString(_ctx.title), 1)
      ])) : createCommentVNode("", true)
    ]),
    createElementVNode("div", null, [
      createElementVNode("div", _hoisted_3$f, [
        renderSlot$1(_ctx.$slots, "default")
      ])
    ]),
    createElementVNode("div", _hoisted_4$d, null, 512)
  ], 16);
}
var Drawer = /* @__PURE__ */ _export_sfc(_sfc_main$t, [["render", _sfc_render$t]]);
var DrawerGroup_vue_vue_type_style_index_0_lang = "";
const _sfc_main$s = defineComponent({
  name: "PfDrawerGroup",
  props: __spreadValues({
    title: String,
    counter: String,
    loading: Boolean
  }, ouiaProps),
  emits: ["opened", "closed"],
  setup(props) {
    return __spreadValues({
      activeGroup: inject("activeGroup", null)
    }, useOUIAProps(props));
  },
  data() {
    return {
      expanded: false,
      empty: true
    };
  },
  watch: {
    activeGroup(group) {
      if (group !== this) {
        this.close();
      }
    },
    expanded(value) {
      if (value) {
        this.$emit("opened", this);
        this.activeGroup = this;
      } else {
        this.$emit("closed", this);
      }
    }
  },
  updated() {
    this.empty = !this.$slots.default;
  },
  methods: {
    open() {
      this.expanded = true;
    },
    close() {
      this.expanded = false;
    },
    toggle() {
      this.expanded = !this.expanded;
    }
  }
});
const _hoisted_1$q = { class: "panel-heading" };
const _hoisted_2$i = { class: "panel-title" };
const _hoisted_3$e = ["aria-expanded"];
const _hoisted_4$c = { class: "panel-counter" };
const _hoisted_5$c = ["aria-expanded"];
const _hoisted_6$8 = {
  key: 0,
  class: "blank-slate-pf"
};
const _hoisted_7$6 = { class: "blank-slate-pf-icon" };
const _hoisted_8$6 = /* @__PURE__ */ createElementVNode("h4", { class: "h1 blank-slate-pf-title" }, " No Notifications Available ", -1);
const _hoisted_9$4 = {
  key: 1,
  class: "panel-body"
};
const _hoisted_10$3 = {
  key: 0,
  class: "drawer-pf-loading text-center"
};
const _hoisted_11$2 = /* @__PURE__ */ createElementVNode("span", { class: "spinner spinner-xs spinner-inline" }, null, -1);
const _hoisted_12$1 = /* @__PURE__ */ createTextVNode(" Loading ");
const _hoisted_13 = [
  _hoisted_11$2,
  _hoisted_12$1
];
const _hoisted_14 = {
  key: 2,
  class: "drawer-pf-action"
};
function _sfc_render$s(_ctx, _cache, $props, $setup, $data, $options) {
  const _component_pf_icon = resolveComponent("pf-icon");
  return openBlock(), createElementBlock("div", mergeProps(_ctx.ouiaProps, { class: "panel panel-default" }), [
    createElementVNode("div", _hoisted_1$q, [
      createElementVNode("h4", _hoisted_2$i, [
        createElementVNode("a", {
          class: normalizeClass({ collapsed: !_ctx.expanded }),
          "aria-expanded": _ctx.expanded ? "true" : "false",
          onClick: _cache[0] || (_cache[0] = (...args) => _ctx.toggle && _ctx.toggle(...args))
        }, toDisplayString(_ctx.title), 11, _hoisted_3$e)
      ]),
      createElementVNode("span", _hoisted_4$c, toDisplayString(_ctx.counter), 1)
    ]),
    createVNode(Transition, { name: "collapse" }, {
      default: withCtx(() => [
        withDirectives(createElementVNode("div", {
          class: "panel-collapse",
          "aria-expanded": _ctx.expanded ? "true" : "false"
        }, [
          _ctx.empty && !_ctx.loading ? (openBlock(), createElementBlock("div", _hoisted_6$8, [
            createElementVNode("div", _hoisted_7$6, [
              createVNode(_component_pf_icon, { name: "pficon-info" })
            ]),
            _hoisted_8$6
          ])) : (openBlock(), createElementBlock("div", _hoisted_9$4, [
            renderSlot$1(_ctx.$slots, "default"),
            _ctx.loading ? (openBlock(), createElementBlock("div", _hoisted_10$3, _hoisted_13)) : createCommentVNode("", true)
          ])),
          _ctx.$slots.actions ? (openBlock(), createElementBlock("div", _hoisted_14, [
            renderSlot$1(_ctx.$slots, "actions")
          ])) : createCommentVNode("", true)
        ], 8, _hoisted_5$c), [
          [vShow, _ctx.expanded]
        ])
      ]),
      _: 3
    })
  ], 16);
}
var DrawerGroup = /* @__PURE__ */ _export_sfc(_sfc_main$s, [["render", _sfc_render$s]]);
const _sfc_main$r = defineComponent({
  name: "PfDrawerGroupAction",
  components: {
    PfButton
  },
  props: __spreadValues({}, ouiaProps),
  setup(props) {
    return useOUIAProps(props);
  }
});
function _sfc_render$r(_ctx, _cache, $props, $setup, $data, $options) {
  const _component_pf_button = resolveComponent("pf-button");
  return openBlock(), createElementBlock("div", mergeProps(_ctx.ouiaProps, { class: "drawer-pf-action-link" }), [
    createVNode(_component_pf_button, { variant: "link" }, {
      default: withCtx(() => [
        renderSlot$1(_ctx.$slots, "default")
      ]),
      _: 3
    })
  ], 16);
}
var DrawerGroupAction = /* @__PURE__ */ _export_sfc(_sfc_main$r, [["render", _sfc_render$r]]);
var Notification_vue_vue_type_style_index_0_lang = "";
function isNotificationAction(action) {
  return action !== "-" && !action.separator;
}
const _sfc_main$q = defineComponent({
  name: "PfNotification",
  components: {
    PfButton,
    PfDropdown
  },
  props: __spreadValues({
    action: Object,
    actions: Array,
    delay: {
      type: Number,
      default: 8e3
    },
    type: {
      type: String,
      default: "info"
    },
    toast: {
      type: Boolean,
      default: false
    },
    persistent: {
      type: Boolean,
      default: false
    }
  }, ouiaProps),
  emits: {
    dismiss: (event) => event !== void 0,
    action: (action) => action !== void 0
  },
  setup(props) {
    return useOUIAProps(props);
  },
  data() {
    return {
      $timeout: null
    };
  },
  computed: {
    showDropdown() {
      return this.toast && this.actions && this.actions.length;
    },
    alertClass() {
      return `alert-${this.type || "info"}`;
    },
    buttonVariant() {
      if (!this.action || !this.action.button) {
        return "link";
      }
      return this.action.button === true ? "default" : this.action.button;
    },
    typeIcon() {
      switch (this.type) {
        case "success":
          return "pficon-ok";
        case "danger":
          return "pficon-error-circle-o";
        case "warning":
          return "pficon-warning-triangle-o";
        default:
          return "pficon-info";
      }
    }
  },
  watch: {
    toast: {
      handler() {
        this.updateTimeout();
      },
      immediate: true
    },
    delay() {
      this.updateTimeout();
    },
    persistent() {
      this.updateTimeout();
    }
  },
  methods: {
    updateTimeout() {
      if (this.$timeout) {
        clearTimeout(this.$timeout);
      }
      if (this.toast && !this.persistent) {
        this.$timeout = setTimeout(this.dismiss, this.delay);
      }
    },
    isAction: isNotificationAction,
    dismiss() {
      var _a;
      this.$emit("dismiss", this);
      if (this.toast && !this.persistent && ((_a = this.$parent.notifications) == null ? void 0 : _a.length)) {
        setTimeout(this.dismiss, 250);
      }
    },
    triggered(action) {
      if (typeof action.handler === "function") {
        action.handler(action);
      }
      this.$emit(action.emit || "action", action);
    }
  }
});
const _hoisted_1$p = ["role"];
const _hoisted_2$h = ["title", "onClick"];
function _sfc_render$q(_ctx, _cache, $props, $setup, $data, $options) {
  const _component_pf_dropdown = resolveComponent("pf-dropdown");
  const _component_pf_icon = resolveComponent("pf-icon");
  const _component_pf_button = resolveComponent("pf-button");
  return openBlock(), createElementBlock("div", mergeProps(_ctx.ouiaProps, {
    class: ["alert", [_ctx.alertClass, {
      "alert-dismissable": _ctx.persistent,
      "toast-pf": _ctx.toast
    }]]
  }), [
    _ctx.showDropdown ? (openBlock(), createBlock(_component_pf_dropdown, { key: 0 }, {
      default: withCtx(() => [
        (openBlock(true), createElementBlock(Fragment, null, renderList(_ctx.actions, (actionItem, i) => {
          return openBlock(), createElementBlock("li", {
            key: _ctx.isAction(actionItem) ? actionItem.name : i,
            role: _ctx.isAction(actionItem) ? "menuitem" : "separator",
            class: normalizeClass({
              divider: !_ctx.isAction(actionItem),
              disabled: _ctx.isAction(actionItem) && actionItem.disabled === true
            })
          }, [
            _ctx.isAction(actionItem) ? (openBlock(), createElementBlock("a", {
              key: 0,
              class: "secondary-action",
              title: actionItem.title,
              onClick: ($event) => _ctx.triggered(actionItem)
            }, toDisplayString(actionItem.name), 9, _hoisted_2$h)) : createCommentVNode("", true)
          ], 10, _hoisted_1$p);
        }), 128))
      ]),
      _: 1
    })) : createCommentVNode("", true),
    withDirectives(createElementVNode("button", {
      type: "button",
      class: "close",
      "data-dismiss": "alert",
      "aria-hidden": "true",
      onClick: _cache[0] || (_cache[0] = (...args) => _ctx.dismiss && _ctx.dismiss(...args))
    }, [
      createVNode(_component_pf_icon, { name: "pficon-close" })
    ], 512), [
      [vShow, _ctx.persistent]
    ]),
    _ctx.action && _ctx.action.name ? (openBlock(), createBlock(_component_pf_button, {
      key: 1,
      class: "pull-right",
      variant: _ctx.buttonVariant,
      title: _ctx.action.title,
      onClick: _cache[1] || (_cache[1] = ($event) => _ctx.triggered(_ctx.action))
    }, {
      default: withCtx(() => [
        createTextVNode(toDisplayString(_ctx.action.name), 1)
      ]),
      _: 1
    }, 8, ["variant", "title"])) : createCommentVNode("", true),
    createVNode(_component_pf_icon, { name: _ctx.typeIcon }, null, 8, ["name"]),
    renderSlot$1(_ctx.$slots, "default")
  ], 16);
}
var PfNotification = /* @__PURE__ */ _export_sfc(_sfc_main$q, [["render", _sfc_render$q]]);
var DrawerNotification_vue_vue_type_style_index_0_lang = "";
const _sfc_main$p = defineComponent({
  name: "PfDrawerNotification",
  components: {
    PfButton,
    PfDropdown
  },
  props: __spreadValues({
    action: Object,
    actions: Array,
    message: String,
    date: String,
    time: String,
    unread: Boolean,
    type: {
      type: String,
      default: "info",
      validator: (type) => ["", null, "info", "success", "warning", "danger"].includes(type)
    }
  }, ouiaProps),
  emits: {
    action: (action) => action !== void 0
  },
  setup(props) {
    return __spreadValues({
      drawerExpanded: inject("drawerExpanded", false),
      drawerDropdowns: inject("drawerDropdowns", null)
    }, useOUIAProps(props));
  },
  computed: {
    showDropdown() {
      return this.$slots.dropdown || this.actions && this.actions.length;
    },
    buttonVariant() {
      if (!this.action || !this.action.button) {
        return "link";
      }
      return this.action.button === true ? "default" : this.action.button;
    },
    typeIcon() {
      switch (this.type) {
        case "success":
          return "pficon-ok";
        case "danger":
          return "pficon-error-circle-o";
        case "warning":
          return "pficon-warning-triangle-o";
        default:
          return "pficon-info";
      }
    }
  },
  methods: {
    triggered(action) {
      if (typeof action.handler === "function") {
        action.handler(action);
      }
      this.$emit(action.emit || "action", action);
    },
    isAction: isNotificationAction
  }
});
const _hoisted_1$o = ["role"];
const _hoisted_2$g = ["title", "onClick"];
const _hoisted_3$d = { class: "drawer-pf-notification-message" };
const _hoisted_4$b = {
  key: 2,
  class: "drawer-pf-notification-info"
};
const _hoisted_5$b = {
  key: 0,
  class: "date"
};
const _hoisted_6$7 = {
  key: 1,
  class: "time"
};
function _sfc_render$p(_ctx, _cache, $props, $setup, $data, $options) {
  const _component_pf_dropdown = resolveComponent("pf-dropdown");
  const _component_pf_button = resolveComponent("pf-button");
  const _component_pf_icon = resolveComponent("pf-icon");
  return openBlock(), createElementBlock("div", mergeProps(_ctx.ouiaProps, {
    class: ["drawer-pf-notification", { unread: _ctx.unread, "expanded-notification": _ctx.drawerExpanded }]
  }), [
    _ctx.showDropdown ? (openBlock(), createBlock(_component_pf_dropdown, {
      key: 0,
      class: "pull-right dropdown-kebab-pf",
      type: "link",
      "append-to": _ctx.drawerDropdowns,
      "menu-right": ""
    }, {
      default: withCtx(() => [
        (openBlock(true), createElementBlock(Fragment, null, renderList(_ctx.actions, (actionItem, i) => {
          return openBlock(), createElementBlock("li", {
            key: _ctx.isAction(actionItem) ? actionItem.name : i,
            role: _ctx.isAction(actionItem) ? "menuitem" : "separator",
            class: normalizeClass({
              divider: !_ctx.isAction(actionItem),
              disabled: _ctx.isAction(actionItem) && actionItem.disabled === true
            })
          }, [
            _ctx.isAction(actionItem) ? (openBlock(), createElementBlock("a", {
              key: 0,
              class: "secondary-action",
              title: actionItem.title,
              onClick: ($event) => _ctx.triggered(actionItem)
            }, toDisplayString(actionItem.name), 9, _hoisted_2$g)) : createCommentVNode("", true)
          ], 10, _hoisted_1$o);
        }), 128))
      ]),
      _: 1
    }, 8, ["append-to"])) : createCommentVNode("", true),
    _ctx.action && _ctx.action.name ? (openBlock(), createBlock(_component_pf_button, {
      key: 1,
      class: "pull-right",
      variant: _ctx.buttonVariant,
      title: _ctx.action.title,
      onClick: _cache[0] || (_cache[0] = ($event) => _ctx.triggered(_ctx.action))
    }, {
      default: withCtx(() => [
        createTextVNode(toDisplayString(_ctx.action.name), 1)
      ]),
      _: 1
    }, 8, ["variant", "title"])) : createCommentVNode("", true),
    createVNode(_component_pf_icon, {
      class: "pull-left",
      name: _ctx.typeIcon
    }, null, 8, ["name"]),
    createElementVNode("span", _hoisted_3$d, [
      renderSlot$1(_ctx.$slots, "default", {}, () => [
        createTextVNode(toDisplayString(_ctx.message), 1)
      ])
    ]),
    _ctx.date || _ctx.time || _ctx.$slots.info ? (openBlock(), createElementBlock("span", _hoisted_4$b, [
      renderSlot$1(_ctx.$slots, "info", {}, () => [
        _ctx.date ? (openBlock(), createElementBlock("span", _hoisted_5$b, toDisplayString(_ctx.date), 1)) : createCommentVNode("", true),
        _ctx.time ? (openBlock(), createElementBlock("span", _hoisted_6$7, toDisplayString(_ctx.time), 1)) : createCommentVNode("", true)
      ])
    ])) : createCommentVNode("", true)
  ], 16);
}
var DrawerNotification = /* @__PURE__ */ _export_sfc(_sfc_main$p, [["render", _sfc_render$p]]);
var EmptyChart_vue_vue_type_style_index_0_lang = "";
const _sfc_main$o = defineComponent({
  name: "PfEmptyChart",
  props: __spreadValues({
    height: {
      type: Number,
      default: 40
    }
  }, ouiaProps),
  setup(props) {
    return useOUIAProps(props);
  }
});
const _hoisted_1$n = /* @__PURE__ */ createElementVNode("span", null, "No data available", -1);
function _sfc_render$o(_ctx, _cache, $props, $setup, $data, $options) {
  const _component_pf_icon = resolveComponent("pf-icon");
  return openBlock(), createElementBlock("div", mergeProps(_ctx.ouiaProps, {
    class: "empty-chart-content",
    style: {
      "height": `${_ctx.height}px`,
      "padding-top": `${Math.min(Math.round((_ctx.height - 40) / 2), 20)}px`
    }
  }), [
    createVNode(_component_pf_icon, { name: "pficon-info" }),
    renderSlot$1(_ctx.$slots, "default", {}, () => [
      _hoisted_1$n
    ])
  ], 16);
}
var EmptyChart = /* @__PURE__ */ _export_sfc(_sfc_main$o, [["render", _sfc_render$o]]);
var ExpandCollapse_vue_vue_type_style_index_0_lang = "";
const _sfc_main$n = defineComponent({
  name: "PfExpandCollapse",
  components: {
    PfButton
  },
  props: __spreadValues({
    alignCenter: Boolean,
    bordered: Boolean,
    textCollapsed: {
      type: String,
      default: "Show Advanced Options"
    },
    textExpanded: {
      type: String,
      default: "Hide Advanced Options"
    },
    expanded: {
      type: Boolean,
      default: null
    }
  }, ouiaProps),
  emits: {
    "update:expanded": (value) => value !== void 0
  },
  setup(props) {
    return useOUIAProps(props);
  },
  data() {
    return {
      autoExpanded: this.expanded
    };
  },
  computed: {
    isExpanded() {
      return this.expanded === null ? this.autoExpanded : this.expanded;
    }
  },
  watch: {
    expanded() {
      this.autoExpanded = this.expanded;
    },
    autoExpanded() {
      this.$emit("update:expanded", this.autoExpanded);
    }
  },
  methods: {
    expand() {
      this.autoExpanded = true;
    },
    collapse() {
      this.autoExpanded = false;
    },
    toggle() {
      this.autoExpanded = !this.isExpanded;
    }
  }
});
const _hoisted_1$m = { class: "expand-collapse-pf-link-container" };
function _sfc_render$n(_ctx, _cache, $props, $setup, $data, $options) {
  const _component_pf_icon = resolveComponent("pf-icon");
  const _component_pf_button = resolveComponent("pf-button");
  return openBlock(), createElementBlock("div", mergeProps(_ctx.ouiaProps, { class: "expand-collapse-pf" }), [
    createElementVNode("div", _hoisted_1$m, [
      _ctx.alignCenter ? (openBlock(), createElementBlock("span", {
        key: 0,
        class: normalizeClass(["expand-collapse-pf-separator", { bordered: _ctx.bordered }])
      }, null, 2)) : createCommentVNode("", true),
      createVNode(_component_pf_button, {
        variant: "link",
        onClick: _ctx.toggle
      }, {
        default: withCtx(() => [
          createVNode(_component_pf_icon, {
            name: _ctx.isExpanded ? "fa-angle-down" : "fa-angle-right"
          }, null, 8, ["name"]),
          _ctx.isExpanded ? (openBlock(), createElementBlock(Fragment, { key: 0 }, [
            createTextVNode(toDisplayString(_ctx.textExpanded), 1)
          ], 64)) : (openBlock(), createElementBlock(Fragment, { key: 1 }, [
            createTextVNode(toDisplayString(_ctx.textCollapsed), 1)
          ], 64))
        ]),
        _: 1
      }, 8, ["onClick"]),
      createElementVNode("span", {
        class: normalizeClass(["expand-collapse-pf-separator", { bordered: _ctx.bordered }])
      }, null, 2)
    ]),
    _ctx.isExpanded ? renderSlot$1(_ctx.$slots, "default", { key: 0 }) : createCommentVNode("", true)
  ], 16);
}
var ExpandCollapse = /* @__PURE__ */ _export_sfc(_sfc_main$n, [["render", _sfc_render$n]]);
function tryOnMounted(hook, sync = true) {
  if (getCurrentInstance()) {
    onMounted(hook);
  } else if (sync) {
    hook();
  } else {
    nextTick(hook);
  }
}
const ChildrenTrackerSymbol = Symbol("Children tracker provide/inject symbol");
function provideChildrenTracker(symbol) {
  const items = ref([]);
  provide(symbol || ChildrenTrackerSymbol, {
    register: (item) => items.value.push(item),
    unregister: (item) => {
      const idx = items.value.findIndex((i) => i === item);
      if (idx >= 0) {
        items.value.splice(idx, 1);
      }
    }
  });
  return items;
}
function useChildrenTracker(symbol) {
  const tracker = inject(symbol || ChildrenTrackerSymbol, null);
  if (tracker) {
    tryOnMounted(() => {
      const instance = getCurrentInstance();
      if (instance) {
        tracker.register(instance.proxy);
      }
    });
    onBeforeUnmount(() => {
      const instance = getCurrentInstance();
      if (instance) {
        tracker.unregister(instance.proxy);
      }
    });
  }
  return tracker;
}
const OptionSymbol = Symbol("Option");
const _sfc_main$m = defineComponent({
  name: "PfOption",
  props: __spreadValues({
    name: {
      type: String,
      default: null
    },
    modelValue: {
      type: null,
      default: null
    },
    checkedValue: {
      type: null,
      default: null
    }
  }, ouiaProps),
  emits: {
    "update:modelValue": (value) => value !== void 0
  },
  setup(props) {
    useChildrenTracker(OptionSymbol);
    return __spreadValues({
      select: inject("select", () => null),
      selectName: inject("selectName", null)
    }, useOUIAProps(props));
  },
  data() {
    return {
      label: "",
      filter: ""
    };
  },
  computed: {
    checked() {
      return this.checkedValue === this.modelValue;
    },
    filtered() {
      if (!this.label || !this.filter) {
        return false;
      }
      return this.label.toLowerCase().indexOf(this.filter) === -1;
    }
  },
  mounted() {
    this.label = this.$el.innerText;
  },
  methods: {
    check() {
      this.$emit("update:modelValue", this.checkedValue);
      this.select();
    }
  }
});
const _hoisted_1$l = ["name", "value", "checked"];
function _sfc_render$m(_ctx, _cache, $props, $setup, $data, $options) {
  const _component_pf_icon = resolveComponent("pf-icon");
  return !_ctx.filtered ? (openBlock(), createElementBlock("li", mergeProps({ key: 0 }, _ctx.ouiaProps, {
    class: { "selected": _ctx.checked }
  }), [
    createElementVNode("a", {
      href: "javascript:void(0)",
      role: "menuitem",
      onClick: _cache[0] || (_cache[0] = withModifiers((...args) => _ctx.check && _ctx.check(...args), ["prevent"]))
    }, [
      createElementVNode("input", {
        ref: "input",
        type: "radio",
        name: _ctx.name === null ? _ctx.selectName : _ctx.name,
        value: _ctx.modelValue,
        checked: _ctx.checked,
        style: { "display": "none" }
      }, null, 8, _hoisted_1$l),
      renderSlot$1(_ctx.$slots, "default"),
      withDirectives(createVNode(_component_pf_icon, {
        name: "glyphicon-close",
        class: "check-mark"
      }, null, 512), [
        [vShow, _ctx.checked]
      ])
    ])
  ], 16)) : createCommentVNode("", true);
}
var PfOption = /* @__PURE__ */ _export_sfc(_sfc_main$m, [["render", _sfc_render$m]]);
var Select_vue_vue_type_style_index_0_scoped_true_lang = "";
const PfSelect = defineComponent({
  name: "PfSelect",
  props: __spreadValues({
    button: Boolean,
    clearButton: Boolean,
    closeOnSelect: Boolean,
    disabled: Boolean,
    minSearch: {
      type: Number,
      default: 0
    },
    name: {
      type: String,
      default: null
    },
    placeholder: String,
    readonly: Boolean,
    required: Boolean,
    search: Boolean,
    tabindex: String
  }, ouiaProps),
  setup(props) {
    const show = ref(false);
    function select() {
      if (props.closeOnSelect) {
        show.value = false;
      }
    }
    provide("select", select);
    provide("selectName", props.name);
    return __spreadValues({
      show,
      select,
      inInput: inject("inInput", false),
      options: provideChildrenTracker(OptionSymbol)
    }, useOUIAProps(props));
  },
  data() {
    return {
      filter: "",
      isLi: false,
      selected: ""
    };
  },
  computed: {
    canSearch() {
      return this.minSearch ? this.options.length >= this.minSearch : this.search;
    },
    showPlaceholder() {
      return this.values.length ? "" : this.placeholder;
    },
    values() {
      return this.options.reduce(function(values, c) {
        if (c.checked) {
          values.push(c.modelValue);
        }
        return values;
      }, []);
    },
    btnType() {
      return this.button ? "button" : "div";
    }
  },
  watch: {
    show(val) {
      if (val && this.$refs.search instanceof HTMLElement) {
        this.$refs.search.focus();
      } else if (this.$refs.btn instanceof HTMLElement) {
        this.$refs.btn.focus();
      }
    },
    filter() {
      for (const c of this.options) {
        c.filter = this.filter;
      }
    }
  },
  updated() {
    this.selected = this.options.reduce(function(labels, c) {
      if (c.checked) {
        labels.push(c.$el.innerText);
      }
      return labels;
    }, []).join(", ");
  },
  mounted() {
    this.isLi = this.$el && this.$el.parentNode.tagName === "LI";
    document.addEventListener("click", this.outerClick);
  },
  beforeUnmount() {
    document.removeEventListener("click", this.outerClick);
  },
  methods: {
    close() {
      this.show = false;
    },
    open() {
      this.show = true;
    },
    clear(close = false) {
      if (this.disabled || this.readonly) {
        return;
      }
      if (close) {
        this.close();
      } else {
        this.toggle();
      }
    },
    clearSearch() {
      this.filter = "";
      if (this.$refs.search instanceof HTMLElement) {
        this.$refs.search.focus();
      }
    },
    toggle() {
      this.show = !this.show;
    },
    outerClick(e) {
      if (this.$el && !this.$el.contains(e.target)) {
        this.close();
      }
    },
    focus() {
      if (this.$refs.btn instanceof HTMLElement) {
        this.$refs.btn.focus();
      }
    }
  }
});
function isPfSelect(component) {
  var _a;
  return typeof component === "object" && ((_a = component.$options) == null ? void 0 : _a.name) === "PfSelect";
}
const _sfc_main$l = PfSelect;
const _withScopeId = (n) => (pushScopeId("data-v-b6906652"), n = n(), popScopeId(), n);
const _hoisted_1$k = ["innerHTML"];
const _hoisted_2$f = {
  key: 1,
  class: "bs-caret"
};
const _hoisted_3$c = /* @__PURE__ */ _withScopeId(() => /* @__PURE__ */ createElementVNode("span", { class: "caret" }, null, -1));
const _hoisted_4$a = [
  _hoisted_3$c
];
const _hoisted_5$a = { class: "dropdown-menu" };
const _hoisted_6$6 = {
  key: 0,
  class: "bs-searchbox"
};
const _hoisted_7$5 = ["placeholder"];
const _hoisted_8$5 = { key: 1 };
function _sfc_render$l(_ctx, _cache, $props, $setup, $data, $options) {
  return openBlock(), createElementBlock("div", mergeProps({ ref: "select" }, _ctx.ouiaProps, {
    class: ["bootstrap-select", {
      open: _ctx.show,
      disabled: _ctx.disabled,
      dropdown: _ctx.isLi,
      "input-group-btn": !_ctx.isLi && _ctx.inInput,
      "btn-group": !_ctx.isLi && !_ctx.inInput
    }]
  }), [
    (openBlock(), createBlock(resolveDynamicComponent(_ctx.btnType), {
      ref: "btn",
      type: _ctx.button ? "button" : null,
      class: normalizeClass(["dropdown-toggle", {
        "btn btn-default": _ctx.button,
        "form-control": !_ctx.button
      }]),
      tabindex: _ctx.tabindex,
      disabled: _ctx.disabled || null,
      readonly: _ctx.readonly,
      role: "button",
      "aria-expanded": _ctx.show.toString(),
      onBlur: _cache[1] || (_cache[1] = ($event) => _ctx.canSearch ? null : _ctx.close),
      onClick: _ctx.toggle,
      onKeydown: [
        withKeys(withModifiers(_ctx.close, ["stop", "prevent"]), ["esc"]),
        withKeys(withModifiers(_ctx.toggle, ["stop", "prevent"]), ["space"]),
        withKeys(withModifiers(_ctx.toggle, ["stop", "prevent"]), ["enter"])
      ]
    }, {
      default: withCtx(() => [
        createElementVNode("span", {
          class: normalizeClass({
            "filter-option pull-left": _ctx.button,
            "btn-content": !_ctx.button
          }),
          innerHTML: _ctx.showPlaceholder || _ctx.selected
        }, null, 10, _hoisted_1$k),
        _ctx.clearButton && _ctx.values.length ? (openBlock(), createElementBlock("span", {
          key: 0,
          class: "close",
          onClick: _cache[0] || (_cache[0] = ($event) => _ctx.clear())
        }, "\xD7")) : createCommentVNode("", true),
        _ctx.button ? (openBlock(), createElementBlock("span", _hoisted_2$f, _hoisted_4$a)) : createCommentVNode("", true)
      ]),
      _: 1
    }, 8, ["type", "class", "tabindex", "disabled", "readonly", "aria-expanded", "onClick", "onKeydown"])),
    createElementVNode("ul", _hoisted_5$a, [
      _ctx.canSearch ? (openBlock(), createElementBlock("li", _hoisted_6$6, [
        withDirectives(createElementVNode("input", {
          ref: "search",
          "onUpdate:modelValue": _cache[2] || (_cache[2] = ($event) => _ctx.filter = $event),
          type: "text",
          placeholder: typeof _ctx.search == "string" ? _ctx.search : "",
          class: "form-control",
          autocomplete: "off",
          onKeyup: _cache[3] || (_cache[3] = withKeys((...args) => _ctx.close && _ctx.close(...args), ["esc"]))
        }, null, 40, _hoisted_7$5), [
          [vModelText, _ctx.filter]
        ]),
        withDirectives(createElementVNode("span", {
          class: "close",
          onClick: _cache[4] || (_cache[4] = (...args) => _ctx.clearSearch && _ctx.clearSearch(...args))
        }, "\xD7", 512), [
          [vShow, _ctx.filter]
        ])
      ])) : createCommentVNode("", true),
      _ctx.required && !_ctx.clearButton ? (openBlock(), createElementBlock("li", _hoisted_8$5, [
        createElementVNode("a", {
          onMousedown: _cache[5] || (_cache[5] = withModifiers(($event) => _ctx.clear(true), ["prevent"]))
        }, toDisplayString(_ctx.placeholder), 33)
      ])) : createCommentVNode("", true),
      renderSlot$1(_ctx.$slots, "default", {}, void 0, true)
    ])
  ], 16);
}
var PfSelect$1 = /* @__PURE__ */ _export_sfc(_sfc_main$l, [["render", _sfc_render$l], ["__scopeId", "data-v-b6906652"]]);
var FilterFields_vue_vue_type_style_index_0_lang = "";
const _sfc_main$k = defineComponent({
  name: "PfFilterFields",
  components: {
    PfDropdown,
    PfSelect: PfSelect$1,
    PfOption
  },
  props: __spreadValues({
    value: {
      type: String,
      default: ""
    },
    fields: {
      type: [Array, Object],
      default: () => []
    }
  }, ouiaProps),
  emits: {
    filter: (value) => value !== void 0
  },
  setup(props) {
    return useOUIAProps(props);
  },
  data() {
    return {
      normFields: [],
      selected: 0
    };
  },
  computed: {
    current() {
      let selected = this.selected;
      if (!this.normFields[selected]) {
        if (!this.normFields.length) {
          return null;
        }
        selected = 0;
      }
      return this.normFields[selected];
    },
    isSelect() {
      return typeof this.current.values !== "undefined";
    },
    showDropdown() {
      return Object.keys(this.normFields).length > 1;
    }
  },
  watch: {
    fields: {
      handler(fields) {
        const normFields = [];
        if (Array.isArray(fields)) {
          for (const f of fields) {
            normFields.push(this.normalizeField(f));
          }
        } else {
          for (const i of Object.keys(fields)) {
            normFields.push(this.normalizeField(fields[i], i));
          }
        }
        this.normFields = normFields;
      },
      immediate: true
    }
  },
  methods: {
    normalizeField(fieldDefinition, name) {
      const field = {
        name: typeof fieldDefinition === "object" ? fieldDefinition.name : "",
        label: typeof fieldDefinition === "object" ? fieldDefinition.label : fieldDefinition,
        placeholder: typeof fieldDefinition === "object" ? fieldDefinition.placeholder : void 0
      };
      field.name = name || field.name || field.label || "";
      if (!field.label) {
        field.label = name;
      }
      return field;
    },
    set(value) {
      if (value !== null) {
        if (value instanceof KeyboardEvent) {
          if (!(value.target instanceof HTMLInputElement)) {
            return;
          }
          value = value.target.value;
        }
        const filter = Object.assign({}, this.current);
        filter.value = value;
        this.$emit("filter", filter);
      }
      if (this.$refs.input instanceof HTMLInputElement) {
        this.$refs.input.value = "";
      }
    }
  }
});
const _hoisted_1$j = ["onClick"];
const _hoisted_2$e = { key: 2 };
const _hoisted_3$b = ["value", "placeholder"];
function _sfc_render$k(_ctx, _cache, $props, $setup, $data, $options) {
  const _component_pf_dropdown = resolveComponent("pf-dropdown");
  const _component_pf_option = resolveComponent("pf-option");
  const _component_pf_select = resolveComponent("pf-select");
  return openBlock(), createElementBlock("div", mergeProps(_ctx.ouiaProps, { class: "input-group" }), [
    _ctx.showDropdown ? (openBlock(), createBlock(_component_pf_dropdown, {
      key: 0,
      text: _ctx.current.label,
      class: "input-group-btn"
    }, {
      default: withCtx(() => [
        (openBlock(true), createElementBlock(Fragment, null, renderList(_ctx.normFields, (item, i) => {
          return openBlock(), createElementBlock("li", {
            key: item.name
          }, [
            createElementVNode("a", {
              class: "filter-field",
              role: "menuitem",
              tabindex: "-1",
              onClick: ($event) => _ctx.selected = i
            }, toDisplayString(item.label), 9, _hoisted_1$j)
          ]);
        }), 128))
      ]),
      _: 1
    }, 8, ["text"])) : createCommentVNode("", true),
    _ctx.isSelect ? (openBlock(), createBlock(_component_pf_select, {
      key: 1,
      "close-on-select": "",
      class: "filter-select",
      placeholder: _ctx.current.placeholder
    }, {
      default: withCtx(() => [
        (openBlock(true), createElementBlock(Fragment, null, renderList(_ctx.current.values, (item, i) => {
          return openBlock(), createBlock(_component_pf_option, {
            key: i,
            "checked-value": item,
            "onUpdate:modelValue": _cache[0] || (_cache[0] = ($event) => _ctx.set($event))
          }, {
            default: withCtx(() => [
              createTextVNode(toDisplayString(item), 1)
            ]),
            _: 2
          }, 1032, ["checked-value"]);
        }), 128))
      ]),
      _: 1
    }, 8, ["placeholder"])) : (openBlock(), createElementBlock("div", _hoisted_2$e, [
      createElementVNode("input", {
        ref: "input",
        class: "form-control",
        type: "text",
        value: _ctx.value,
        placeholder: _ctx.showDropdown || _ctx.current.placeholder ? _ctx.current.placeholder : _ctx.current.label,
        onKeyup: _cache[1] || (_cache[1] = withKeys(withModifiers((...args) => _ctx.set && _ctx.set(...args), ["stop"]), ["enter"]))
      }, null, 40, _hoisted_3$b)
    ]))
  ], 16);
}
var FilterFields = /* @__PURE__ */ _export_sfc(_sfc_main$k, [["render", _sfc_render$k]]);
var Sort_vue_vue_type_style_index_0_lang = "";
const _sfc_main$j = defineComponent({
  name: "PfSort",
  components: {
    PfButton,
    PfDropdown
  },
  props: __spreadValues({
    fields: {
      type: [Array, Object],
      default: () => []
    },
    sortBy: String,
    direction: {
      type: String,
      default: "asc",
      validator: (v) => ["asc", "desc"].includes(v)
    }
  }, ouiaProps),
  emits: {
    change: (active, direction) => active !== void 0 && direction !== void 0
  },
  setup(props) {
    return useOUIAProps(props);
  },
  data() {
    return {
      normFields: [],
      active: "",
      ascending: true
    };
  },
  computed: {
    current() {
      if (!this.active) {
        return {
          name: "",
          label: "Sort by"
        };
      }
      for (const field of this.normFields) {
        if (field.name == this.active) {
          return field;
        }
      }
      return {
        name: "",
        label: "Sort by"
      };
    },
    sortIcon() {
      const dir = this.ascending ? "asc" : "desc";
      const typ = this.current.type === "numeric" ? "numeric" : "alpha";
      return `fa-sort-${typ}-${dir}`;
    }
  },
  watch: {
    fields: {
      handler(fields) {
        const normFields = [];
        if (Array.isArray(fields)) {
          for (const f of fields) {
            normFields.push(this.normalizeField(f));
          }
        } else {
          for (const i of Object.keys(fields)) {
            normFields.push(this.normalizeField(fields[i], i));
          }
        }
        this.normFields = normFields;
      },
      immediate: true
    },
    sortBy: {
      handler(sortBy) {
        this.active = sortBy;
      },
      immediate: true
    },
    direction: {
      handler() {
        this.ascending = this.direction === "asc";
      },
      immediate: true
    }
  },
  methods: {
    normalizeField(fieldDefinition, name) {
      const field = {
        name: typeof fieldDefinition === "object" ? fieldDefinition.name : "",
        label: typeof fieldDefinition === "object" ? fieldDefinition.label : fieldDefinition,
        type: typeof fieldDefinition === "object" ? fieldDefinition.type : "alpha"
      };
      field.name = name || field.name || field.label || "";
      if (!field.label) {
        field.label = name;
      }
      return field;
    },
    select(field) {
      this.active = field.name;
      this.$emit("change", this.active, this.ascending ? "asc" : "desc");
    },
    invert() {
      this.ascending = !this.ascending;
      this.$emit("change", this.active, this.ascending ? "asc" : "desc");
    }
  }
});
const _hoisted_1$i = ["onClick"];
function _sfc_render$j(_ctx, _cache, $props, $setup, $data, $options) {
  const _component_pf_dropdown = resolveComponent("pf-dropdown");
  const _component_pf_icon = resolveComponent("pf-icon");
  const _component_pf_button = resolveComponent("pf-button");
  return openBlock(), createElementBlock("div", mergeProps(_ctx.ouiaProps, { class: "sort-pf" }), [
    createVNode(_component_pf_dropdown, {
      text: _ctx.current.label
    }, {
      default: withCtx(() => [
        (openBlock(true), createElementBlock(Fragment, null, renderList(_ctx.normFields, (field) => {
          return openBlock(), createElementBlock("li", {
            key: field.name,
            class: normalizeClass({ "selected": _ctx.active == field.name })
          }, [
            createElementVNode("a", {
              href: "javascript:void(0)",
              class: "sort-field",
              role: "menuitem",
              tabindex: "-1",
              onClick: withModifiers(($event) => _ctx.select(field), ["prevent"])
            }, toDisplayString(field.label), 9, _hoisted_1$i)
          ], 2);
        }), 128))
      ]),
      _: 1
    }, 8, ["text"]),
    createVNode(_component_pf_button, {
      variant: "link",
      onClick: _ctx.invert
    }, {
      default: withCtx(() => [
        createVNode(_component_pf_icon, {
          class: "sort-direction",
          name: _ctx.sortIcon
        }, null, 8, ["name"])
      ]),
      _: 1
    }, 8, ["onClick"])
  ], 16);
}
var PfSort = /* @__PURE__ */ _export_sfc(_sfc_main$j, [["render", _sfc_render$j]]);
var Toolbar_vue_vue_type_style_index_0_lang = "";
const PfToolbar = defineComponent({
  name: "PfToolbar",
  components: {
    PfButton,
    PfSort,
    PfColumnPicker
  },
  props: __spreadValues({
    view: String,
    views: {
      type: [Object, String],
      default: () => ({})
    },
    columns: {
      type: [Array, Object],
      default: () => []
    },
    pickedColumns: {
      type: Array,
      default: () => []
    },
    filterFields: {
      type: [Array, Object],
      default: () => []
    },
    filters: {
      type: Array,
      default: () => []
    },
    sortBy: String,
    sortDirection: {
      type: String,
      default: "asc",
      validator: (v) => ["asc", "desc"].includes(v)
    },
    sortFields: {
      type: [Array, Object],
      default: () => []
    },
    resultCount: Number,
    attached: Boolean
  }, ouiaProps),
  emits: {
    "update:view": (view) => view !== void 0,
    "update:pickedColumns": (columns) => columns !== void 0,
    "update:filters": (filters) => filters !== void 0,
    "update:sortBy": (field) => field !== void 0,
    "update:sortDirection": (direction) => direction !== void 0,
    "sort-by": (field, direction) => field !== void 0 && direction !== void 0
  },
  setup(props) {
    return useOUIAProps(props);
  },
  data() {
    return {
      activeView: null,
      activeFilters: []
    };
  },
  computed: {
    showSorter() {
      return Array.isArray(this.sortFields) ? this.sortFields.length : Object.keys(this.sortFields).length;
    },
    showFilter() {
      return Object.keys(this.filterFields).length;
    },
    showColumnPicker() {
      return (this.activeView === "table" || !Object.keys(this.viewList).length) && (Array.isArray(this.columns) ? this.columns : Object.keys(this.columns)).length;
    },
    showCount() {
      return !this.showResultFilter && typeof this.resultCount !== "undefined";
    },
    hasFindView() {
      return Object.keys(this.viewList).length;
    },
    viewList() {
      if (typeof this.views !== "string") {
        return this.views;
      }
      const viewList = {};
      const presets = this.views.split(",").map((v) => v.trim());
      if (presets.indexOf("table") > -1) {
        viewList.table = {
          icon: "fa-table"
        };
      }
      if (presets.indexOf("card") > -1) {
        viewList.card = {
          icon: "fa-th"
        };
      }
      if (presets.indexOf("list") > -1) {
        viewList.list = {
          icon: "fa-th-list"
        };
      }
      return viewList;
    },
    showResultFilter() {
      return this.activeFilters.length;
    }
  },
  watch: {
    filters: {
      handler() {
        this.activeFilters = this.filters;
      },
      immediate: true
    },
    view() {
      this.activeView = this.view;
    },
    views: {
      handler() {
        if (!(this.activeView in this.viewList)) {
          const names = Object.keys(this.viewList);
          if (names.length > 0) {
            this.activeView = names[0];
          }
        }
      },
      immediate: true
    },
    activeView() {
      this.$emit("update:view", this.activeView);
    },
    activeFilters() {
      this.$emit("update:filters", this.activeFilters);
    }
  },
  mounted() {
    this.activeView = this.view;
  },
  methods: {
    setSortBy(field, direction) {
      this.$emit("sort-by", field, direction);
      this.$emit("update:sortBy", field);
      this.$emit("update:sortDirection", direction);
    },
    clearFilter(i) {
      this.activeFilters.splice(i, 1);
    },
    clearAllFilters() {
      this.activeFilters = [];
    },
    addFilter(filter) {
      this.activeFilters.push(filter);
    },
    setPickedColumns(columns) {
      this.$emit("update:pickedColumns", columns);
    }
  }
});
function isPfToolbar(component) {
  var _a;
  return typeof component === "object" && ((_a = component.$options) == null ? void 0 : _a.name) === "PfToolbar";
}
const _sfc_main$i = PfToolbar;
const _hoisted_1$h = { class: "col-sm-12" };
const _hoisted_2$d = {
  key: 0,
  class: "filter-pf filter-fields form-group toolbar-pf-filter"
};
const _hoisted_3$a = {
  key: 1,
  class: "form-group"
};
const _hoisted_4$9 = {
  key: 0,
  class: "form-group"
};
const _hoisted_5$9 = { class: "form-group" };
const _hoisted_6$5 = {
  key: 3,
  class: "toolbar-pf-action-right"
};
const _hoisted_7$4 = {
  key: 0,
  class: "form-group"
};
const _hoisted_8$4 = { class: "form-group toolbar-pf-view-selector" };
function _sfc_render$i(_ctx, _cache, $props, $setup, $data, $options) {
  const _component_pf_filter_fields = resolveComponent("pf-filter-fields");
  const _component_pf_sort = resolveComponent("pf-sort");
  const _component_pf_column_picker = resolveComponent("pf-column-picker");
  const _component_pf_icon = resolveComponent("pf-icon");
  const _component_pf_button = resolveComponent("pf-button");
  const _component_pf_filter_results = resolveComponent("pf-filter-results");
  return openBlock(), createElementBlock("div", mergeProps(_ctx.ouiaProps, {
    class: ["clearfix toolbar-pf", {
      "table-view-pf-toolbar": _ctx.attached
    }],
    "_v-3RyaW5nJyk": ""
  }), [
    createElementVNode("div", _hoisted_1$h, [
      createElementVNode("form", {
        class: normalizeClass(["toolbar-pf-actions", { "no-filter-results": !_ctx.showResultFilter }]),
        onSubmit: _cache[0] || (_cache[0] = ($event) => $event.preventDefault())
      }, [
        _ctx.showFilter || _ctx.$slots.filter ? (openBlock(), createElementBlock("div", _hoisted_2$d, [
          renderSlot$1(_ctx.$slots, "filter", {}, () => [
            createVNode(_component_pf_filter_fields, {
              fields: _ctx.filterFields,
              onFilter: _ctx.addFilter
            }, null, 8, ["fields", "onFilter"])
          ])
        ])) : createCommentVNode("", true),
        _ctx.showSorter || _ctx.showColumnPicker ? (openBlock(), createElementBlock("div", _hoisted_3$a, [
          _ctx.showSorter ? (openBlock(), createBlock(_component_pf_sort, {
            key: 0,
            fields: _ctx.sortFields,
            "sort-by": _ctx.sortBy,
            direction: _ctx.sortDirection,
            onChange: _ctx.setSortBy
          }, null, 8, ["fields", "sort-by", "direction", "onChange"])) : createCommentVNode("", true),
          _ctx.showColumnPicker ? (openBlock(), createBlock(_component_pf_column_picker, {
            key: 1,
            ref: "colpicker",
            columns: _ctx.columns,
            "model-value": _ctx.pickedColumns,
            "onUpdate:modelValue": _ctx.setPickedColumns
          }, null, 8, ["columns", "model-value", "onUpdate:modelValue"])) : createCommentVNode("", true)
        ])) : createCommentVNode("", true),
        _ctx.$slots.default ? (openBlock(), createElementBlock("div", {
          key: 2,
          class: normalizeClass(["toolbar-actions", {
            "form-group": !_ctx.hasFindView,
            "pull-right": !_ctx.hasFindView,
            "toolbar-pf-action-right": !_ctx.hasFindView
          }])
        }, [
          _ctx.showCount && !_ctx.hasFindView ? (openBlock(), createElementBlock("h5", _hoisted_4$9, toDisplayString(_ctx.resultCount) + " Results", 1)) : createCommentVNode("", true),
          createElementVNode("div", _hoisted_5$9, [
            renderSlot$1(_ctx.$slots, "default")
          ])
        ], 2)) : createCommentVNode("", true),
        _ctx.hasFindView ? (openBlock(), createElementBlock("div", _hoisted_6$5, [
          _ctx.showCount && _ctx.hasFindView ? (openBlock(), createElementBlock("h5", _hoisted_7$4, toDisplayString(_ctx.resultCount) + " Results", 1)) : createCommentVNode("", true),
          createElementVNode("div", _hoisted_8$4, [
            (openBlock(true), createElementBlock(Fragment, null, renderList(_ctx.viewList, (viewData, name) => {
              return openBlock(), createBlock(_component_pf_button, {
                key: name,
                variant: "link",
                class: normalizeClass({ "active": _ctx.view == name, "disabled": viewData.disabled }),
                title: viewData.title,
                onClick: ($event) => _ctx.activeView = name
              }, {
                default: withCtx(() => [
                  createVNode(_component_pf_icon, {
                    tag: "i",
                    name: viewData.icon,
                    class: "view-selector"
                  }, null, 8, ["name"])
                ]),
                _: 2
              }, 1032, ["class", "title", "onClick"]);
            }), 128))
          ])
        ])) : createCommentVNode("", true)
      ], 34),
      _ctx.showResultFilter ? (openBlock(), createBlock(_component_pf_filter_results, {
        key: 0,
        count: _ctx.resultCount,
        filters: _ctx.activeFilters
      }, null, 8, ["count", "filters"])) : createCommentVNode("", true)
    ])
  ], 16);
}
var Toolbar = /* @__PURE__ */ _export_sfc(_sfc_main$i, [["render", _sfc_render$i]]);
const _sfc_main$h = defineComponent({
  name: "PfFilterResults",
  props: __spreadValues({
    count: Number,
    filters: {
      type: Array,
      default: () => []
    }
  }, ouiaProps),
  setup(props) {
    return useOUIAProps(props);
  },
  methods: {
    toolbar() {
      let parent = this.$parent;
      while (parent) {
        if (isPfToolbar(parent)) {
          return parent;
        }
        parent = parent.$parent;
      }
      return null;
    }
  }
});
const _hoisted_1$g = { class: "row toolbar-pf-results" };
const _hoisted_2$c = { class: "col-sm-12" };
const _hoisted_3$9 = { key: 0 };
const _hoisted_4$8 = { class: "list-inline" };
const _hoisted_5$8 = { class: "active-filter label label-info" };
function _sfc_render$h(_ctx, _cache, $props, $setup, $data, $options) {
  const _component_pf_icon = resolveComponent("pf-icon");
  return openBlock(), createElementBlock("div", mergeProps(_ctx.ouiaProps, { class: "filter-pf" }), [
    createElementVNode("div", _hoisted_1$g, [
      createElementVNode("div", _hoisted_2$c, [
        createElementVNode("h5", null, toDisplayString(_ctx.count) + " Results", 1),
        _ctx.filters.length > 0 ? (openBlock(), createElementBlock("p", _hoisted_3$9, " Active filters: ")) : createCommentVNode("", true),
        createElementVNode("ul", _hoisted_4$8, [
          (openBlock(true), createElementBlock(Fragment, null, renderList(_ctx.filters, (filter, i) => {
            return openBlock(), createElementBlock("li", { key: i }, [
              createElementVNode("span", _hoisted_5$8, [
                createTextVNode(toDisplayString(filter.label) + ": " + toDisplayString(filter.value) + " ", 1),
                createElementVNode("a", null, [
                  createVNode(_component_pf_icon, {
                    name: "pficon-close",
                    onClick: ($event) => _ctx.toolbar().clearFilter(i)
                  }, null, 8, ["onClick"])
                ])
              ])
            ]);
          }), 128))
        ]),
        createElementVNode("p", null, [
          _ctx.filters.length > 0 ? (openBlock(), createElementBlock("a", {
            key: 0,
            class: "clear-filters",
            onClick: _cache[0] || (_cache[0] = ($event) => _ctx.toolbar().clearAllFilters())
          }, "Clear All Filters")) : createCommentVNode("", true)
        ])
      ])
    ])
  ], 16);
}
var FilterResults = /* @__PURE__ */ _export_sfc(_sfc_main$h, [["render", _sfc_render$h]]);
var Icon = defineComponent({
  name: "PfIcon",
  props: __spreadValues({
    name: String,
    src: String,
    tag: {
      type: String,
      default: "span"
    }
  }, ouiaProps),
  setup(props) {
    return useOUIAProps(props);
  },
  render() {
    const classes = [];
    const style = {};
    if (this.src) {
      classes.push("pficon");
      classes.push("pf-icon-img");
      style.backgroundImage = `url("${this.src}")`;
    } else {
      const match = /^(fa|pficon|glyphicon)-/.exec(this.name);
      if (match) {
        classes.push(match[1]);
      }
      if (this.name) {
        classes.push(this.name);
      }
    }
    return h(this.tag, __spreadValues({
      "aria-hidden": "true",
      class: classes,
      style
    }, this.ouiaProps), this.$slots);
  }
});
const _sfc_main$g = defineComponent({
  name: "PfLauncherItem",
  inheritAttrs: false,
  props: __spreadValues({
    href: {
      type: String,
      default: "#"
    },
    icon: String
  }, ouiaProps),
  setup(props) {
    return useOUIAProps(props);
  }
});
const _hoisted_1$f = ["href"];
const _hoisted_2$b = { class: "applauncher-pf-link-title" };
function _sfc_render$g(_ctx, _cache, $props, $setup, $data, $options) {
  const _component_pf_icon = resolveComponent("pf-icon");
  return openBlock(), createElementBlock("li", mergeProps(_ctx.ouiaProps, {
    class: "applauncher-pf-item",
    role: "menuitem"
  }), [
    createElementVNode("a", mergeProps({
      class: "applauncher-pf-link",
      href: _ctx.href
    }, _ctx.$attrs), [
      createVNode(_component_pf_icon, {
        tag: "i",
        "aria-hidden": "true",
        name: _ctx.icon,
        class: "applauncher-pf-link-icon"
      }, null, 8, ["name"]),
      createElementVNode("span", _hoisted_2$b, [
        renderSlot$1(_ctx.$slots, "default")
      ])
    ], 16, _hoisted_1$f)
  ], 16);
}
var LauncherItem = /* @__PURE__ */ _export_sfc(_sfc_main$g, [["render", _sfc_render$g]]);
var Layout_vue_vue_type_style_index_0_lang = "";
const PfLayout = defineComponent({
  name: "PfLayout",
  props: __spreadValues({
    display: {
      type: String,
      default: "block",
      validator: (display) => ["block", "flex", "grid"].includes(display)
    },
    icons: Boolean,
    horizontal: Boolean,
    collapsable: Boolean,
    disabled: Boolean,
    nomargin: Boolean,
    horizontalSecondary: Boolean,
    noOuiaMain: Boolean
  }, ouiaProps),
  emits: {
    "update:collapsed": (value) => value !== void 0
  },
  setup(props) {
    const collapsed = ref(false);
    provide("layoutCollapsed", collapsed);
    const modalsTarget = ref(null);
    provide("modalsTarget", modalsTarget);
    return __spreadValues({
      collapsed,
      modalsTarget
    }, useOUIAProps(props));
  },
  data() {
    return {
      secondaryMenus: 0,
      tertiaryMenus: 0,
      width: 1200
    };
  },
  computed: {
    desktop() {
      return this.width >= 1200;
    },
    tablet() {
      return this.width < 1200 && this.width >= 768;
    },
    mobile() {
      return this.width < 768;
    }
  },
  watch: {
    horizontal: {
      handler() {
        this.updateHtmlClasses();
      },
      immediate: true
    },
    disabled() {
      this.updateHtmlClasses();
    },
    display() {
      this.updateHtmlClasses();
    },
    desktop() {
      if (!this.desktop) {
        this.collapsed = true;
      }
    },
    mobile() {
      if (this.mobile) {
        this.collapsed = true;
      }
    },
    collapsed() {
      this.$emit("update:collapsed", this.collapsed);
    }
  },
  mounted() {
    window.addEventListener("resize", this.resize);
    this.resize();
  },
  unmounted() {
    window.removeEventListener("resize", this.resize);
  },
  methods: {
    resize() {
      const html = document.documentElement;
      this.width = html.offsetWidth;
    },
    updateHtmlClasses() {
      const html = document.documentElement;
      html.classList.add("transitions");
      if (this.disabled) {
        html.classList.remove("layout-pf");
        html.classList.remove("layout-pf-fixed");
        html.classList.remove("layout-pf-fixed-grid");
      } else {
        html.classList.add("layout-pf");
        if (this.horizontal) {
          html.classList.remove("layout-pf-fixed");
          html.classList.remove("layout-pf-fixed-grid");
        } else {
          html.classList.add("layout-pf-fixed");
          if (this.display === "grid") {
            html.classList.add("layout-pf-fixed-grid");
          } else {
            html.classList.remove("layout-pf-fixed-grid");
          }
        }
      }
    }
  }
});
function isPfLayout(component) {
  var _a;
  return typeof component === "object" && ((_a = component.$options) == null ? void 0 : _a.name) === "PfLayout";
}
const _sfc_main$f = PfLayout;
const _hoisted_1$e = { class: "navbar-header" };
const _hoisted_2$a = /* @__PURE__ */ createElementVNode("span", { class: "sr-only" }, "Toggle navigation", -1);
const _hoisted_3$8 = /* @__PURE__ */ createElementVNode("span", { class: "icon-bar" }, null, -1);
const _hoisted_4$7 = /* @__PURE__ */ createElementVNode("span", { class: "icon-bar" }, null, -1);
const _hoisted_5$7 = /* @__PURE__ */ createElementVNode("span", { class: "icon-bar" }, null, -1);
const _hoisted_6$4 = [
  _hoisted_2$a,
  _hoisted_3$8,
  _hoisted_4$7,
  _hoisted_5$7
];
const _hoisted_7$3 = { class: "collapse navbar-collapse navbar-collapse-1" };
const _hoisted_8$3 = {
  class: "list-group",
  "data-ouia-navigation": "true"
};
const _hoisted_9$3 = ["data-ouia-main"];
const _hoisted_10$2 = { ref: "modalsTarget" };
function _sfc_render$f(_ctx, _cache, $props, $setup, $data, $options) {
  return openBlock(), createElementBlock("div", mergeProps(_ctx.ouiaProps, {
    class: {
      "pf-layout-flex": _ctx.display == "flex",
      "pf-layout-grid": _ctx.display == "grid"
    }
  }), [
    !_ctx.disabled ? (openBlock(), createElementBlock("nav", {
      key: 0,
      class: normalizeClass(["navbar", {
        "navbar-pf": _ctx.horizontal,
        "navbar-pf-vertical": !_ctx.horizontal
      }]),
      role: "navigation",
      "data-ouia-header": "true"
    }, [
      createElementVNode("div", _hoisted_1$e, [
        _ctx.collapsable ? (openBlock(), createElementBlock("button", {
          key: 0,
          type: "button",
          class: "navbar-toggle",
          onClick: _cache[0] || (_cache[0] = ($event) => _ctx.collapsed = !_ctx.collapsed)
        }, _hoisted_6$4)) : createCommentVNode("", true),
        renderSlot$1(_ctx.$slots, "brand")
      ]),
      createElementVNode("div", _hoisted_7$3, [
        _ctx.horizontal ? (openBlock(), createElementBlock("ul", {
          key: 0,
          class: normalizeClass(["nav navbar-nav navbar-primary", { "persistent-secondary": _ctx.horizontalSecondary }]),
          "data-ouia-navigation": "true"
        }, [
          renderSlot$1(_ctx.$slots, "horizontal-menu")
        ], 2)) : createCommentVNode("", true),
        createElementVNode("ul", {
          class: normalizeClass(["nav navbar-nav", {
            "navbar-utility": _ctx.horizontal,
            "navbar-right": !_ctx.horizontal,
            "navbar-iconic": !_ctx.horizontal
          }])
        }, [
          renderSlot$1(_ctx.$slots, "utility-menu")
        ], 2)
      ])
    ], 2)) : createCommentVNode("", true),
    !_ctx.disabled && !_ctx.horizontal ? (openBlock(), createElementBlock("div", {
      key: 1,
      class: normalizeClass(["nav-pf-vertical nav-pf-vertical-with-sub-menus", {
        collapsed: _ctx.collapsed,
        hidden: _ctx.mobile,
        "hidden-icons-pf": !_ctx.icons,
        "show-mobile-nav": _ctx.mobile && !_ctx.collapsed,
        "secondary-visible-pf": _ctx.secondaryMenus && !_ctx.tertiaryMenus && !_ctx.tablet,
        "show-mobile-secondary": _ctx.secondaryMenus && !_ctx.tertiaryMenus && _ctx.mobile,
        "hover-secondary-nav-pf": _ctx.secondaryMenus || _ctx.tertiaryMenus,
        "tertiary-visible-pf": _ctx.tertiaryMenus && !_ctx.tablet,
        "show-mobile-tertiary": _ctx.tertiaryMenus && _ctx.mobile,
        "hover-tertiary-nav-pf": _ctx.tertiaryMenus
      }])
    }, [
      createElementVNode("ul", _hoisted_8$3, [
        renderSlot$1(_ctx.$slots, "vertical-menu")
      ])
    ], 2)) : createCommentVNode("", true),
    createElementVNode("div", {
      class: normalizeClass(["pf-layout-container", {
        "hidden-nav": _ctx.mobile,
        "container-flex": !_ctx.disabled && _ctx.display == "flex",
        "container-fluid": !_ctx.disabled && !_ctx.nomargin,
        "collapsed-nav": !_ctx.disabled && _ctx.collapsed,
        "container-pf-nav-pf-vertical": !_ctx.disabled && !_ctx.horizontal,
        "hidden-icons-pf": !_ctx.disabled && !_ctx.icons
      }]),
      "data-ouia-main": _ctx.noOuiaMain ? null : "true"
    }, [
      renderSlot$1(_ctx.$slots, "default"),
      createElementVNode("div", _hoisted_10$2, null, 512)
    ], 10, _hoisted_9$3)
  ], 16);
}
var Layout = /* @__PURE__ */ _export_sfc(_sfc_main$f, [["render", _sfc_render$f]]);
const _sfc_main$e = defineComponent({
  name: "PfTableRow",
  components: {
    PfDropdown
  },
  props: __spreadValues({
    num: Number,
    selectable: Boolean
  }, ouiaProps),
  emits: {
    select: (selected) => selected !== void 0
  },
  setup(props) {
    return useOUIAProps(props);
  },
  data() {
    return {
      selected: false
    };
  },
  watch: {
    selected() {
      this.$emit("select", this.selected);
    }
  }
});
const _hoisted_1$d = {
  key: 0,
  class: "table-view-pf-select"
};
const _hoisted_2$9 = { class: "sr-only" };
const _hoisted_3$7 = {
  key: 1,
  class: "table-view-pf-actions"
};
const _hoisted_4$6 = { class: "table-view-pf-btn" };
const _hoisted_5$6 = {
  key: 2,
  class: "table-view-pf-actions"
};
function _sfc_render$e(_ctx, _cache, $props, $setup, $data, $options) {
  const _component_pf_dropdown = resolveComponent("pf-dropdown");
  return openBlock(), createElementBlock("tr", mergeProps(_ctx.ouiaProps, {
    role: "row",
    class: { selected: _ctx.selectable && _ctx.selected }
  }), [
    _ctx.selectable ? (openBlock(), createElementBlock("td", _hoisted_1$d, [
      createElementVNode("label", null, [
        createElementVNode("span", _hoisted_2$9, "Select row " + toDisplayString(_ctx.num), 1),
        withDirectives(createElementVNode("input", {
          "onUpdate:modelValue": _cache[0] || (_cache[0] = ($event) => _ctx.selected = $event),
          type: "checkbox"
        }, null, 512), [
          [vModelCheckbox, _ctx.selected]
        ])
      ])
    ])) : createCommentVNode("", true),
    renderSlot$1(_ctx.$slots, "default"),
    _ctx.$slots.action ? (openBlock(), createElementBlock("td", _hoisted_3$7, [
      createElementVNode("div", _hoisted_4$6, [
        renderSlot$1(_ctx.$slots, "action")
      ])
    ])) : createCommentVNode("", true),
    _ctx.$slots.dropdown ? (openBlock(), createElementBlock("td", _hoisted_5$6, [
      createVNode(_component_pf_dropdown, { "menu-right": "" }, {
        default: withCtx(() => [
          renderSlot$1(_ctx.$slots, "dropdown")
        ]),
        _: 3
      })
    ])) : createCommentVNode("", true)
  ], 16);
}
var PfTableRow = /* @__PURE__ */ _export_sfc(_sfc_main$e, [["render", _sfc_render$e]]);
const _sfc_main$d = defineComponent({
  name: "PfListGroupItem",
  components: {
    PfDropdown
  },
  extends: PfTableRow,
  props: __spreadValues({
    expanded: {
      type: Boolean,
      default: null
    },
    expandable: Boolean,
    selectable: Boolean,
    stacked: Boolean,
    index: {
      type: [String, Number]
    }
  }, ouiaProps),
  emits: ["update:expanded", "expanded"],
  setup(props, { emit }) {
    const autoExpanded = ref(false);
    const isExpanded = computed({
      get() {
        return typeof props.expanded === "boolean" ? props.expanded : autoExpanded.value;
      },
      set(value) {
        if (typeof props.expanded !== "boolean") {
          autoExpanded.value = value;
        }
        emit("expanded", value);
        emit("update:expanded", value);
      }
    });
    provide("listGroupItemExpanded", isExpanded);
    const expandedAdditional = ref(null);
    provide("listGroupItemExpandedAdditional", expandedAdditional);
    const additionalRef = ref(null);
    provide("listGroupItemAdditionalPortal", additionalRef);
    return __spreadValues({
      isExpanded,
      expandedAdditional,
      autoExpanded,
      additionalRef
    }, useOUIAProps(props));
  },
  computed: {
    stateClass() {
      if (this.showExpansion) {
        return "list-view-pf-expand-active";
      }
      if (this.selectable && this.selected) {
        return "active";
      }
      return "";
    },
    showExpansion() {
      return this.expandable && this.isExpanded || this.expandedAdditional;
    }
  },
  methods: {
    collapse() {
      this.isExpanded = false;
      this.expandedAdditional = null;
    },
    toggle(e) {
      if (!this.expandable) {
        return;
      }
      if (e) {
        let target = e.target;
        while (target instanceof Element && target !== this.$el) {
          if (["A", "BUTTON", "INPUT", "SELECT"].indexOf(target.tagName) >= 0) {
            return;
          }
          target = target.parentElement;
        }
      }
      if (this.isExpanded) {
        this.isExpanded = false;
      } else {
        this.isExpanded = true;
        this.expandedAdditional = null;
      }
    }
  }
});
const _hoisted_1$c = {
  key: 1,
  class: "list-view-pf-checkbox"
};
const _hoisted_2$8 = { class: "sr-only" };
const _hoisted_3$6 = { class: "list-view-pf-actions" };
const _hoisted_4$5 = { class: "close" };
const _hoisted_5$5 = {
  key: 1,
  ref: "additionalRef"
};
function _sfc_render$d(_ctx, _cache, $props, $setup, $data, $options) {
  const _component_pf_icon = resolveComponent("pf-icon");
  const _component_pf_dropdown = resolveComponent("pf-dropdown");
  return openBlock(), createElementBlock("div", mergeProps(_ctx.ouiaProps, {
    class: ["list-group-item", [_ctx.stateClass, { "list-view-pf-stacked": _ctx.stacked }]],
    style: { cursor: _ctx.expandable ? "pointer" : "inherit" },
    onClick: _cache[2] || (_cache[2] = (...args) => _ctx.toggle && _ctx.toggle(...args))
  }), [
    _ctx.expandable && _ctx.$slots.expansion ? (openBlock(), createElementBlock("div", {
      key: 0,
      class: normalizeClass(["list-view-pf-expand", { active: _ctx.isExpanded }])
    }, [
      createVNode(_component_pf_icon, {
        name: "fa-angle-right",
        class: normalizeClass({ "fa-angle-down": _ctx.isExpanded })
      }, null, 8, ["class"])
    ], 2)) : createCommentVNode("", true),
    _ctx.selectable ? (openBlock(), createElementBlock("div", _hoisted_1$c, [
      createElementVNode("label", null, [
        createElementVNode("span", _hoisted_2$8, "Select row " + toDisplayString(_ctx.index), 1),
        withDirectives(createElementVNode("input", {
          "onUpdate:modelValue": _cache[0] || (_cache[0] = ($event) => _ctx.selected = $event),
          type: "checkbox"
        }, null, 512), [
          [vModelCheckbox, _ctx.selected]
        ])
      ])
    ])) : createCommentVNode("", true),
    createElementVNode("div", _hoisted_3$6, [
      renderSlot$1(_ctx.$slots, "action"),
      _ctx.$slots.dropdown ? (openBlock(), createBlock(_component_pf_dropdown, {
        key: 0,
        type: "link",
        class: "dropdown dropdown-kebab-pf",
        "menu-right": ""
      }, {
        default: withCtx(() => [
          renderSlot$1(_ctx.$slots, "dropdown")
        ]),
        _: 3
      })) : createCommentVNode("", true)
    ]),
    renderSlot$1(_ctx.$slots, "default"),
    withDirectives(createElementVNode("div", {
      class: "list-group-item-container container-fluid",
      style: { "cursor": "initial" },
      onClick: _cache[1] || (_cache[1] = withModifiers(() => {
      }, ["stop"]))
    }, [
      createElementVNode("div", _hoisted_4$5, [
        createVNode(_component_pf_icon, {
          name: "pficon-close",
          onClick: _ctx.collapse
        }, null, 8, ["onClick"])
      ]),
      _ctx.isExpanded ? renderSlot$1(_ctx.$slots, "expansion", { key: 0 }) : createCommentVNode("", true),
      _ctx.expandedAdditional ? (openBlock(), createElementBlock("div", _hoisted_5$5, null, 512)) : createCommentVNode("", true)
    ], 512), [
      [vShow, _ctx.showExpansion]
    ])
  ], 16);
}
var PfListGroupItem = /* @__PURE__ */ _export_sfc(_sfc_main$d, [["render", _sfc_render$d]]);
const _sfc_main$c = defineComponent({
  name: "PfListItem",
  props: __spreadValues({
    icon: String,
    iconSrc: String,
    iconSize: {
      type: String,
      default: "md",
      validator: (size) => ["sm", "md", "lg"].includes(size)
    },
    iconVariant: {
      type: String,
      default: "",
      validator: (variant) => ["", null, "info", "success", "warning", "danger"].includes(variant)
    }
  }, ouiaProps),
  setup(props) {
    return useOUIAProps(props);
  }
});
const _hoisted_1$b = {
  key: 0,
  class: "list-view-pf-left"
};
const _hoisted_2$7 = { class: "list-view-pf-body" };
const _hoisted_3$5 = {
  key: 0,
  class: "list-view-pf-description"
};
const _hoisted_4$4 = {
  key: 0,
  class: "list-group-item-heading"
};
const _hoisted_5$4 = {
  key: 1,
  class: "list-group-item-text"
};
const _hoisted_6$3 = {
  key: 1,
  class: "list-view-pf-additional-info"
};
function _sfc_render$c(_ctx, _cache, $props, $setup, $data, $options) {
  const _component_pf_icon = resolveComponent("pf-icon");
  return openBlock(), createElementBlock("div", mergeProps(_ctx.ouiaProps, { class: "list-view-pf-main-info" }), [
    renderSlot$1(_ctx.$slots, "default", {}, () => [
      _ctx.icon || _ctx.iconSrc || _ctx.$slots.left ? (openBlock(), createElementBlock("div", _hoisted_1$b, [
        renderSlot$1(_ctx.$slots, "left", {}, () => [
          createVNode(_component_pf_icon, {
            name: _ctx.icon,
            src: _ctx.iconSrc,
            class: normalizeClass([
              `list-view-pf-icon-${_ctx.iconSize}`,
              { [`list-view-pf-icon-${_ctx.iconVariant}`]: _ctx.iconVariant }
            ])
          }, null, 8, ["name", "src", "class"])
        ])
      ])) : createCommentVNode("", true),
      createElementVNode("div", _hoisted_2$7, [
        _ctx.$slots.heading || _ctx.$slots.description ? (openBlock(), createElementBlock("div", _hoisted_3$5, [
          _ctx.$slots.heading ? (openBlock(), createElementBlock("div", _hoisted_4$4, [
            renderSlot$1(_ctx.$slots, "heading")
          ])) : createCommentVNode("", true),
          _ctx.$slots.description ? (openBlock(), createElementBlock("div", _hoisted_5$4, [
            renderSlot$1(_ctx.$slots, "description")
          ])) : createCommentVNode("", true)
        ])) : createCommentVNode("", true),
        _ctx.$slots["additional-info"] ? (openBlock(), createElementBlock("div", _hoisted_6$3, [
          renderSlot$1(_ctx.$slots, "additional-info")
        ])) : createCommentVNode("", true)
      ])
    ])
  ], 16);
}
var ListItem = /* @__PURE__ */ _export_sfc(_sfc_main$c, [["render", _sfc_render$c]]);
const _sfc_main$b = defineComponent({
  name: "PfListItemAdditionalInfo",
  props: __spreadValues({
    stacked: Boolean,
    expandable: Boolean
  }, ouiaProps),
  setup(props) {
    return __spreadValues({
      listGroupItemExpanded: inject("listGroupItemExpanded", false),
      listGroupItemExpandedAdditional: inject("listGroupItemExpandedAdditional", null),
      listGroupItemAdditionalPortal: inject("listGroupItemAdditionalPortal", null)
    }, useOUIAProps(props));
  },
  computed: {
    expanded() {
      return this.listGroupItemExpandedAdditional === this.$.uid;
    }
  },
  methods: {
    toggle(e) {
      if (!this.expandable) {
        return;
      }
      if (e) {
        e.stopPropagation();
      }
      this.listGroupItemExpanded = false;
      this.listGroupItemExpandedAdditional = this.expanded ? null : this.$.uid;
    }
  }
});
function _sfc_render$b(_ctx, _cache, $props, $setup, $data, $options) {
  const _component_pf_icon = resolveComponent("pf-icon");
  return openBlock(), createElementBlock("div", mergeProps(_ctx.ouiaProps, {
    class: ["list-view-pf-additional-info-item", { "list-view-pf-additional-info-item-stacked": _ctx.stacked }],
    onClick: _cache[0] || (_cache[0] = (...args) => _ctx.toggle && _ctx.toggle(...args))
  }), [
    _ctx.expandable && _ctx.$slots.expansion ? (openBlock(), createElementBlock("div", {
      key: 0,
      class: normalizeClass(["list-view-pf-expand", { "active": _ctx.expanded }])
    }, [
      createVNode(_component_pf_icon, {
        name: "fa-angle-right",
        class: normalizeClass({ "fa-angle-down": _ctx.expanded })
      }, null, 8, ["class"]),
      renderSlot$1(_ctx.$slots, "default")
    ], 2)) : renderSlot$1(_ctx.$slots, "default", { key: 1 }),
    _ctx.expandable && _ctx.expanded ? (openBlock(), createBlock(Teleport, {
      key: 2,
      disabled: !_ctx.listGroupItemAdditionalPortal,
      to: _ctx.listGroupItemAdditionalPortal
    }, [
      renderSlot$1(_ctx.$slots, "expansion")
    ], 8, ["disabled", "to"])) : createCommentVNode("", true)
  ], 16);
}
var ListItemAdditionalInfo = /* @__PURE__ */ _export_sfc(_sfc_main$b, [["render", _sfc_render$b]]);
const _sfc_main$a = defineComponent({
  name: "PfListView",
  components: {
    PfListGroupItem
  },
  props: __spreadValues({
    page: Number,
    totalItems: {
      type: Number,
      default: 0
    },
    itemsPerPage: {
      type: Number,
      default: 10
    },
    itemsPerPageOptions: {
      type: Array,
      default: () => [10, 25, 50, 100, 500]
    },
    expandable: Boolean,
    selectable: Boolean,
    stacked: Boolean,
    rows: {
      type: Array,
      default: () => []
    },
    keyName: String
  }, ouiaProps),
  emits: {
    "update:itemsPerPage": (itemsPerPage) => itemsPerPage !== void 0,
    "update:page": (page) => page !== void 0
  },
  setup(props) {
    const listItems = ref();
    return __spreadValues({
      listItems
    }, useOUIAProps(props));
  },
  methods: {
    setAllSelected(selected = true) {
      for (const row of this.listItems) {
        row.selected = selected;
      }
    },
    getSelected() {
      const selected = [];
      for (const row of this.listItems) {
        const id = row.num;
        if (typeof id !== "undefined" && row.selected && this.rows[id]) {
          selected.push(this.rows[id]);
        }
      }
      return selected;
    }
  }
});
const _hoisted_1$a = { class: "list-group list-view-pf list-view-pf-view" };
function _sfc_render$a(_ctx, _cache, $props, $setup, $data, $options) {
  const _component_pf_list_group_item = resolveComponent("pf-list-group-item");
  const _component_pf_paginate_control = resolveComponent("pf-paginate-control");
  return openBlock(), createElementBlock("div", normalizeProps(guardReactiveProps(_ctx.ouiaProps)), [
    createElementVNode("div", _hoisted_1$a, [
      (openBlock(true), createElementBlock(Fragment, null, renderList(_ctx.rows, (row, i) => {
        return openBlock(), createBlock(_component_pf_list_group_item, {
          ref_for: true,
          ref: "listItems",
          key: _ctx.keyName ? row[_ctx.keyName] : i,
          index: i,
          selectable: _ctx.selectable,
          expandable: _ctx.expandable,
          stacked: _ctx.stacked
        }, createSlots({
          default: withCtx(() => [
            renderSlot$1(_ctx.$slots, "default", {
              row,
              index: i
            })
          ]),
          _: 2
        }, [
          _ctx.$slots.action ? {
            name: "action",
            fn: withCtx(() => [
              renderSlot$1(_ctx.$slots, "action", {
                row,
                index: i
              })
            ])
          } : void 0,
          _ctx.$slots.dropdown ? {
            name: "dropdown",
            fn: withCtx(() => [
              renderSlot$1(_ctx.$slots, "dropdown", {
                row,
                index: i
              })
            ])
          } : void 0,
          _ctx.$slots.expansion ? {
            name: "expansion",
            fn: withCtx(() => [
              renderSlot$1(_ctx.$slots, "expansion", {
                row,
                index: i
              })
            ])
          } : void 0
        ]), 1032, ["index", "selectable", "expandable", "stacked"]);
      }), 128))
    ]),
    _ctx.itemsPerPage > 0 ? (openBlock(), createBlock(_component_pf_paginate_control, {
      key: 0,
      ref: "pagination",
      type: "list",
      page: _ctx.page,
      "total-items": _ctx.totalItems,
      "items-per-page": _ctx.itemsPerPage,
      "items-per-page-options": _ctx.itemsPerPageOptions,
      "onUpdate:itemsPerPage": _cache[0] || (_cache[0] = ($event) => _ctx.$emit("update:itemsPerPage", $event)),
      onChange: _cache[1] || (_cache[1] = ($event) => _ctx.$emit("update:page", $event))
    }, null, 8, ["page", "total-items", "items-per-page", "items-per-page-options"])) : createCommentVNode("", true)
  ], 16);
}
var ListView = /* @__PURE__ */ _export_sfc(_sfc_main$a, [["render", _sfc_render$a]]);
function renderSlot(slot, fallback = []) {
  if (Array.isArray(slot)) {
    return slot;
  }
  return slot === void 0 ? fallback : slot() || fallback;
}
var MenuItem = defineComponent({
  name: "PfMenuItem",
  inheritAttrs: false,
  props: __spreadValues({
    title: String,
    to: {
      type: [String, Object],
      default: void 0
    },
    replace: Boolean,
    activeClass: {
      type: String,
      default: "active"
    },
    ariaCurrentValue: String,
    exactActiveClass: String,
    icon: String,
    badge: String,
    href: String,
    target: String,
    vertical: Boolean
  }, ouiaProps),
  setup(props) {
    return useOUIAProps(props);
  },
  render() {
    let tag = this.to ? "router-link" : "li";
    const linkBuilder = (href) => {
      const linkChildren = [];
      if (this.icon) {
        linkChildren.push(h(resolveComponent("pf-icon"), {
          name: this.icon,
          title: this.title
        }));
      }
      linkChildren.push(h("span", {
        class: "list-group-item-value"
      }, this.title));
      if (this.badge) {
        linkChildren.push(h("div", {
          class: "badge-container-pf"
        }, [
          h("div", { class: "badge" }, this.badge)
        ]));
      }
      return h("a", {
        href,
        target: this.target
      }, linkChildren);
    };
    const slot = (href) => {
      let elements = [];
      const children = renderSlot(this.$slots.default, []);
      if (children) {
        if (this.vertical) {
          elements = children;
        } else {
          elements.push(h("ul", {
            class: "nav navbar-nav navbar-persistent"
          }, children));
        }
      }
      elements.unshift(linkBuilder(this.href || href));
      return elements;
    };
    let tagProps = mergeProps(__spreadValues({
      class: "list-group-item"
    }, this.ouiaProps), this.$attrs);
    if (tag !== "router-link") {
      return h(tag, tagProps, slot);
    }
    tag = resolveComponent("router-link");
    const liProps = __spreadValues({}, tagProps);
    tagProps = {
      custom: true,
      to: this.to,
      replace: this.replace,
      activeClass: this.activeClass,
      ariaCurrentValue: this.ariaCurrentValue,
      exactActiveClass: this.exactActiveClass
    };
    const routerSlot = ({ navigate, href }) => {
      return [h("li", __spreadValues({ onClick: navigate }, liProps), slot(href))];
    };
    return h(tag, tagProps, routerSlot);
  }
});
var Modal_vue_vue_type_style_index_0_lang = "";
function isDescendantOf(node, ancestor) {
  while (node) {
    if (node === ancestor) {
      return true;
    }
    node = node.parentElement;
  }
  return false;
}
const _sfc_main$9 = defineComponent({
  name: "PfModal",
  components: {
    PfButton
  },
  props: __spreadValues({
    title: String,
    form: Boolean,
    target: {
      type: String,
      default: ""
    },
    method: {
      type: String,
      default: ""
    },
    confirmButton: {
      type: String,
      default: "OK"
    },
    cancelButton: {
      type: String,
      default: "Cancel"
    },
    outsideClose: {
      type: Boolean,
      default: false
    },
    show: Boolean
  }, ouiaProps),
  emits: {
    submit: (event) => event !== void 0,
    confirm: () => true,
    cancel: () => true,
    close: () => true
  },
  setup(props) {
    return __spreadValues({
      modalsTarget: inject("modalsTarget")
    }, useOUIAProps(props));
  },
  mounted() {
    document.documentElement.classList.add("modal-open");
  },
  beforeUnmount() {
    document.documentElement.classList.remove("modal-open");
  },
  methods: {
    confirm() {
      this.$emit("confirm");
      this.close();
    },
    cancel() {
      this.$emit("cancel");
      this.close();
    },
    close() {
      this.$emit("close");
    },
    clickOutside(e) {
      if (this.outsideClose && e.target instanceof Node && this.$refs.dialog instanceof HTMLElement && !isDescendantOf(e.target, this.$refs.dialog)) {
        this.cancel();
      }
    }
  }
});
const _hoisted_1$9 = {
  ref: "dialog",
  class: "modal-dialog"
};
const _hoisted_2$6 = {
  key: 0,
  class: "modal-header"
};
const _hoisted_3$4 = { class: "modal-title" };
const _hoisted_4$3 = { class: "modal-body" };
const _hoisted_5$3 = {
  key: 1,
  class: "modal-footer"
};
function _sfc_render$9(_ctx, _cache, $props, $setup, $data, $options) {
  const _component_pf_icon = resolveComponent("pf-icon");
  const _component_pf_button = resolveComponent("pf-button");
  return openBlock(), createBlock(Teleport, {
    to: _ctx.modalsTarget || "body"
  }, [
    createVNode(TransitionGroup, { name: "pf-drop-fade" }, {
      default: withCtx(() => [
        _ctx.show ? (openBlock(), createElementBlock("div", mergeProps({
          key: 0,
          key: "modal"
        }, __spreadValues(__spreadValues({}, _ctx.$attrs), _ctx.ouiaProps), {
          class: "modal",
          role: "dialog",
          onClick: _cache[2] || (_cache[2] = (...args) => _ctx.clickOutside && _ctx.clickOutside(...args))
        }), [
          createElementVNode("div", _hoisted_1$9, [
            (openBlock(), createBlock(resolveDynamicComponent(_ctx.form ? "form" : "div"), {
              class: "modal-content",
              target: _ctx.target,
              method: _ctx.method,
              onSubmit: _cache[1] || (_cache[1] = ($event) => _ctx.$emit("submit", $event))
            }, {
              default: withCtx(() => [
                _ctx.title ? (openBlock(), createElementBlock("div", _hoisted_2$6, [
                  createElementVNode("button", {
                    type: "button",
                    class: "close",
                    onClick: _cache[0] || (_cache[0] = (...args) => _ctx.cancel && _ctx.cancel(...args))
                  }, [
                    createVNode(_component_pf_icon, { name: "pficon-close" })
                  ]),
                  createElementVNode("h4", _hoisted_3$4, toDisplayString(_ctx.title), 1)
                ])) : createCommentVNode("", true),
                createElementVNode("div", _hoisted_4$3, [
                  renderSlot$1(_ctx.$slots, "default")
                ]),
                _ctx.$slots.footer || _ctx.cancelButton || _ctx.confirmButton ? (openBlock(), createElementBlock("div", _hoisted_5$3, [
                  renderSlot$1(_ctx.$slots, "footer", {}, () => [
                    _ctx.cancelButton ? (openBlock(), createBlock(_component_pf_button, {
                      key: 0,
                      onClick: _ctx.cancel
                    }, {
                      default: withCtx(() => [
                        createTextVNode(toDisplayString(_ctx.cancelButton), 1)
                      ]),
                      _: 1
                    }, 8, ["onClick"])) : createCommentVNode("", true),
                    _ctx.confirmButton ? (openBlock(), createBlock(_component_pf_button, {
                      key: 1,
                      type: _ctx.form ? "submit" : "button",
                      variant: "primary",
                      onClick: _ctx.confirm
                    }, {
                      default: withCtx(() => [
                        createTextVNode(toDisplayString(_ctx.confirmButton), 1)
                      ]),
                      _: 1
                    }, 8, ["type", "onClick"])) : createCommentVNode("", true)
                  ])
                ])) : createCommentVNode("", true)
              ]),
              _: 3
            }, 8, ["target", "method"]))
          ], 512)
        ], 16)) : createCommentVNode("", true),
        _ctx.show ? (openBlock(), createElementBlock("div", {
          key: "backdrop",
          class: "modal-backdrop in",
          onClick: _cache[3] || (_cache[3] = (...args) => _ctx.clickOutside && _ctx.clickOutside(...args))
        })) : createCommentVNode("", true)
      ]),
      _: 3
    })
  ], 8, ["to"]);
}
var Modal = /* @__PURE__ */ _export_sfc(_sfc_main$9, [["render", _sfc_render$9]]);
const _sfc_main$8 = defineComponent({
  name: "PfNotificationBell",
  props: __spreadValues({
    updates: {
      type: [String, Boolean],
      default: false
    }
  }, ouiaProps),
  setup(props) {
    return useOUIAProps(props);
  }
});
const _hoisted_1$8 = {
  key: 0,
  class: "badge"
};
const _hoisted_2$5 = ["innerHTML"];
function _sfc_render$8(_ctx, _cache, $props, $setup, $data, $options) {
  const _component_pf_icon = resolveComponent("pf-icon");
  return openBlock(), createElementBlock("li", normalizeProps(guardReactiveProps(_ctx.ouiaProps)), [
    createElementVNode("a", {
      class: "nav-item-iconic",
      href: "javascript:void(0)",
      onClick: _cache[0] || (_cache[0] = withModifiers(() => {
      }, ["prevent"]))
    }, [
      createVNode(_component_pf_icon, {
        name: "fa-bell",
        title: "Notifications"
      }),
      _ctx.updates !== false ? (openBlock(), createElementBlock("span", _hoisted_1$8, [
        createElementVNode("span", { innerHTML: _ctx.updates }, null, 8, _hoisted_2$5)
      ])) : createCommentVNode("", true)
    ])
  ], 16);
}
var NotificationBell = /* @__PURE__ */ _export_sfc(_sfc_main$8, [["render", _sfc_render$8]]);
const _sfc_main$7 = defineComponent({
  name: "PfNotifications",
  components: {
    PfNotification
  },
  props: __spreadValues({
    toast: {
      type: Boolean,
      default: false
    },
    persistent: {
      type: Boolean,
      default: false
    }
  }, ouiaProps),
  setup(props) {
    return useOUIAProps(props);
  },
  data() {
    return {
      notifications: []
    };
  },
  methods: {
    add(message, type = "info", persistent) {
      let notification;
      if (typeof message === "string") {
        notification = {
          message,
          type,
          persistent: typeof persistent === "undefined" ? this.persistent : persistent
        };
      } else {
        notification = message;
      }
      this.notifications.push(notification);
    },
    dismiss(i) {
      if (typeof i === "object") {
        const obj = i;
        i = this.notifications.indexOf(obj);
        if (i < 0) {
          return;
        }
      }
      this.notifications.splice(i, 1);
    }
  }
});
const _hoisted_1$7 = ["innerHTML"];
function _sfc_render$7(_ctx, _cache, $props, $setup, $data, $options) {
  const _component_pf_notification = resolveComponent("pf-notification");
  return withDirectives((openBlock(), createElementBlock("div", mergeProps(_ctx.ouiaProps, {
    class: { "toast-notifications-list-pf": _ctx.toast }
  }), [
    renderSlot$1(_ctx.$slots, "default"),
    (openBlock(true), createElementBlock(Fragment, null, renderList(_ctx.notifications, (n, i) => {
      return openBlock(), createBlock(_component_pf_notification, {
        ref_for: true,
        ref: "notification",
        key: i,
        persistent: n.persistent,
        type: n.type,
        toast: _ctx.toast,
        onDismiss: ($event) => _ctx.dismiss(i)
      }, {
        default: withCtx(() => [
          createElementVNode("span", {
            innerHTML: n.message
          }, null, 8, _hoisted_1$7)
        ]),
        _: 2
      }, 1032, ["persistent", "type", "toast", "onDismiss"]);
    }), 128))
  ], 16)), [
    [vShow, _ctx.$slots.default || _ctx.notifications.length]
  ]);
}
var Notifications = /* @__PURE__ */ _export_sfc(_sfc_main$7, [["render", _sfc_render$7]]);
var PaginateControl_vue_vue_type_style_index_0_lang = "";
const _sfc_main$6 = defineComponent({
  name: "PfPaginateControl",
  components: {
    PfSelect: PfSelect$1,
    PfOption
  },
  model: {
    prop: "page",
    event: "change"
  },
  props: __spreadValues({
    page: Number,
    type: {
      type: String,
      default: "list",
      validator: (type) => ["list", "card", "table"].includes(type)
    },
    totalItems: {
      type: Number,
      default: 0
    },
    itemsPerPage: {
      type: Number,
      default: 25
    },
    itemsPerPageOptions: {
      type: Array,
      default: () => [10, 25, 50, 100, 500]
    },
    labelFirstPage: {
      type: String,
      default: "First Page"
    },
    labelLastPage: {
      type: String,
      default: "Last Page"
    },
    labelPreviousPage: {
      type: String,
      default: "Previous Page"
    },
    labelNextPage: {
      type: String,
      default: "Next Page"
    },
    labelCurrentPage: {
      type: String,
      default: "Current Page"
    },
    labelOf: {
      type: String,
      default: "of"
    },
    labelPerPage: {
      type: String,
      default: "per page"
    }
  }, ouiaProps),
  emits: {
    change: (page) => page !== void 0,
    "update:itemsPerPage": (value) => value !== void 0
  },
  setup(props) {
    return useOUIAProps(props);
  },
  computed: {
    pages() {
      return Math.ceil(this.totalItems / this.itemsPerPage);
    },
    firstItem() {
      return (this.page - 1) * this.itemsPerPage + 1;
    },
    lastItem() {
      return Math.min(this.page * this.itemsPerPage, this.totalItems);
    }
  },
  methods: {
    setPage(page) {
      page = Math.max(Math.min(page, this.pages), 1);
      if (!isNaN(page) && page !== this.page) {
        this.$emit("change", page);
      }
    },
    openPerPageSelect() {
      if (!(this.$refs.perpage instanceof HTMLElement)) {
        return;
      }
      if (isPfSelect(this.$refs.perpage)) {
        this.$refs.perpage.focus();
        this.$refs.perpage.open();
      }
    }
  }
});
const _hoisted_1$6 = {
  key: 0,
  class: "form-group"
};
const _hoisted_2$4 = {
  key: 1,
  class: "form-group"
};
const _hoisted_3$3 = { class: "form-group" };
const _hoisted_4$2 = { class: "pagination pagination-pf-back" };
const _hoisted_5$2 = ["title"];
const _hoisted_6$2 = ["title"];
const _hoisted_7$2 = {
  for: "`pf-paginate-control-input-${$.uid}`",
  class: "sr-only"
};
const _hoisted_8$2 = ["id", "value"];
const _hoisted_9$2 = { class: "pagination pagination-pf-forward" };
const _hoisted_10$1 = ["title"];
const _hoisted_11$1 = ["title"];
function _sfc_render$6(_ctx, _cache, $props, $setup, $data, $options) {
  const _component_pf_option = resolveComponent("pf-option");
  const _component_pf_select = resolveComponent("pf-select");
  const _component_pf_icon = resolveComponent("pf-icon");
  return openBlock(), createElementBlock("form", mergeProps(_ctx.ouiaProps, {
    class: ["content-view-pf-pagination clearfix", [`${_ctx.type}-view-pf-pagination`]],
    "aria-label": "Search results pages"
  }), [
    _ctx.itemsPerPageOptions && _ctx.itemsPerPageOptions.length ? (openBlock(), createElementBlock("div", _hoisted_1$6, [
      createVNode(_component_pf_select, {
        ref: "perpage",
        button: "",
        "close-on-select": "",
        class: "pagination-pf-pagesize"
      }, {
        default: withCtx(() => [
          (openBlock(true), createElementBlock(Fragment, null, renderList(_ctx.itemsPerPageOptions, (item, i) => {
            return openBlock(), createBlock(_component_pf_option, {
              key: i,
              "model-value": _ctx.itemsPerPage,
              "checked-value": item,
              "onUpdate:modelValue": _cache[0] || (_cache[0] = ($event) => _ctx.$emit("update:itemsPerPage", $event))
            }, {
              default: withCtx(() => [
                createTextVNode(toDisplayString(item), 1)
              ]),
              _: 2
            }, 1032, ["model-value", "checked-value"]);
          }), 128))
        ]),
        _: 1
      }, 512),
      createElementVNode("span", {
        onClick: _cache[1] || (_cache[1] = withModifiers((...args) => _ctx.openPerPageSelect && _ctx.openPerPageSelect(...args), ["stop"]))
      }, toDisplayString(_ctx.labelPerPage), 1)
    ])) : createCommentVNode("", true),
    _ctx.$slots.default ? (openBlock(), createElementBlock("div", _hoisted_2$4, [
      renderSlot$1(_ctx.$slots, "default")
    ])) : createCommentVNode("", true),
    createElementVNode("div", _hoisted_3$3, [
      createTextVNode(toDisplayString(_ctx.firstItem) + "-" + toDisplayString(_ctx.lastItem) + " " + toDisplayString(_ctx.labelOf) + " " + toDisplayString(_ctx.totalItems) + " ", 1),
      createElementVNode("ul", _hoisted_4$2, [
        createElementVNode("li", {
          class: normalizeClass({ disabled: _ctx.page == 1 })
        }, [
          createElementVNode("a", {
            href: "javascript:void(0)",
            title: _ctx.labelFirstPage,
            onClick: _cache[2] || (_cache[2] = withModifiers(($event) => _ctx.setPage(1), ["prevent"]))
          }, [
            createVNode(_component_pf_icon, {
              name: "fa-angle-double-left",
              class: "i"
            })
          ], 8, _hoisted_5$2)
        ], 2),
        createElementVNode("li", {
          class: normalizeClass({ disabled: _ctx.page <= 1 })
        }, [
          createElementVNode("a", {
            href: "javascript:void(0)",
            title: _ctx.labelPreviousPage,
            onClick: _cache[3] || (_cache[3] = withModifiers(($event) => _ctx.setPage(_ctx.page - 1), ["prevent"]))
          }, [
            createVNode(_component_pf_icon, {
              name: "fa-angle-left",
              class: "i"
            })
          ], 8, _hoisted_6$2)
        ], 2)
      ]),
      createElementVNode("label", _hoisted_7$2, toDisplayString(_ctx.labelCurrentPage), 1),
      createElementVNode("input", {
        id: `pf-paginate-control-input-${_ctx.$.uid}`,
        type: "text",
        class: "pagination-pf-page",
        style: normalizeStyle({
          width: _ctx.pages.toString().length * 0.8 + 1.5 + "em"
        }),
        value: _ctx.page,
        onChange: _cache[4] || (_cache[4] = ($event) => $event.target instanceof _ctx.HTMLInputElement && _ctx.setPage(Number($event.target.value)))
      }, null, 44, _hoisted_8$2),
      createTextVNode(" " + toDisplayString(_ctx.labelOf) + " " + toDisplayString(_ctx.pages) + " ", 1),
      createElementVNode("ul", _hoisted_9$2, [
        createElementVNode("li", {
          class: normalizeClass({ disabled: _ctx.page >= _ctx.pages })
        }, [
          createElementVNode("a", {
            href: "javascript:void(0)",
            title: _ctx.labelNextPage,
            onClick: _cache[5] || (_cache[5] = withModifiers(($event) => _ctx.setPage(_ctx.page + 1), ["prevent"]))
          }, [
            createVNode(_component_pf_icon, {
              name: "fa-angle-right",
              class: "i"
            })
          ], 8, _hoisted_10$1)
        ], 2),
        createElementVNode("li", {
          class: normalizeClass({ disabled: _ctx.page >= _ctx.pages })
        }, [
          createElementVNode("a", {
            href: "javascript:void(0)",
            title: _ctx.labelLastPage,
            onClick: _cache[6] || (_cache[6] = withModifiers(($event) => _ctx.setPage(_ctx.pages), ["prevent"]))
          }, [
            createVNode(_component_pf_icon, {
              name: "fa-angle-double-right",
              class: "i"
            })
          ], 8, _hoisted_11$1)
        ], 2)
      ])
    ])
  ], 16);
}
var PfPaginateControl = /* @__PURE__ */ _export_sfc(_sfc_main$6, [["render", _sfc_render$6]]);
const _sfc_main$5 = defineComponent({
  name: "PfRadioButton",
  props: __spreadValues({
    activeClass: {
      type: String,
      default: "active"
    },
    inactiveClass: String,
    modelValue: {
      type: [Boolean, String, Number, Array]
    },
    name: String,
    checkedValue: {
      type: [Boolean, Number, String],
      default: true
    },
    input: {
      type: String,
      default: "radio",
      validator: (type) => ["radio", "checkbox"].includes(type)
    },
    disabled: Boolean,
    loose: Boolean
  }, ouiaProps),
  emits: {
    "update:modelValue": (values) => values !== void 0
  },
  setup(props) {
    return useOUIAProps(props);
  },
  computed: {
    checked() {
      return this.test(this.checkedValue);
    },
    stateClass() {
      if (this.checked && this.activeClass) {
        return this.activeClass;
      }
      if (!this.checked && this.inactiveClass) {
        return this.inactiveClass;
      }
      return "";
    },
    values() {
      return Array.isArray(this.modelValue) ? this.modelValue : [this.modelValue];
    }
  },
  watch: {
    input() {
      if (this.input === "checkbox" && !Array.isArray(this.modelValue)) {
        this.$emit("update:modelValue", this.values);
      } else if (this.input === "radio" && Array.isArray(this.modelValue)) {
        this.$emit("update:modelValue", this.modelValue.length ? this.modelValue[0] : null);
      }
    }
  },
  methods: {
    test(value) {
      if (this.input === "radio") {
        if (this.loose) {
          return this.modelValue == value;
        }
        return this.modelValue === value;
      }
      if (this.loose) {
        return typeof this.values.find((v) => v == value) !== "undefined";
      }
      if (Array.isArray(value)) {
        return this.values.filter((v) => value.includes(v)).length === 0;
      }
      return this.values.includes(value);
    },
    change() {
      if (this.disabled) {
        return;
      }
      if (this.input === "checkbox") {
        if (this.checked) {
          this.$emit("update:modelValue", this.values.filter((v) => {
            if (this.loose) {
              return v != this.checkedValue;
            }
            return v !== this.checkedValue;
          }));
        } else {
          this.$emit("update:modelValue", this.test(this.checked) ? this.values : [...this.values, this.checkedValue]);
        }
        return;
      }
      if (!this.checked) {
        this.$emit("update:modelValue", this.checkedValue);
      }
    }
  }
});
const _hoisted_1$5 = ["disabled"];
const _hoisted_2$3 = ["type", "name", "checked", "disabled", "value"];
function _sfc_render$5(_ctx, _cache, $props, $setup, $data, $options) {
  return openBlock(), createElementBlock("label", mergeProps(_ctx.ouiaProps, {
    type: "button",
    class: ["btn", [_ctx.stateClass, {
      "btn-default": _ctx.activeClass == "active" && _ctx.inactiveClass != "btn-default"
    }]],
    disabled: _ctx.disabled || null
  }), [
    createElementVNode("input", {
      type: _ctx.input,
      style: { "display": "none" },
      name: _ctx.name,
      checked: _ctx.checked,
      disabled: _ctx.disabled || null,
      value: _ctx.checkedValue,
      onChange: _cache[0] || (_cache[0] = (...args) => _ctx.change && _ctx.change(...args))
    }, null, 40, _hoisted_2$3),
    renderSlot$1(_ctx.$slots, "default")
  ], 16, _hoisted_1$5);
}
var PfRadioButton = /* @__PURE__ */ _export_sfc(_sfc_main$5, [["render", _sfc_render$5]]);
var MapShim = function() {
  if (typeof Map !== "undefined") {
    return Map;
  }
  function getIndex(arr, key) {
    var result = -1;
    arr.some(function(entry, index2) {
      if (entry[0] === key) {
        result = index2;
        return true;
      }
      return false;
    });
    return result;
  }
  return function() {
    function class_1() {
      this.__entries__ = [];
    }
    Object.defineProperty(class_1.prototype, "size", {
      get: function() {
        return this.__entries__.length;
      },
      enumerable: true,
      configurable: true
    });
    class_1.prototype.get = function(key) {
      var index2 = getIndex(this.__entries__, key);
      var entry = this.__entries__[index2];
      return entry && entry[1];
    };
    class_1.prototype.set = function(key, value) {
      var index2 = getIndex(this.__entries__, key);
      if (~index2) {
        this.__entries__[index2][1] = value;
      } else {
        this.__entries__.push([key, value]);
      }
    };
    class_1.prototype.delete = function(key) {
      var entries = this.__entries__;
      var index2 = getIndex(entries, key);
      if (~index2) {
        entries.splice(index2, 1);
      }
    };
    class_1.prototype.has = function(key) {
      return !!~getIndex(this.__entries__, key);
    };
    class_1.prototype.clear = function() {
      this.__entries__.splice(0);
    };
    class_1.prototype.forEach = function(callback, ctx) {
      if (ctx === void 0) {
        ctx = null;
      }
      for (var _i = 0, _a = this.__entries__; _i < _a.length; _i++) {
        var entry = _a[_i];
        callback.call(ctx, entry[1], entry[0]);
      }
    };
    return class_1;
  }();
}();
var isBrowser = typeof window !== "undefined" && typeof document !== "undefined" && window.document === document;
var global$1 = function() {
  if (typeof global !== "undefined" && global.Math === Math) {
    return global;
  }
  if (typeof self !== "undefined" && self.Math === Math) {
    return self;
  }
  if (typeof window !== "undefined" && window.Math === Math) {
    return window;
  }
  return Function("return this")();
}();
var requestAnimationFrame$1 = function() {
  if (typeof requestAnimationFrame === "function") {
    return requestAnimationFrame.bind(global$1);
  }
  return function(callback) {
    return setTimeout(function() {
      return callback(Date.now());
    }, 1e3 / 60);
  };
}();
var trailingTimeout = 2;
function throttle(callback, delay) {
  var leadingCall = false, trailingCall = false, lastCallTime = 0;
  function resolvePending() {
    if (leadingCall) {
      leadingCall = false;
      callback();
    }
    if (trailingCall) {
      proxy();
    }
  }
  function timeoutCallback() {
    requestAnimationFrame$1(resolvePending);
  }
  function proxy() {
    var timeStamp = Date.now();
    if (leadingCall) {
      if (timeStamp - lastCallTime < trailingTimeout) {
        return;
      }
      trailingCall = true;
    } else {
      leadingCall = true;
      trailingCall = false;
      setTimeout(timeoutCallback, delay);
    }
    lastCallTime = timeStamp;
  }
  return proxy;
}
var REFRESH_DELAY = 20;
var transitionKeys = ["top", "right", "bottom", "left", "width", "height", "size", "weight"];
var mutationObserverSupported = typeof MutationObserver !== "undefined";
var ResizeObserverController = function() {
  function ResizeObserverController2() {
    this.connected_ = false;
    this.mutationEventsAdded_ = false;
    this.mutationsObserver_ = null;
    this.observers_ = [];
    this.onTransitionEnd_ = this.onTransitionEnd_.bind(this);
    this.refresh = throttle(this.refresh.bind(this), REFRESH_DELAY);
  }
  ResizeObserverController2.prototype.addObserver = function(observer) {
    if (!~this.observers_.indexOf(observer)) {
      this.observers_.push(observer);
    }
    if (!this.connected_) {
      this.connect_();
    }
  };
  ResizeObserverController2.prototype.removeObserver = function(observer) {
    var observers2 = this.observers_;
    var index2 = observers2.indexOf(observer);
    if (~index2) {
      observers2.splice(index2, 1);
    }
    if (!observers2.length && this.connected_) {
      this.disconnect_();
    }
  };
  ResizeObserverController2.prototype.refresh = function() {
    var changesDetected = this.updateObservers_();
    if (changesDetected) {
      this.refresh();
    }
  };
  ResizeObserverController2.prototype.updateObservers_ = function() {
    var activeObservers = this.observers_.filter(function(observer) {
      return observer.gatherActive(), observer.hasActive();
    });
    activeObservers.forEach(function(observer) {
      return observer.broadcastActive();
    });
    return activeObservers.length > 0;
  };
  ResizeObserverController2.prototype.connect_ = function() {
    if (!isBrowser || this.connected_) {
      return;
    }
    document.addEventListener("transitionend", this.onTransitionEnd_);
    window.addEventListener("resize", this.refresh);
    if (mutationObserverSupported) {
      this.mutationsObserver_ = new MutationObserver(this.refresh);
      this.mutationsObserver_.observe(document, {
        attributes: true,
        childList: true,
        characterData: true,
        subtree: true
      });
    } else {
      document.addEventListener("DOMSubtreeModified", this.refresh);
      this.mutationEventsAdded_ = true;
    }
    this.connected_ = true;
  };
  ResizeObserverController2.prototype.disconnect_ = function() {
    if (!isBrowser || !this.connected_) {
      return;
    }
    document.removeEventListener("transitionend", this.onTransitionEnd_);
    window.removeEventListener("resize", this.refresh);
    if (this.mutationsObserver_) {
      this.mutationsObserver_.disconnect();
    }
    if (this.mutationEventsAdded_) {
      document.removeEventListener("DOMSubtreeModified", this.refresh);
    }
    this.mutationsObserver_ = null;
    this.mutationEventsAdded_ = false;
    this.connected_ = false;
  };
  ResizeObserverController2.prototype.onTransitionEnd_ = function(_a) {
    var _b = _a.propertyName, propertyName = _b === void 0 ? "" : _b;
    var isReflowProperty = transitionKeys.some(function(key) {
      return !!~propertyName.indexOf(key);
    });
    if (isReflowProperty) {
      this.refresh();
    }
  };
  ResizeObserverController2.getInstance = function() {
    if (!this.instance_) {
      this.instance_ = new ResizeObserverController2();
    }
    return this.instance_;
  };
  ResizeObserverController2.instance_ = null;
  return ResizeObserverController2;
}();
var defineConfigurable = function(target, props) {
  for (var _i = 0, _a = Object.keys(props); _i < _a.length; _i++) {
    var key = _a[_i];
    Object.defineProperty(target, key, {
      value: props[key],
      enumerable: false,
      writable: false,
      configurable: true
    });
  }
  return target;
};
var getWindowOf = function(target) {
  var ownerGlobal = target && target.ownerDocument && target.ownerDocument.defaultView;
  return ownerGlobal || global$1;
};
var emptyRect = createRectInit(0, 0, 0, 0);
function toFloat(value) {
  return parseFloat(value) || 0;
}
function getBordersSize(styles) {
  var positions = [];
  for (var _i = 1; _i < arguments.length; _i++) {
    positions[_i - 1] = arguments[_i];
  }
  return positions.reduce(function(size, position) {
    var value = styles["border-" + position + "-width"];
    return size + toFloat(value);
  }, 0);
}
function getPaddings(styles) {
  var positions = ["top", "right", "bottom", "left"];
  var paddings = {};
  for (var _i = 0, positions_1 = positions; _i < positions_1.length; _i++) {
    var position = positions_1[_i];
    var value = styles["padding-" + position];
    paddings[position] = toFloat(value);
  }
  return paddings;
}
function getSVGContentRect(target) {
  var bbox = target.getBBox();
  return createRectInit(0, 0, bbox.width, bbox.height);
}
function getHTMLElementContentRect(target) {
  var clientWidth = target.clientWidth, clientHeight = target.clientHeight;
  if (!clientWidth && !clientHeight) {
    return emptyRect;
  }
  var styles = getWindowOf(target).getComputedStyle(target);
  var paddings = getPaddings(styles);
  var horizPad = paddings.left + paddings.right;
  var vertPad = paddings.top + paddings.bottom;
  var width = toFloat(styles.width), height = toFloat(styles.height);
  if (styles.boxSizing === "border-box") {
    if (Math.round(width + horizPad) !== clientWidth) {
      width -= getBordersSize(styles, "left", "right") + horizPad;
    }
    if (Math.round(height + vertPad) !== clientHeight) {
      height -= getBordersSize(styles, "top", "bottom") + vertPad;
    }
  }
  if (!isDocumentElement(target)) {
    var vertScrollbar = Math.round(width + horizPad) - clientWidth;
    var horizScrollbar = Math.round(height + vertPad) - clientHeight;
    if (Math.abs(vertScrollbar) !== 1) {
      width -= vertScrollbar;
    }
    if (Math.abs(horizScrollbar) !== 1) {
      height -= horizScrollbar;
    }
  }
  return createRectInit(paddings.left, paddings.top, width, height);
}
var isSVGGraphicsElement = function() {
  if (typeof SVGGraphicsElement !== "undefined") {
    return function(target) {
      return target instanceof getWindowOf(target).SVGGraphicsElement;
    };
  }
  return function(target) {
    return target instanceof getWindowOf(target).SVGElement && typeof target.getBBox === "function";
  };
}();
function isDocumentElement(target) {
  return target === getWindowOf(target).document.documentElement;
}
function getContentRect(target) {
  if (!isBrowser) {
    return emptyRect;
  }
  if (isSVGGraphicsElement(target)) {
    return getSVGContentRect(target);
  }
  return getHTMLElementContentRect(target);
}
function createReadOnlyRect(_a) {
  var x = _a.x, y = _a.y, width = _a.width, height = _a.height;
  var Constr = typeof DOMRectReadOnly !== "undefined" ? DOMRectReadOnly : Object;
  var rect = Object.create(Constr.prototype);
  defineConfigurable(rect, {
    x,
    y,
    width,
    height,
    top: y,
    right: x + width,
    bottom: height + y,
    left: x
  });
  return rect;
}
function createRectInit(x, y, width, height) {
  return { x, y, width, height };
}
var ResizeObservation = function() {
  function ResizeObservation2(target) {
    this.broadcastWidth = 0;
    this.broadcastHeight = 0;
    this.contentRect_ = createRectInit(0, 0, 0, 0);
    this.target = target;
  }
  ResizeObservation2.prototype.isActive = function() {
    var rect = getContentRect(this.target);
    this.contentRect_ = rect;
    return rect.width !== this.broadcastWidth || rect.height !== this.broadcastHeight;
  };
  ResizeObservation2.prototype.broadcastRect = function() {
    var rect = this.contentRect_;
    this.broadcastWidth = rect.width;
    this.broadcastHeight = rect.height;
    return rect;
  };
  return ResizeObservation2;
}();
var ResizeObserverEntry = function() {
  function ResizeObserverEntry2(target, rectInit) {
    var contentRect = createReadOnlyRect(rectInit);
    defineConfigurable(this, { target, contentRect });
  }
  return ResizeObserverEntry2;
}();
var ResizeObserverSPI = function() {
  function ResizeObserverSPI2(callback, controller, callbackCtx) {
    this.activeObservations_ = [];
    this.observations_ = new MapShim();
    if (typeof callback !== "function") {
      throw new TypeError("The callback provided as parameter 1 is not a function.");
    }
    this.callback_ = callback;
    this.controller_ = controller;
    this.callbackCtx_ = callbackCtx;
  }
  ResizeObserverSPI2.prototype.observe = function(target) {
    if (!arguments.length) {
      throw new TypeError("1 argument required, but only 0 present.");
    }
    if (typeof Element === "undefined" || !(Element instanceof Object)) {
      return;
    }
    if (!(target instanceof getWindowOf(target).Element)) {
      throw new TypeError('parameter 1 is not of type "Element".');
    }
    var observations = this.observations_;
    if (observations.has(target)) {
      return;
    }
    observations.set(target, new ResizeObservation(target));
    this.controller_.addObserver(this);
    this.controller_.refresh();
  };
  ResizeObserverSPI2.prototype.unobserve = function(target) {
    if (!arguments.length) {
      throw new TypeError("1 argument required, but only 0 present.");
    }
    if (typeof Element === "undefined" || !(Element instanceof Object)) {
      return;
    }
    if (!(target instanceof getWindowOf(target).Element)) {
      throw new TypeError('parameter 1 is not of type "Element".');
    }
    var observations = this.observations_;
    if (!observations.has(target)) {
      return;
    }
    observations.delete(target);
    if (!observations.size) {
      this.controller_.removeObserver(this);
    }
  };
  ResizeObserverSPI2.prototype.disconnect = function() {
    this.clearActive();
    this.observations_.clear();
    this.controller_.removeObserver(this);
  };
  ResizeObserverSPI2.prototype.gatherActive = function() {
    var _this = this;
    this.clearActive();
    this.observations_.forEach(function(observation) {
      if (observation.isActive()) {
        _this.activeObservations_.push(observation);
      }
    });
  };
  ResizeObserverSPI2.prototype.broadcastActive = function() {
    if (!this.hasActive()) {
      return;
    }
    var ctx = this.callbackCtx_;
    var entries = this.activeObservations_.map(function(observation) {
      return new ResizeObserverEntry(observation.target, observation.broadcastRect());
    });
    this.callback_.call(ctx, entries, ctx);
    this.clearActive();
  };
  ResizeObserverSPI2.prototype.clearActive = function() {
    this.activeObservations_.splice(0);
  };
  ResizeObserverSPI2.prototype.hasActive = function() {
    return this.activeObservations_.length > 0;
  };
  return ResizeObserverSPI2;
}();
var observers = typeof WeakMap !== "undefined" ? new WeakMap() : new MapShim();
var ResizeObserver = function() {
  function ResizeObserver2(callback) {
    if (!(this instanceof ResizeObserver2)) {
      throw new TypeError("Cannot call a class as a function.");
    }
    if (!arguments.length) {
      throw new TypeError("1 argument required, but only 0 present.");
    }
    var controller = ResizeObserverController.getInstance();
    var observer = new ResizeObserverSPI(callback, controller, this);
    observers.set(this, observer);
  }
  return ResizeObserver2;
}();
[
  "observe",
  "unobserve",
  "disconnect"
].forEach(function(method) {
  ResizeObserver.prototype[method] = function() {
    var _a;
    return (_a = observers.get(this))[method].apply(_a, arguments);
  };
});
var index = function() {
  if (typeof global$1.ResizeObserver !== "undefined") {
    return global$1.ResizeObserver;
  }
  return ResizeObserver;
}();
function isObject(value) {
  var type = typeof value;
  return value != null && (type == "object" || type == "function");
}
var freeGlobal = typeof global == "object" && global && global.Object === Object && global;
var freeGlobal$1 = freeGlobal;
var freeSelf = typeof self == "object" && self && self.Object === Object && self;
var root = freeGlobal$1 || freeSelf || Function("return this")();
var root$1 = root;
var now = function() {
  return root$1.Date.now();
};
var now$1 = now;
var reWhitespace = /\s/;
function trimmedEndIndex(string) {
  var index2 = string.length;
  while (index2-- && reWhitespace.test(string.charAt(index2))) {
  }
  return index2;
}
var reTrimStart = /^\s+/;
function baseTrim(string) {
  return string ? string.slice(0, trimmedEndIndex(string) + 1).replace(reTrimStart, "") : string;
}
var Symbol$1 = root$1.Symbol;
var Symbol$2 = Symbol$1;
var objectProto$1 = Object.prototype;
var hasOwnProperty = objectProto$1.hasOwnProperty;
var nativeObjectToString$1 = objectProto$1.toString;
var symToStringTag$1 = Symbol$2 ? Symbol$2.toStringTag : void 0;
function getRawTag(value) {
  var isOwn = hasOwnProperty.call(value, symToStringTag$1), tag = value[symToStringTag$1];
  try {
    value[symToStringTag$1] = void 0;
    var unmasked = true;
  } catch (e) {
  }
  var result = nativeObjectToString$1.call(value);
  if (unmasked) {
    if (isOwn) {
      value[symToStringTag$1] = tag;
    } else {
      delete value[symToStringTag$1];
    }
  }
  return result;
}
var objectProto = Object.prototype;
var nativeObjectToString = objectProto.toString;
function objectToString(value) {
  return nativeObjectToString.call(value);
}
var nullTag = "[object Null]", undefinedTag = "[object Undefined]";
var symToStringTag = Symbol$2 ? Symbol$2.toStringTag : void 0;
function baseGetTag(value) {
  if (value == null) {
    return value === void 0 ? undefinedTag : nullTag;
  }
  return symToStringTag && symToStringTag in Object(value) ? getRawTag(value) : objectToString(value);
}
function isObjectLike(value) {
  return value != null && typeof value == "object";
}
var symbolTag = "[object Symbol]";
function isSymbol(value) {
  return typeof value == "symbol" || isObjectLike(value) && baseGetTag(value) == symbolTag;
}
var NAN = 0 / 0;
var reIsBadHex = /^[-+]0x[0-9a-f]+$/i;
var reIsBinary = /^0b[01]+$/i;
var reIsOctal = /^0o[0-7]+$/i;
var freeParseInt = parseInt;
function toNumber(value) {
  if (typeof value == "number") {
    return value;
  }
  if (isSymbol(value)) {
    return NAN;
  }
  if (isObject(value)) {
    var other = typeof value.valueOf == "function" ? value.valueOf() : value;
    value = isObject(other) ? other + "" : other;
  }
  if (typeof value != "string") {
    return value === 0 ? value : +value;
  }
  value = baseTrim(value);
  var isBinary = reIsBinary.test(value);
  return isBinary || reIsOctal.test(value) ? freeParseInt(value.slice(2), isBinary ? 2 : 8) : reIsBadHex.test(value) ? NAN : +value;
}
var FUNC_ERROR_TEXT = "Expected a function";
var nativeMax = Math.max, nativeMin = Math.min;
function debounce(func, wait, options) {
  var lastArgs, lastThis, maxWait, result, timerId, lastCallTime, lastInvokeTime = 0, leading = false, maxing = false, trailing = true;
  if (typeof func != "function") {
    throw new TypeError(FUNC_ERROR_TEXT);
  }
  wait = toNumber(wait) || 0;
  if (isObject(options)) {
    leading = !!options.leading;
    maxing = "maxWait" in options;
    maxWait = maxing ? nativeMax(toNumber(options.maxWait) || 0, wait) : maxWait;
    trailing = "trailing" in options ? !!options.trailing : trailing;
  }
  function invokeFunc(time) {
    var args = lastArgs, thisArg = lastThis;
    lastArgs = lastThis = void 0;
    lastInvokeTime = time;
    result = func.apply(thisArg, args);
    return result;
  }
  function leadingEdge(time) {
    lastInvokeTime = time;
    timerId = setTimeout(timerExpired, wait);
    return leading ? invokeFunc(time) : result;
  }
  function remainingWait(time) {
    var timeSinceLastCall = time - lastCallTime, timeSinceLastInvoke = time - lastInvokeTime, timeWaiting = wait - timeSinceLastCall;
    return maxing ? nativeMin(timeWaiting, maxWait - timeSinceLastInvoke) : timeWaiting;
  }
  function shouldInvoke(time) {
    var timeSinceLastCall = time - lastCallTime, timeSinceLastInvoke = time - lastInvokeTime;
    return lastCallTime === void 0 || timeSinceLastCall >= wait || timeSinceLastCall < 0 || maxing && timeSinceLastInvoke >= maxWait;
  }
  function timerExpired() {
    var time = now$1();
    if (shouldInvoke(time)) {
      return trailingEdge(time);
    }
    timerId = setTimeout(timerExpired, remainingWait(time));
  }
  function trailingEdge(time) {
    timerId = void 0;
    if (trailing && lastArgs) {
      return invokeFunc(time);
    }
    lastArgs = lastThis = void 0;
    return result;
  }
  function cancel() {
    if (timerId !== void 0) {
      clearTimeout(timerId);
    }
    lastInvokeTime = 0;
    lastArgs = lastCallTime = lastThis = timerId = void 0;
  }
  function flush() {
    return timerId === void 0 ? result : trailingEdge(now$1());
  }
  function debounced() {
    var time = now$1(), isInvoking = shouldInvoke(time);
    lastArgs = arguments;
    lastThis = this;
    lastCallTime = time;
    if (isInvoking) {
      if (timerId === void 0) {
        return leadingEdge(lastCallTime);
      }
      if (maxing) {
        clearTimeout(timerId);
        timerId = setTimeout(timerExpired, wait);
        return invokeFunc(lastCallTime);
      }
    }
    if (timerId === void 0) {
      timerId = setTimeout(timerExpired, wait);
    }
    return result;
  }
  debounced.cancel = cancel;
  debounced.flush = flush;
  return debounced;
}
var Table_vue_vue_type_style_index_0_lang = "";
const _sfc_main$4 = defineComponent({
  name: "PfTable",
  components: {
    PfTableRow,
    PfPaginateControl
  },
  props: __spreadValues({
    page: Number,
    totalItems: {
      type: Number,
      default: 0
    },
    itemsPerPage: {
      type: Number,
      default: 25
    },
    itemsPerPageOptions: {
      type: Array,
      default: () => [10, 25, 50, 100, 500]
    },
    columns: {
      type: Array,
      default: () => []
    },
    rows: {
      type: Array,
      default: () => []
    },
    keyName: String,
    striped: Boolean,
    bordered: Boolean,
    hover: Boolean,
    selectable: Boolean,
    scrollable: Boolean,
    sortable: Boolean,
    sortBy: String,
    sortDirection: {
      type: String,
      default: "asc",
      validator: (v) => ["asc", "desc"].includes(v)
    }
  }, ouiaProps),
  emits: {
    "update:page": (page) => page !== void 0,
    "update:itemsPerPage": (value) => value !== void 0,
    "sort-by": (field, direction) => field !== void 0 && direction !== void 0,
    "update:sortBy": (field) => field !== void 0,
    "update:sortDirection": (direction) => direction !== void 0
  },
  setup(props) {
    const thead = ref(null);
    const theadClone = ref(null);
    const rowItems = ref([]);
    const headHeight = ref(27);
    const showClones = ref(false);
    const paginationHeight = ref(38);
    const pagination = ref(null);
    const syncHeaders = debounce(() => {
      if (!theadClone.value || !thead.value) {
        return;
      }
      const ths = thead.value.rows[0].cells;
      const thsC = theadClone.value.rows[0].cells;
      let i = 0;
      for (const th of ths) {
        if (i == 0 && props.selectable) {
          i++;
          continue;
        }
        const thC = thsC[i];
        if (i == thsC.length - 1) {
          thC.style.width = "auto";
        } else {
          thC.style.width = `${th.clientWidth + 1}px`;
        }
        i++;
      }
      showClones.value = true;
    }, 50);
    const headObserver = new index((entries) => {
      if (!props.scrollable) {
        return;
      }
      if (!theadClone.value) {
        return;
      }
      for (const entry of entries) {
        if (!entry.target.parentElement) {
          continue;
        }
        if (entry.target.tagName === "THEAD") {
          headHeight.value = theadClone.value.clientHeight;
        } else {
          syncHeaders();
        }
      }
    });
    const paginationObserver = new index((entries) => {
      if (!props.scrollable) {
        return;
      }
      for (const entry of entries) {
        if (entry.target == pagination.value.$el) {
          paginationHeight.value = pagination.value.$el.clientHeight;
          break;
        }
      }
    });
    const observeThead = () => {
      const row = thead.value.rows[0];
      for (let i = 0; i < row.cells.length; i++) {
        if (i == 0 && props.selectable) {
          continue;
        }
        const cell = row.cells[i];
        if (cell instanceof HTMLTableCellElement) {
          headObserver.observe(cell);
        }
      }
    };
    const scrollableUnwatch = watch(() => props.scrollable, () => {
      if (props.scrollable) {
        showClones.value = false;
        if (thead.value instanceof HTMLTableSectionElement) {
          headObserver.observe(thead.value);
        }
        paginationObserver.observe(pagination.value.$el);
        observeThead();
      } else {
        headObserver.disconnect();
        paginationObserver.disconnect();
      }
    }, {
      immediate: true
    });
    watch(() => props.columns, () => nextTick(observeThead), {
      deep: true
    });
    onMounted(() => {
      if (thead.value instanceof HTMLTableSectionElement) {
        headObserver.observe(thead.value);
      }
      paginationObserver.observe(pagination.value.$el);
    });
    onUnmounted(() => {
      headObserver.disconnect();
      paginationObserver.disconnect();
      scrollableUnwatch();
    });
    return __spreadValues({
      thead,
      theadClone,
      rowItems,
      pagination,
      showClones,
      headHeight
    }, useOUIAProps(props));
  },
  computed: {
    actionSpan() {
      let colspan = 0;
      if (this.$slots.action) {
        colspan++;
      }
      if (this.$slots.dropdown) {
        colspan++;
      }
      return colspan;
    },
    sortAscending() {
      return this.sortDirection === "asc";
    }
  },
  methods: {
    setSortBy(field, direction) {
      this.$emit("sort-by", field, direction);
      this.$emit("update:sortBy", field);
      this.$emit("update:sortDirection", direction);
    },
    changeSelectAll(e) {
      if (e.target instanceof HTMLInputElement) {
        this.setAllSelected(e.target.checked);
      }
    },
    setAllSelected(selected = true) {
      for (const row of this.rowItems) {
        row.selected = selected;
      }
    },
    getSelected() {
      const selected = [];
      for (const row of this.rowItems) {
        const id = row.num;
        if (typeof id !== "undefined" && row.selected && this.rows[id]) {
          selected.push(this.rows[id]);
        }
      }
      return selected;
    },
    keyFor(value, fallback) {
      return value && (value === "string" || typeof value === "number") ? value : fallback;
    }
  }
});
const _hoisted_1$4 = { ref: "theadClone" };
const _hoisted_2$2 = {
  key: 0,
  class: "table-view-pf-select",
  "aria-label": "Select all rows"
};
const _hoisted_3$2 = /* @__PURE__ */ createElementVNode("span", { class: "sr-only" }, "Select all rows", -1);
const _hoisted_4$1 = ["onClick"];
const _hoisted_5$1 = ["colspan"];
const _hoisted_6$1 = { class: "table-overflow-container" };
const _hoisted_7$1 = { ref: "thead" };
const _hoisted_8$1 = { role: "row" };
const _hoisted_9$1 = {
  key: 0,
  class: "table-view-pf-select",
  "aria-label": "Select all rows"
};
const _hoisted_10 = /* @__PURE__ */ createElementVNode("span", { class: "sr-only" }, "Select all rows", -1);
const _hoisted_11 = ["onClick"];
const _hoisted_12 = ["colspan"];
function _sfc_render$4(_ctx, _cache, $props, $setup, $data, $options) {
  const _component_pf_table_row = resolveComponent("pf-table-row");
  const _component_pf_paginate_control = resolveComponent("pf-paginate-control");
  return openBlock(), createElementBlock("div", mergeProps(_ctx.ouiaProps, { class: "table-wrapper" }), [
    _ctx.scrollable ? (openBlock(), createElementBlock("table", {
      key: 0,
      class: normalizeClass(["table dataTable table-head-clone", {
        "table-striped": _ctx.striped,
        "table-bordered": _ctx.bordered,
        "table-hover": _ctx.hover
      }]),
      style: normalizeStyle({
        opacity: _ctx.showClones ? 1 : 0
      })
    }, [
      createElementVNode("thead", _hoisted_1$4, [
        createElementVNode("tr", null, [
          _ctx.selectable ? (openBlock(), createElementBlock("th", _hoisted_2$2, [
            createElementVNode("label", null, [
              _hoisted_3$2,
              createElementVNode("input", {
                type: "checkbox",
                onChange: _cache[0] || (_cache[0] = (...args) => _ctx.changeSelectAll && _ctx.changeSelectAll(...args))
              }, null, 32)
            ])
          ])) : createCommentVNode("", true),
          (openBlock(true), createElementBlock(Fragment, null, renderList(_ctx.columns, (column, i) => {
            return openBlock(), createElementBlock("th", {
              key: i,
              class: normalizeClass({
                sorting: _ctx.sortable && column != _ctx.sortBy,
                sorting_asc: _ctx.sortable && column == _ctx.sortBy && _ctx.sortAscending,
                sorting_desc: _ctx.sortable && column == _ctx.sortBy && !_ctx.sortAscending
              }),
              onClick: ($event) => _ctx.setSortBy(column, column == _ctx.sortBy && _ctx.sortAscending ? "desc" : "asc")
            }, toDisplayString(column), 11, _hoisted_4$1);
          }), 128)),
          _ctx.actionSpan ? (openBlock(), createElementBlock("th", {
            key: 1,
            colspan: _ctx.actionSpan
          }, " Actions ", 8, _hoisted_5$1)) : createCommentVNode("", true)
        ])
      ], 512)
    ], 6)) : createCommentVNode("", true),
    createElementVNode("div", _hoisted_6$1, [
      createElementVNode("table", {
        class: normalizeClass(["table dataTable", {
          "table-striped": _ctx.striped,
          "table-bordered": _ctx.bordered,
          "table-hover": _ctx.hover
        }]),
        role: "grid",
        style: normalizeStyle({
          "margin-top": _ctx.scrollable ? `-${_ctx.headHeight + 1}px` : 0
        })
      }, [
        createElementVNode("thead", _hoisted_7$1, [
          createElementVNode("tr", _hoisted_8$1, [
            _ctx.selectable ? (openBlock(), createElementBlock("th", _hoisted_9$1, [
              createElementVNode("label", null, [
                _hoisted_10,
                createElementVNode("input", {
                  type: "checkbox",
                  onChange: _cache[1] || (_cache[1] = (...args) => _ctx.changeSelectAll && _ctx.changeSelectAll(...args))
                }, null, 32)
              ])
            ])) : createCommentVNode("", true),
            (openBlock(true), createElementBlock(Fragment, null, renderList(_ctx.columns, (column, i) => {
              return openBlock(), createElementBlock("th", {
                key: i,
                class: normalizeClass({
                  sorting: _ctx.sortable && column != _ctx.sortBy,
                  sorting_asc: _ctx.sortable && column == _ctx.sortBy && _ctx.sortAscending,
                  sorting_desc: _ctx.sortable && column == _ctx.sortBy && !_ctx.sortAscending
                }),
                onClick: ($event) => _ctx.setSortBy(column, column == _ctx.sortBy && _ctx.sortAscending ? "desc" : "asc")
              }, toDisplayString(column), 11, _hoisted_11);
            }), 128)),
            _ctx.actionSpan ? (openBlock(), createElementBlock("th", {
              key: 1,
              colspan: _ctx.actionSpan
            }, " Actions ", 8, _hoisted_12)) : createCommentVNode("", true)
          ])
        ], 512),
        createElementVNode("tbody", null, [
          (openBlock(true), createElementBlock(Fragment, null, renderList(_ctx.rows, (row, i) => {
            return openBlock(), createBlock(_component_pf_table_row, {
              ref_for: true,
              ref: "rowItems",
              key: _ctx.keyFor(row, i),
              num: i,
              selectable: _ctx.selectable
            }, createSlots({
              default: withCtx(() => [
                renderSlot$1(_ctx.$slots, "default", { row })
              ]),
              _: 2
            }, [
              _ctx.$slots.action ? {
                name: "action",
                fn: withCtx(() => [
                  renderSlot$1(_ctx.$slots, "action", { row })
                ])
              } : void 0,
              _ctx.$slots.dropdown ? {
                name: "dropdown",
                fn: withCtx(() => [
                  renderSlot$1(_ctx.$slots, "dropdown", { row })
                ])
              } : void 0
            ]), 1032, ["num", "selectable"]);
          }), 128))
        ])
      ], 6)
    ]),
    _ctx.itemsPerPage > 0 ? (openBlock(), createBlock(_component_pf_paginate_control, {
      key: 1,
      ref: "pagination",
      type: "table",
      page: _ctx.page,
      "total-items": _ctx.totalItems,
      "items-per-page": _ctx.itemsPerPage,
      "items-per-page-options": _ctx.itemsPerPageOptions,
      "onUpdate:itemsPerPage": _cache[2] || (_cache[2] = ($event) => _ctx.$emit("update:itemsPerPage", $event)),
      onChange: _cache[3] || (_cache[3] = ($event) => _ctx.$emit("update:page", $event))
    }, {
      default: withCtx(() => [
        renderSlot$1(_ctx.$slots, "footer")
      ]),
      _: 3
    }, 8, ["page", "total-items", "items-per-page", "items-per-page-options"])) : createCommentVNode("", true)
  ], 16);
}
var Table = /* @__PURE__ */ _export_sfc(_sfc_main$4, [["render", _sfc_render$4]]);
var Toggle_vue_vue_type_style_index_0_lang = "";
const _sfc_main$3 = defineComponent({
  name: "PfToggle",
  components: {
    PfRadioButton,
    PfSpinner
  },
  props: __spreadValues({
    name: {
      type: String,
      default: null
    },
    modelValue: {
      type: [Boolean, String, Number, Array],
      required: true
    },
    disabled: Boolean,
    loading: Boolean,
    loose: Boolean,
    onText: {
      type: String,
      default: "ON"
    },
    onValue: {
      type: [Boolean, String, Number],
      default: true
    },
    onClass: {
      type: String,
      default: "btn-success"
    },
    offText: {
      type: String,
      default: "OFF"
    },
    offValue: {
      type: [Boolean, String, Number],
      default: false
    },
    noOff: Boolean,
    offClass: {
      type: String,
      default: "btn-danger"
    },
    size: {
      type: String,
      default: "sm",
      validator: (val) => ["lg", "md", "sm", "xs"].includes(val)
    }
  }, ouiaProps),
  emits: {
    change: (value) => value !== void 0,
    "update:modelValue": (value) => value !== void 0
  },
  setup(props) {
    return useOUIAProps(props);
  },
  computed: {
    on() {
      return this.test(this.onValue);
    },
    radioValue() {
      if (Array.isArray(this.modelValue)) {
        return this.on ? this.onValue : this.offValue;
      }
      return this.modelValue;
    },
    values() {
      return Array.isArray(this.modelValue) ? this.modelValue : [this.modelValue];
    }
  },
  watch: {
    noOff() {
      if (!this.test(this.onValue) && !this.test(this.offValue)) {
        this.setOff();
      } else if (this.noOff && !Array.isArray(this.modelValue)) {
        this.$emit("update:modelValue", this.values);
      }
    }
  },
  methods: {
    test(value) {
      if (!this.noOff) {
        if (this.loose) {
          return this.modelValue == value;
        }
        return this.modelValue === value;
      }
      if (this.loose) {
        return typeof this.values.find((v) => v == value) !== "undefined";
      }
      if (Array.isArray(value)) {
        return this.values.filter((v) => value.includes(v)).length === 0;
      }
      return this.values.includes(value);
    },
    setOff() {
      if (this.disabled) {
        return;
      }
      if (this.noOff) {
        const value = this.values.filter((v) => {
          if (this.loose) {
            return v != this.onValue;
          }
          return v !== this.onValue;
        });
        this.$emit("change", value);
        this.$emit("update:modelValue", value);
        return;
      }
      this.set(this.offValue);
    },
    set(value) {
      if (this.disabled) {
        return;
      }
      if (this.noOff && !Array.isArray(value)) {
        value = this.test(value) ? this.values : [...this.values, value];
      }
      this.$emit("change", value);
      this.$emit("update:modelValue", value);
    },
    toggle() {
      if (this.disabled) {
        return;
      }
      if (this.on) {
        if (this.noOff) {
          this.setOff();
          return;
        }
        this.set(this.offValue);
        return;
      }
      this.set(this.onValue);
    }
  }
});
const _hoisted_1$3 = /* @__PURE__ */ createTextVNode("\xA0 ");
function _sfc_render$3(_ctx, _cache, $props, $setup, $data, $options) {
  const _component_pf_radio_button = resolveComponent("pf-radio-button");
  const _component_pf_spinner = resolveComponent("pf-spinner");
  return openBlock(), createElementBlock("div", mergeProps(_ctx.ouiaProps, {
    tabindex: "0",
    class: ["btn-group btn-group-flip", { disabled: _ctx.disabled }],
    onKeyup: [
      _cache[4] || (_cache[4] = withKeys((...args) => _ctx.toggle && _ctx.toggle(...args), ["space"])),
      _cache[5] || (_cache[5] = withKeys((...args) => _ctx.toggle && _ctx.toggle(...args), ["enter"])),
      _cache[6] || (_cache[6] = withKeys(($event) => _ctx.set(_ctx.onValue), ["left"])),
      _cache[7] || (_cache[7] = withKeys((...args) => _ctx.setOff && _ctx.setOff(...args), ["right"]))
    ]
  }), [
    _ctx.noOff ? (openBlock(), createElementBlock(Fragment, { key: 0 }, [
      createVNode(_component_pf_radio_button, {
        name: _ctx.name,
        input: "checkbox",
        "model-value": _ctx.modelValue,
        class: normalizeClass([`btn-${_ctx.size}`]),
        "active-class": _ctx.onClass,
        "inactive-class": "btn-default",
        "checked-value": _ctx.onValue,
        loose: _ctx.loose,
        disabled: _ctx.disabled,
        "onUpdate:modelValue": _cache[0] || (_cache[0] = ($event) => _ctx.set(_ctx.onValue))
      }, {
        default: withCtx(() => [
          createTextVNode(toDisplayString(_ctx.onText), 1)
        ]),
        _: 1
      }, 8, ["name", "model-value", "class", "active-class", "checked-value", "loose", "disabled"]),
      createElementVNode("label", {
        class: normalizeClass(["btn", [_ctx.on ? "btn-default" : _ctx.offClass, `btn-${_ctx.size}`]]),
        onClick: _cache[1] || (_cache[1] = (...args) => _ctx.setOff && _ctx.setOff(...args))
      }, toDisplayString(_ctx.offText), 3)
    ], 64)) : (openBlock(), createElementBlock(Fragment, { key: 1 }, [
      createVNode(_component_pf_radio_button, {
        name: _ctx.name,
        "model-value": _ctx.radioValue,
        class: normalizeClass([`btn-${_ctx.size}`]),
        "active-class": _ctx.onClass,
        "inactive-class": "btn-default",
        "checked-value": _ctx.onValue,
        loose: _ctx.loose,
        disabled: _ctx.disabled,
        "onUpdate:modelValue": _cache[2] || (_cache[2] = ($event) => _ctx.set($event))
      }, {
        default: withCtx(() => [
          createTextVNode(toDisplayString(_ctx.onText), 1)
        ]),
        _: 1
      }, 8, ["name", "model-value", "class", "active-class", "checked-value", "loose", "disabled"]),
      createVNode(_component_pf_radio_button, {
        name: _ctx.name,
        "model-value": _ctx.radioValue,
        class: normalizeClass([`btn-${_ctx.size}`]),
        "active-class": _ctx.offClass,
        "inactive-class": "btn-default",
        "checked-value": _ctx.offValue,
        loose: _ctx.loose,
        disabled: _ctx.disabled,
        "onUpdate:modelValue": _cache[3] || (_cache[3] = ($event) => _ctx.set($event))
      }, {
        default: withCtx(() => [
          createTextVNode(toDisplayString(_ctx.offText), 1)
        ]),
        _: 1
      }, 8, ["name", "model-value", "class", "active-class", "checked-value", "loose", "disabled"])
    ], 64)),
    _ctx.loading ? (openBlock(), createBlock(_component_pf_spinner, {
      key: 2,
      size: _ctx.size,
      inline: "",
      loading: ""
    }, null, 8, ["size"])) : createCommentVNode("", true),
    _hoisted_1$3,
    renderSlot$1(_ctx.$slots, "default")
  ], 16);
}
var Toggle = /* @__PURE__ */ _export_sfc(_sfc_main$3, [["render", _sfc_render$3]]);
var Tooltip = defineComponent({
  name: "PfTooltip",
  mixins: [popupMixin],
  props: __spreadValues({
    text: {
      type: String,
      default: ""
    }
  }, ouiaProps),
  setup(props) {
    return useOUIAProps(props);
  },
  data() {
    return {
      name: "tooltip"
    };
  },
  computed: {
    allContent() {
      return this.text;
    }
  },
  methods: {
    isNotEmpty() {
      return !!this.text;
    }
  },
  render() {
    return h(this.tag, this.ouiaProps, [
      renderSlot(this.$slots.default),
      h("div", {
        ref: "popup",
        role: "tooltip",
        onMouseleave: this.hideOnLeave
      }, [
        h("div", { class: "tooltip-arrow" }),
        h("div", {
          class: "tooltip-inner",
          innerHTML: this.text
        })
      ])
    ]);
  }
});
var UtilizationBarChart_vue_vue_type_style_index_0_lang = "";
const _sfc_main$2 = defineComponent({
  name: "PfUtilizationBarChart",
  props: __spreadValues({
    value: Number,
    total: Number,
    units: String,
    title: String,
    footer: String,
    footerFormat: {
      type: String,
      default: "actual"
    },
    inline: Boolean,
    warning: Number,
    error: Number,
    titleWidth: Number,
    footerWidth: Number
  }, ouiaProps),
  setup(props) {
    return useOUIAProps(props);
  },
  data() {
    return {
      animate: true
    };
  },
  computed: {
    dataAvailable() {
      return typeof this.value !== "undefined" && typeof this.total !== "undefined";
    },
    percent() {
      return Math.round(100 * this.value / this.total);
    },
    isError() {
      return this.percent >= this.error;
    },
    isWarning() {
      return !this.isError && this.percent >= this.warning;
    },
    isOk() {
      return !this.isError && !this.isWarning;
    },
    titleWidthPx() {
      return this.titleWidth ? `${this.titleWidth}px` : null;
    },
    footerWidthPx() {
      return this.footerWidth ? `${this.footerWidth}px` : null;
    }
  },
  mounted() {
    this.$nextTick(() => {
      this.animate = false;
    });
  }
});
const _hoisted_1$2 = {
  key: 0,
  class: "progress-description"
};
const _hoisted_2$1 = {
  key: 1,
  class: "progress progress-label-top-right"
};
const _hoisted_3$1 = ["aria-valuenow"];
const _hoisted_4 = /* @__PURE__ */ createTextVNode(" used ");
const _hoisted_5 = /* @__PURE__ */ createTextVNode(" used ");
const _hoisted_6 = {
  key: 1,
  class: "progress"
};
const _hoisted_7 = ["aria-valuenow"];
const _hoisted_8 = /* @__PURE__ */ createTextVNode(" used ");
const _hoisted_9 = /* @__PURE__ */ createTextVNode(" used ");
function _sfc_render$2(_ctx, _cache, $props, $setup, $data, $options) {
  const _component_pf_empty_chart = resolveComponent("pf-empty-chart");
  const _directive_tooltip = resolveDirective("tooltip");
  return openBlock(), createElementBlock("div", mergeProps(_ctx.ouiaProps, {
    class: ["utilization-bar-chart-pf", { "data-unavailable-pf": !_ctx.dataAvailable }]
  }), [
    !_ctx.inline ? (openBlock(), createElementBlock(Fragment, { key: 0 }, [
      _ctx.title ? (openBlock(), createElementBlock("div", _hoisted_1$2, [
        renderSlot$1(_ctx.$slots, "title", {}, () => [
          createTextVNode(toDisplayString(_ctx.title), 1)
        ])
      ])) : createCommentVNode("", true),
      _ctx.dataAvailable ? (openBlock(), createElementBlock("div", _hoisted_2$1, [
        withDirectives((openBlock(), createElementBlock("div", {
          class: normalizeClass(["progress-bar", {
            "animate": _ctx.animate,
            "progress-bar-success": _ctx.isOk,
            "progress-bar-danger": _ctx.isError,
            "progress-bar-warning": _ctx.isWarning
          }]),
          "aria-valuenow": _ctx.percent,
          "aria-valuemin": "0",
          "aria-valuemax": "100",
          style: normalizeStyle({ width: _ctx.percent + "%" })
        }, [
          createElementVNode("span", null, [
            createElementVNode("span", {
              style: normalizeStyle({ "max-width": _ctx.footerWidthPx })
            }, [
              _ctx.footer || _ctx.$slots.footer ? renderSlot$1(_ctx.$slots, "footer", { key: 0 }, () => [
                createTextVNode(toDisplayString(_ctx.footer), 1)
              ]) : _ctx.footerFormat === "percent" ? (openBlock(), createElementBlock(Fragment, { key: 1 }, [
                createElementVNode("strong", null, toDisplayString(_ctx.percent) + "%", 1),
                _hoisted_4
              ], 64)) : (openBlock(), createElementBlock(Fragment, { key: 2 }, [
                createElementVNode("strong", null, toDisplayString(_ctx.value) + " of " + toDisplayString(_ctx.total) + " " + toDisplayString(_ctx.units), 1),
                _hoisted_5
              ], 64))
            ], 4)
          ])
        ], 14, _hoisted_3$1)), [
          [_directive_tooltip, _ctx.percent + "% Used"]
        ]),
        withDirectives(createElementVNode("div", {
          class: "progress-bar progress-bar-remaining",
          style: normalizeStyle({ width: 100 - _ctx.percent + "%" })
        }, null, 4), [
          [_directive_tooltip, 100 - _ctx.percent + "% Available"]
        ])
      ])) : createCommentVNode("", true)
    ], 64)) : (openBlock(), createElementBlock("div", {
      key: 1,
      class: "progress-container progress-description-left progress-label-right",
      style: normalizeStyle({
        "padding-left": _ctx.titleWidthPx,
        "padding-right": _ctx.footerWidthPx
      })
    }, [
      _ctx.title ? (openBlock(), createElementBlock("div", {
        key: 0,
        class: "progress-description",
        style: normalizeStyle({ "max-width": _ctx.titleWidthPx })
      }, [
        renderSlot$1(_ctx.$slots, "title", {}, () => [
          createTextVNode(toDisplayString(_ctx.title), 1)
        ])
      ], 4)) : createCommentVNode("", true),
      _ctx.dataAvailable ? (openBlock(), createElementBlock("div", _hoisted_6, [
        withDirectives((openBlock(), createElementBlock("div", {
          class: normalizeClass(["progress-bar", {
            "animate": _ctx.animate,
            "progress-bar-success": _ctx.isOk,
            "progress-bar-danger": _ctx.isError,
            "progress-bar-warning": _ctx.isWarning
          }]),
          "aria-valuenow": _ctx.percent,
          "aria-valuemin": "0",
          "aria-valuemax": "100",
          style: normalizeStyle({ width: _ctx.percent + "%" })
        }, [
          createElementVNode("span", {
            style: normalizeStyle({ "max-width": _ctx.footerWidthPx })
          }, [
            _ctx.footer || _ctx.$slots.footer ? renderSlot$1(_ctx.$slots, "footer", { key: 0 }, () => [
              createTextVNode(toDisplayString(_ctx.footer), 1)
            ]) : _ctx.footerFormat === "percent" ? (openBlock(), createElementBlock(Fragment, { key: 1 }, [
              createElementVNode("strong", null, toDisplayString(_ctx.percent) + "%", 1),
              _hoisted_8
            ], 64)) : (openBlock(), createElementBlock(Fragment, { key: 2 }, [
              createElementVNode("strong", null, toDisplayString(_ctx.value) + " " + toDisplayString(_ctx.units), 1),
              _hoisted_9
            ], 64))
          ], 4)
        ], 14, _hoisted_7)), [
          [_directive_tooltip, _ctx.percent + "% Used"]
        ]),
        withDirectives(createElementVNode("div", {
          class: "progress-bar progress-bar-remaining",
          style: normalizeStyle({ width: 100 - _ctx.percent + "%" })
        }, null, 4), [
          [_directive_tooltip, 100 - _ctx.percent + "% Available"]
        ])
      ])) : createCommentVNode("", true)
    ], 4)),
    !_ctx.dataAvailable ? (openBlock(), createBlock(_component_pf_empty_chart, {
      key: 2,
      height: 45
    })) : createCommentVNode("", true)
  ], 16);
}
var UtilizationBarChart = /* @__PURE__ */ _export_sfc(_sfc_main$2, [["render", _sfc_render$2]]);
function isTooltipPlacement(value) {
  return /(top)|(left)|(right)|(bottom)/.test(value);
}
function isTooltipTrigger(value) {
  return /(hover)|(focus)|(click)/.test(value);
}
function getContainer() {
  const cont = document.createElement("div");
  document.documentElement.appendChild(cont);
  return cont;
}
function bind(el, binding) {
  unbind(el);
  const options = [];
  for (const key in binding.modifiers) {
    if (Object.prototype.hasOwnProperty.call(binding.modifiers, key) && binding.modifiers[key]) {
      options.push(key);
    }
  }
  const props = {};
  options.forEach((option) => {
    if (isTooltipPlacement(option)) {
      props.placement = option;
    } else if (isTooltipTrigger(option)) {
      props.trigger = option;
    } else if (/unenterable/.test(option)) {
      props.enterable = false;
    }
  });
  const container = getContainer();
  const vm = createApp(defineComponent({
    data() {
      return {
        container
      };
    },
    render() {
      return h(Tooltip, __spreadValues({
        target: el,
        appendTo: binding.arg && "#" + binding.arg,
        text: typeof binding.value === "string" ? binding.value && binding.value.toString() : binding.value && binding.value.text && binding.value.text.toString(),
        viewport: binding.value && binding.value.viewport && binding.value.viewport.toString(),
        customClass: binding.value && binding.value.customClass && binding.value.customClass.toString(),
        showDelay: binding.value && binding.value.showDelay,
        hideDelay: binding.value && binding.value.hideDelay
      }, props));
    }
  }));
  vm.mount(container);
  el["v-tooltip"] = vm;
}
function unbind(el) {
  const vm = el["v-tooltip"];
  if (!vm) {
    return;
  }
  const container = vm == null ? void 0 : vm.container;
  if (container instanceof HTMLElement) {
    document.documentElement.removeChild(container);
  }
  vm.unmount();
  delete el["v-tooltip"];
}
function updated(el, binding) {
  if (binding.value !== binding.oldValue) {
    bind(el, binding);
  }
}
const directive = {
  created: bind,
  updated,
  unmounted: unbind
};
var VerticalNavDivider_vue_vue_type_style_index_0_lang = "";
const _sfc_main$1 = defineComponent({
  name: "PfVerticalNavDivider",
  directives: {
    Tooltip: directive
  },
  props: __spreadValues({
    title: String
  }, ouiaProps),
  setup(props) {
    return __spreadValues({
      layoutCollapsed: inject("layoutCollapsed", false)
    }, useOUIAProps(props));
  },
  computed: {
    tooltip() {
      return this.layoutCollapsed ? this.title : null;
    }
  }
});
const _hoisted_1$1 = { class: "list-group-item-value" };
function _sfc_render$1(_ctx, _cache, $props, $setup, $data, $options) {
  const _directive_tooltip = resolveDirective("tooltip");
  return withDirectives((openBlock(), createElementBlock("li", mergeProps(_ctx.ouiaProps, { class: "list-group-item vertical-header-pf" }), [
    createElementVNode("span", _hoisted_1$1, [
      renderSlot$1(_ctx.$slots, "default", {}, () => [
        createTextVNode(toDisplayString(_ctx.title), 1)
      ])
    ])
  ], 16)), [
    [
      _directive_tooltip,
      _ctx.tooltip,
      void 0,
      { right: true }
    ]
  ]);
}
var VerticalNavDivider = /* @__PURE__ */ _export_sfc(_sfc_main$1, [["render", _sfc_render$1]]);
const _sfc_main = defineComponent({
  name: "PfVerticalSubmenu",
  props: __spreadValues({
    title: {
      type: String,
      required: true
    },
    icon: String
  }, ouiaProps),
  setup(props) {
    return useOUIAProps(props);
  },
  data() {
    return {
      openTimeout: null,
      closeTimeout: null,
      active: false,
      tertiary: false
    };
  },
  watch: {
    active() {
      const layout = this.layout();
      if (!layout) {
        return;
      }
      layout[this.tertiary ? "tertiaryMenus" : "secondaryMenus"] += this.active ? 1 : -1;
    }
  },
  mounted() {
    this.tertiary = this.$parent.$el.classList.contains("secondary-nav-item-pf");
  },
  methods: {
    delayOpen() {
      if (this.closeTimeout) {
        clearTimeout(this.closeTimeout);
        this.closeTimeout = null;
      }
      if (!this.active && !this.openTimeout) {
        this.openTimeout = setTimeout(() => {
          this.openTimeout = null;
          this.active = true;
        }, 500);
      }
    },
    delayClose() {
      if (this.openTimeout) {
        clearTimeout(this.openTimeout);
        this.openTimeout = null;
      }
      if (this.active && !this.closeTimeout) {
        this.closeTimeout = setTimeout(() => {
          this.closeTimeout = null;
          this.active = false;
        }, 1e3);
      }
    },
    layout() {
      let parent = this.$parent;
      while (parent) {
        if (isPfLayout(parent)) {
          return parent;
        }
        parent = parent.$parent;
      }
      return null;
    }
  }
});
const _hoisted_1 = { class: "nav-item-pf-header" };
const _hoisted_2 = ["innerHTML"];
const _hoisted_3 = { class: "list-group" };
function _sfc_render(_ctx, _cache, $props, $setup, $data, $options) {
  const _component_pf_menu_item = resolveComponent("pf-menu-item");
  return openBlock(), createBlock(_component_pf_menu_item, mergeProps(_ctx.ouiaProps, {
    vertical: "",
    title: _ctx.title,
    icon: _ctx.icon,
    class: {
      "secondary-nav-item-pf": !_ctx.tertiary,
      "tertiary-nav-item-pf": _ctx.tertiary,
      "is-hover": _ctx.active,
      "mobile-nav-item-pf": _ctx.active
    },
    onClick: _cache[1] || (_cache[1] = ($event) => _ctx.active = !_ctx.active),
    onMouseenter: _ctx.delayOpen,
    onMouseleave: _ctx.delayClose
  }), {
    default: withCtx(() => [
      createElementVNode("div", {
        class: normalizeClass({
          "nav-pf-secondary-nav": !_ctx.tertiary,
          "nav-pf-tertiary-nav": _ctx.tertiary
        })
      }, [
        createElementVNode("div", _hoisted_1, [
          createElementVNode("a", {
            class: normalizeClass({
              "secondary-collapse-toggle-pf": !_ctx.tertiary,
              "tertiary-collapse-toggle-pf": _ctx.tertiary
            }),
            onClick: _cache[0] || (_cache[0] = ($event) => _ctx.active = false)
          }, null, 2),
          createElementVNode("span", { innerHTML: _ctx.title }, null, 8, _hoisted_2)
        ]),
        createElementVNode("ul", _hoisted_3, [
          renderSlot$1(_ctx.$slots, "default")
        ])
      ], 2)
    ]),
    _: 3
  }, 16, ["title", "icon", "class", "onMouseenter", "onMouseleave"]);
}
var VerticalSubmenu = /* @__PURE__ */ _export_sfc(_sfc_main, [["render", _sfc_render]]);
var components = /* @__PURE__ */ Object.freeze({
  __proto__: null,
  [Symbol.toStringTag]: "Module",
  AggregateStatusCard,
  PfAggregateStatusCard: AggregateStatusCard,
  ApplicationLauncher,
  PfApplicationLauncher: ApplicationLauncher,
  Button: PfButton,
  PfButton,
  Card,
  PfCard: Card,
  CardNotification,
  PfCardNotification: CardNotification,
  ColumnPicker: PfColumnPicker,
  PfColumnPicker,
  Combobox,
  PfCombobox: Combobox,
  Drawer,
  PfDrawer: Drawer,
  DrawerGroup,
  PfDrawerGroup: DrawerGroup,
  DrawerGroupAction,
  PfDrawerGroupAction: DrawerGroupAction,
  DrawerNotification,
  PfDrawerNotification: DrawerNotification,
  Dropdown: PfDropdown,
  PfDropdown,
  EmptyChart,
  PfEmptyChart: EmptyChart,
  ExpandCollapse,
  PfExpandCollapse: ExpandCollapse,
  FilterFields,
  PfFilterFields: FilterFields,
  FilterResults,
  PfFilterResults: FilterResults,
  Icon,
  PfIcon: Icon,
  LauncherItem,
  PfLauncherItem: LauncherItem,
  Layout,
  PfLayout: Layout,
  ListGroupItem: PfListGroupItem,
  PfListGroupItem,
  ListItem,
  PfListItem: ListItem,
  ListItemAdditionalInfo,
  PfListItemAdditionalInfo: ListItemAdditionalInfo,
  ListView,
  PfListView: ListView,
  MenuItem,
  PfMenuItem: MenuItem,
  Modal,
  PfModal: Modal,
  Notification: PfNotification,
  PfNotification,
  NotificationBell,
  PfNotificationBell: NotificationBell,
  Notifications,
  PfNotifications: Notifications,
  Option: PfOption,
  PfOption,
  PaginateControl: PfPaginateControl,
  PfPaginateControl,
  Popover: PfPopover,
  PfPopover,
  RadioButton: PfRadioButton,
  PfRadioButton,
  Select: PfSelect$1,
  PfSelect: PfSelect$1,
  Sort: PfSort,
  PfSort,
  Spinner: PfSpinner,
  PfSpinner,
  Table,
  PfTable: Table,
  TableRow: PfTableRow,
  PfTableRow,
  Toggle,
  PfToggle: Toggle,
  Toolbar,
  PfToolbar: Toolbar,
  Tooltip,
  PfTooltip: Tooltip,
  UtilizationBarChart,
  PfUtilizationBarChart: UtilizationBarChart,
  VerticalNavDivider,
  PfVerticalNavDivider: VerticalNavDivider,
  VerticalSubmenu,
  PfVerticalSubmenu: VerticalSubmenu,
  Void
});
function install(app) {
  const registered = [];
  for (const [name, component] of Object.entries(components)) {
    const componentName = component.name || name;
    if (!registered.includes(componentName)) {
      app.component(componentName, component);
      registered.push(componentName);
    }
  }
  app.component("PfToastNotification", PfNotification);
  app.directive("tooltip", directive);
}
const plugin = {
  install
};
export { AggregateStatusCard, ApplicationLauncher, PfButton as Button, Card, CardNotification, PfColumnPicker as ColumnPicker, Combobox, Drawer, DrawerGroup, DrawerGroupAction, DrawerNotification, PfDropdown as Dropdown, EmptyChart, ExpandCollapse, FilterFields, FilterResults, Icon, LauncherItem, Layout, PfListGroupItem as ListGroupItem, ListItem, ListItemAdditionalInfo, ListView, MenuItem, Modal, PfNotification as Notification, NotificationBell, Notifications, PfOption as Option, PfPaginateControl as PaginateControl, AggregateStatusCard as PfAggregateStatusCard, ApplicationLauncher as PfApplicationLauncher, PfButton, Card as PfCard, CardNotification as PfCardNotification, PfColumnPicker, Combobox as PfCombobox, Drawer as PfDrawer, DrawerGroup as PfDrawerGroup, DrawerGroupAction as PfDrawerGroupAction, DrawerNotification as PfDrawerNotification, PfDropdown, EmptyChart as PfEmptyChart, ExpandCollapse as PfExpandCollapse, FilterFields as PfFilterFields, FilterResults as PfFilterResults, Icon as PfIcon, LauncherItem as PfLauncherItem, Layout as PfLayout, PfListGroupItem, ListItem as PfListItem, ListItemAdditionalInfo as PfListItemAdditionalInfo, ListView as PfListView, MenuItem as PfMenuItem, Modal as PfModal, PfNotification, NotificationBell as PfNotificationBell, Notifications as PfNotifications, PfOption, PfPaginateControl, PfPopover, PfRadioButton, PfSelect$1 as PfSelect, PfSort, PfSpinner, Table as PfTable, PfTableRow, Toggle as PfToggle, Toolbar as PfToolbar, Tooltip as PfTooltip, UtilizationBarChart as PfUtilizationBarChart, VerticalNavDivider as PfVerticalNavDivider, VerticalSubmenu as PfVerticalSubmenu, PfPopover as Popover, PfRadioButton as RadioButton, PfSelect$1 as Select, PfSort as Sort, PfSpinner as Spinner, Table, PfTableRow as TableRow, Toggle, Toolbar, Tooltip, UtilizationBarChart, directive as VTooltip, VerticalNavDivider, VerticalSubmenu, Void, plugin as default, install, ouia };
